(*^
::[	Information =

	"This is a Mathematica Notebook file.  It contains ASCII text, and can be
	transferred by email, ftp, or other text-file transfer utility.  It should
	be read or edited using a copy of Mathematica or MathReader.  If you 
	received this as email, use your mail application or copy/paste to save 
	everything from the line containing (*^ down to the line containing ^*)
	into a plain text file.  On some systems you may have to give the file a 
	name ending with ".ma" to allow Mathematica to recognize it as a Notebook.
	The line below identifies what version of Mathematica created this file,
	but it can be opened using any other version as well.";

	FrontEndVersion = "Macintosh Mathematica Notebook Front End Version 2.2";

	MacintoshStandardFontEncoding; 
	
	fontset = title, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, e8,  24, "Times"; 
	fontset = subtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, e6,  18, "Times"; 
	fontset = subsubtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, italic, e6,  14, "Times"; 
	fontset = section, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, grayBox, M22, bold, a20,  18, "Times"; 
	fontset = subsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, blackBox, M19, bold, a15,  14, "Times"; 
	fontset = subsubsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, whiteBox, M18, bold, a12,  12, "Times"; 
	fontset = text, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = smalltext, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  10, "Times"; 
	fontset = input, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeInput, M42, N23, bold, L-5,  12, "Courier"; 
	fontset = output, output, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, "Courier"; 
	fontset = message, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, R65535, L-5,  12, "Courier"; 
	fontset = print, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, "Courier"; 
	fontset = info, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, B65535, L-5,  12, "Courier"; 
	fontset = postscript, PostScript, formatAsPostScript, output, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeGraphics, M7, l34, w282, h287,  12, "Courier"; 
	fontset = name, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, italic,  10, "Geneva"; 
	fontset = header, inactive, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = leftheader, inactive, L2,  12, "Times"; 
	fontset = footer, inactive, noKeepOnOnePage, preserveAspect, center, M7,  12, "Times"; 
	fontset = leftfooter, inactive, L2,  12, "Times"; 
	fontset = help, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  10, "Times"; 
	fontset = clipboard, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = completions, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = special1, initialization, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Courier"; 
	fontset = special2, inactive, nohscroll, noKeepOnOnePage, preserveAspect, cellOutline, blackBox, M7, r58981, g58981, b58981,  15, "Times"; 
	fontset = special3, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = special4, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = special5, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	paletteColors = 128; automaticGrouping; currentKernel; 
]
:[font = title; inactive; preserveAspect; startGroup]
Control System Professional
:[font = section; inactive; Cclosed; preserveAspect; startGroup]
10. Optimal Control Systems Design
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup]
Linear Quadratic Regulator
:[font = input; preserveAspect]
Needs["ControlSystems`Master`"]
:[font = input; Cclosed; preserveAspect; startGroup]
(tank = StateSpace[{{-0.01, 0}, {0, -0.02}},
  {{1, 1}, {-0.004, 0.002}},
  {{0.01, 0}, {0, 1}}]
)//ReviewForm
:[font = output; output; inactive; preserveAspect; endGroup]
ReviewForm[StateSpace[{{-0.01, 0}, {0, -0.02}}, 
 
   {{1, 1}, {-0.004, 0.002}}, {{0.01, 0}, {0, 1}}]]
;[o]
   -0.01   0

A  0       -0.02


   1        1

B  -0.004   0.002


   0.01   0

C  0      1
:[font = input; Cclosed; preserveAspect; startGroup]
(tankd = ToDiscreteTime[%,
 Sampled -> Period[5]]
)//ReviewForm
:[font = output; output; inactive; preserveAspect; endGroup]
ReviewForm[StateSpace[{{0.951229424500714, 0.}, 
 
    {0., 0.904837418035959}}, 
 
   {{4.8770575499286, 4.8770575499286}, 
 
    {-0.01903251639280808, 0.00951625819640404}}, 
 
   {{0.01, 0}, {0, 1}}, Sampled -> Period[5]]]
;[o]
   0.951229   0.

A  0.         0.904837


   4.87706      4.87706

B  -0.0190325   0.00951626


   0.01   0

C  0      1
:[font = input; Cclosed; preserveAspect; startGroup]
(q = DiagonalMatrix[{.01, 100}])//MatrixForm
:[font = output; output; inactive; preserveAspect; endGroup]
MatrixForm[{{0.01, 0}, {0, 100}}]
;[o]
0.01   0

0      100
:[font = input; Cclosed; preserveAspect; startGroup]
(r = DiagonalMatrix[{2, .5}])//MatrixForm
:[font = output; output; inactive; preserveAspect; endGroup]
MatrixForm[{{2, 0}, {0, 0.5}}]
;[o]
2     0

0     0.5
:[font = input; Cclosed; preserveAspect; startGroup]
LQRegulatorGains[tankd, q, r]
:[font = output; output; inactive; preserveAspect; endGroup]
{{0.02232571422895861, -3.309338080787502}, 
 
  {0.07782048119506824, 3.819832132365005}}
;[o]
{{0.0223257, -3.30934}, {0.0778205, 3.81983}}
:[font = input; Cclosed; preserveAspect; startGroup]
StateFeedbackConnect[tankd, %]
:[font = output; output; inactive; preserveAspect; endGroup]
StateSpace[{{0.4628106660113386, -2.489708868439707}, 
 
   {-0.0003156452699768714, 0.805501877925521}}, 
 
  {{4.8770575499286, 4.8770575499286}, 
 
   {-0.01903251639280808, 0.00951625819640404}}, 
 
  {{0.01, 0.}, {0., 1.}}, {{0, 0}, {0, 0}}, 
 
  Sampled -> Period[5]]
;[o]
StateSpace[{{0.462811, -2.48971}, 
 
   {-0.000315645, 0.805502}}, 
 
  {{4.87706, 4.87706}, {-0.0190325, 0.00951626}}, 
 
  {{0.01, 0.}, {0., 1.}}, {{0, 0}, {0, 0}}, 
 
  Sampled -> Period[5]]
:[font = input; Cclosed; preserveAspect; startGroup]
SimulationPlot[%,
 {0, If[t==0, 1, 0]}, {t, 200},
 PlotStyle -> {Dashing[{.1, .01, .01, .01}],
 Dashing[{.01}]}
]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 282; pictureHeight = 174]
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
%% Graphics
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.0047619 0.0150156 12.0627 [
[(50)] .2619 .01502 0 2 Msboxa
[(100)] .5 .01502 0 2 Msboxa
[(150)] .7381 .01502 0 2 Msboxa
[(200)] .97619 .01502 0 2 Msboxa
[(0.01)] .01131 .13564 1 0 Msboxa
[(0.02)] .01131 .25627 1 0 Msboxa
[(0.03)] .01131 .3769 1 0 Msboxa
[(0.04)] .01131 .49752 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 .61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
[ ] 0 setdash
0 g
p
p
.002 w
.2619 .01502 m
.2619 .02127 L
s
P
[(50)] .2619 .01502 0 2 Mshowa
p
.002 w
.5 .01502 m
.5 .02127 L
s
P
[(100)] .5 .01502 0 2 Mshowa
p
.002 w
.7381 .01502 m
.7381 .02127 L
s
P
[(150)] .7381 .01502 0 2 Mshowa
p
.002 w
.97619 .01502 m
.97619 .02127 L
s
P
[(200)] .97619 .01502 0 2 Mshowa
p
.001 w
.07143 .01502 m
.07143 .01877 L
s
P
p
.001 w
.11905 .01502 m
.11905 .01877 L
s
P
p
.001 w
.16667 .01502 m
.16667 .01877 L
s
P
p
.001 w
.21429 .01502 m
.21429 .01877 L
s
P
p
.001 w
.30952 .01502 m
.30952 .01877 L
s
P
p
.001 w
.35714 .01502 m
.35714 .01877 L
s
P
p
.001 w
.40476 .01502 m
.40476 .01877 L
s
P
p
.001 w
.45238 .01502 m
.45238 .01877 L
s
P
p
.001 w
.54762 .01502 m
.54762 .01877 L
s
P
p
.001 w
.59524 .01502 m
.59524 .01877 L
s
P
p
.001 w
.64286 .01502 m
.64286 .01877 L
s
P
p
.001 w
.69048 .01502 m
.69048 .01877 L
s
P
p
.001 w
.78571 .01502 m
.78571 .01877 L
s
P
p
.001 w
.83333 .01502 m
.83333 .01877 L
s
P
p
.001 w
.88095 .01502 m
.88095 .01877 L
s
P
p
.001 w
.92857 .01502 m
.92857 .01877 L
s
P
p
.002 w
0 .01502 m
1 .01502 L
s
P
p
.002 w
.02381 .13564 m
.03006 .13564 L
s
P
[(0.01)] .01131 .13564 1 0 Mshowa
p
.002 w
.02381 .25627 m
.03006 .25627 L
s
P
[(0.02)] .01131 .25627 1 0 Mshowa
p
.002 w
.02381 .3769 m
.03006 .3769 L
s
P
[(0.03)] .01131 .3769 1 0 Mshowa
p
.002 w
.02381 .49752 m
.03006 .49752 L
s
P
[(0.04)] .01131 .49752 1 0 Mshowa
p
.001 w
.02381 .03914 m
.02756 .03914 L
s
P
p
.001 w
.02381 .06327 m
.02756 .06327 L
s
P
p
.001 w
.02381 .08739 m
.02756 .08739 L
s
P
p
.001 w
.02381 .11152 m
.02756 .11152 L
s
P
p
.001 w
.02381 .15977 m
.02756 .15977 L
s
P
p
.001 w
.02381 .18389 m
.02756 .18389 L
s
P
p
.001 w
.02381 .20802 m
.02756 .20802 L
s
P
p
.001 w
.02381 .23214 m
.02756 .23214 L
s
P
p
.001 w
.02381 .28039 m
.02756 .28039 L
s
P
p
.001 w
.02381 .30452 m
.02756 .30452 L
s
P
p
.001 w
.02381 .32864 m
.02756 .32864 L
s
P
p
.001 w
.02381 .35277 m
.02756 .35277 L
s
P
p
.001 w
.02381 .40102 m
.02756 .40102 L
s
P
p
.001 w
.02381 .42515 m
.02756 .42515 L
s
P
p
.001 w
.02381 .44927 m
.02756 .44927 L
s
P
p
.001 w
.02381 .4734 m
.02756 .4734 L
s
P
p
.001 w
.02381 .52165 m
.02756 .52165 L
s
P
p
.001 w
.02381 .54577 m
.02756 .54577 L
s
P
p
.001 w
.02381 .5699 m
.02756 .5699 L
s
P
p
.001 w
.02381 .59402 m
.02756 .59402 L
s
P
p
.002 w
.02381 0 m
.02381 .61803 L
s
P
P
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
p
p
p
p
[ .1 .01 .01 .01 ] 0 setdash
.001 w
.02381 .01502 m
.04762 .60332 L
.07143 .28443 L
.09524 .13786 L
.11905 .0706 L
.14286 .03981 L
.16667 .02579 L
.19048 .01946 L
.21429 .01664 L
.2381 .01542 L
.2619 .01493 L
.28571 .01475 L
.30952 .01472 L
.33333 .01473 L
.35714 .01477 L
.38095 .01481 L
.40476 .01484 L
.42857 .01487 L
.45238 .0149 L
.47619 .01492 L
.5 .01494 L
.52381 .01495 L
.54762 .01497 L
.57143 .01498 L
.59524 .01498 L
.61905 .01499 L
.64286 .01499 L
.66667 .015 L
.69048 .015 L
.71429 .015 L
.7381 .01501 L
.7619 .01501 L
.78571 .01501 L
.80952 .01501 L
.83333 .01501 L
.85714 .01501 L
.88095 .01501 L
.90476 .01501 L
.92857 .01501 L
.95238 .01501 L
.97619 .01501 L
s
P
p
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
P
p
P
P
p
p
[ .01 ] 0 setdash
.001 w
.02381 .01502 m
.04762 .12981 L
.07143 .08891 L
.09524 .06603 L
.11905 .05223 L
.14286 .04324 L
.16667 .03697 L
.19048 .03236 L
.21429 .02884 L
.2381 .0261 L
.2619 .02393 L
.28571 .0222 L
.30952 .02081 L
.33333 .01969 L
.35714 .01879 L
.38095 .01807 L
.40476 .01748 L
.42857 .01701 L
.45238 .01662 L
.47619 .01631 L
.5 .01606 L
.52381 .01586 L
.54762 .0157 L
.57143 .01557 L
.59524 .01546 L
.61905 .01538 L
.64286 .01531 L
.66667 .01525 L
.69048 .01521 L
.71429 .01517 L
.7381 .01514 L
.7619 .01512 L
.78571 .0151 L
.80952 .01508 L
.83333 .01507 L
.85714 .01506 L
.88095 .01505 L
.90476 .01504 L
.92857 .01504 L
.95238 .01503 L
.97619 .01503 L
s
P
p
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
P
p
P
P
P
P
% End of Graphics
MathPictureEnd

:[font = output; output; inactive; preserveAspect; endGroup]
Graphics["<<>>"]
;[o]
-Graphics-
:[font = input; Cclosed; preserveAspect; startGroup]
SimulationPlot[tankd,
 {0, If[t==0, 1, 0]}, {t, 200},
 PlotStyle -> {Thickness[.001], Dashing[{.05}]}
]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 282; pictureHeight = 174]
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
%% Graphics
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.0047619 0.0147151 12.0688 [
[(50)] .2619 .01472 0 2 Msboxa
[(100)] .5 .01472 0 2 Msboxa
[(150)] .7381 .01472 0 2 Msboxa
[(200)] .97619 .01472 0 2 Msboxa
[(0.01)] .01131 .1354 1 0 Msboxa
[(0.02)] .01131 .25609 1 0 Msboxa
[(0.03)] .01131 .37678 1 0 Msboxa
[(0.04)] .01131 .49747 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 .61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
[ ] 0 setdash
0 g
p
p
.002 w
.2619 .01472 m
.2619 .02097 L
s
P
[(50)] .2619 .01472 0 2 Mshowa
p
.002 w
.5 .01472 m
.5 .02097 L
s
P
[(100)] .5 .01472 0 2 Mshowa
p
.002 w
.7381 .01472 m
.7381 .02097 L
s
P
[(150)] .7381 .01472 0 2 Mshowa
p
.002 w
.97619 .01472 m
.97619 .02097 L
s
P
[(200)] .97619 .01472 0 2 Mshowa
p
.001 w
.07143 .01472 m
.07143 .01847 L
s
P
p
.001 w
.11905 .01472 m
.11905 .01847 L
s
P
p
.001 w
.16667 .01472 m
.16667 .01847 L
s
P
p
.001 w
.21429 .01472 m
.21429 .01847 L
s
P
p
.001 w
.30952 .01472 m
.30952 .01847 L
s
P
p
.001 w
.35714 .01472 m
.35714 .01847 L
s
P
p
.001 w
.40476 .01472 m
.40476 .01847 L
s
P
p
.001 w
.45238 .01472 m
.45238 .01847 L
s
P
p
.001 w
.54762 .01472 m
.54762 .01847 L
s
P
p
.001 w
.59524 .01472 m
.59524 .01847 L
s
P
p
.001 w
.64286 .01472 m
.64286 .01847 L
s
P
p
.001 w
.69048 .01472 m
.69048 .01847 L
s
P
p
.001 w
.78571 .01472 m
.78571 .01847 L
s
P
p
.001 w
.83333 .01472 m
.83333 .01847 L
s
P
p
.001 w
.88095 .01472 m
.88095 .01847 L
s
P
p
.001 w
.92857 .01472 m
.92857 .01847 L
s
P
p
.002 w
0 .01472 m
1 .01472 L
s
P
p
.002 w
.02381 .1354 m
.03006 .1354 L
s
P
[(0.01)] .01131 .1354 1 0 Mshowa
p
.002 w
.02381 .25609 m
.03006 .25609 L
s
P
[(0.02)] .01131 .25609 1 0 Mshowa
p
.002 w
.02381 .37678 m
.03006 .37678 L
s
P
[(0.03)] .01131 .37678 1 0 Mshowa
p
.002 w
.02381 .49747 m
.03006 .49747 L
s
P
[(0.04)] .01131 .49747 1 0 Mshowa
p
.001 w
.02381 .03885 m
.02756 .03885 L
s
P
p
.001 w
.02381 .06299 m
.02756 .06299 L
s
P
p
.001 w
.02381 .08713 m
.02756 .08713 L
s
P
p
.001 w
.02381 .11127 m
.02756 .11127 L
s
P
p
.001 w
.02381 .15954 m
.02756 .15954 L
s
P
p
.001 w
.02381 .18368 m
.02756 .18368 L
s
P
p
.001 w
.02381 .20782 m
.02756 .20782 L
s
P
p
.001 w
.02381 .23195 m
.02756 .23195 L
s
P
p
.001 w
.02381 .28023 m
.02756 .28023 L
s
P
p
.001 w
.02381 .30437 m
.02756 .30437 L
s
P
p
.001 w
.02381 .3285 m
.02756 .3285 L
s
P
p
.001 w
.02381 .35264 m
.02756 .35264 L
s
P
p
.001 w
.02381 .40092 m
.02756 .40092 L
s
P
p
.001 w
.02381 .42506 m
.02756 .42506 L
s
P
p
.001 w
.02381 .44919 m
.02756 .44919 L
s
P
p
.001 w
.02381 .47333 m
.02756 .47333 L
s
P
p
.001 w
.02381 .52161 m
.02756 .52161 L
s
P
p
.001 w
.02381 .54574 m
.02756 .54574 L
s
P
p
.001 w
.02381 .56988 m
.02756 .56988 L
s
P
p
.001 w
.02381 .59402 m
.02756 .59402 L
s
P
p
.002 w
.02381 0 m
.02381 .61803 L
s
P
P
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
p
p
p
p
.001 w
.02381 .01472 m
.04762 .60332 L
.07143 .57461 L
.09524 .54731 L
.11905 .52133 L
.14286 .49662 L
.16667 .47312 L
.19048 .45076 L
.21429 .4295 L
.2381 .40927 L
.2619 .39003 L
.28571 .37172 L
.30952 .35431 L
.33333 .33775 L
.35714 .32199 L
.38095 .30701 L
.40476 .29275 L
.42857 .27919 L
.45238 .26629 L
.47619 .25402 L
.5 .24235 L
.52381 .23125 L
.54762 .22069 L
.57143 .21064 L
.59524 .20109 L
.61905 .192 L
.64286 .18335 L
.66667 .17513 L
.69048 .1673 L
.71429 .15986 L
.7381 .15278 L
.7619 .14605 L
.78571 .13965 L
.80952 .13355 L
.83333 .12776 L
.85714 .12224 L
.88095 .117 L
.90476 .11201 L
.92857 .10727 L
.95238 .10275 L
.97619 .09846 L
s
P
p
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
P
p
P
P
p
p
[ .05 ] 0 setdash
.001 w
.02381 .01472 m
.04762 .12957 L
.07143 .11864 L
.09524 .10875 L
.11905 .0998 L
.14286 .0917 L
.16667 .08438 L
.19048 .07775 L
.21429 .07175 L
.2381 .06632 L
.2619 .06141 L
.28571 .05697 L
.30952 .05295 L
.33333 .04931 L
.35714 .04602 L
.38095 .04304 L
.40476 .04034 L
.42857 .0379 L
.45238 .0357 L
.47619 .0337 L
.5 .03189 L
.52381 .03026 L
.54762 .02878 L
.57143 .02744 L
.59524 .02623 L
.61905 .02513 L
.64286 .02414 L
.66667 .02325 L
.69048 .02243 L
.71429 .0217 L
.7381 .02103 L
.7619 .02043 L
.78571 .01989 L
.80952 .0194 L
.83333 .01895 L
.85714 .01855 L
.88095 .01818 L
.90476 .01785 L
.92857 .01755 L
.95238 .01728 L
.97619 .01704 L
s
P
p
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
P
p
P
P
P
P
% End of Graphics
MathPictureEnd

:[font = output; output; inactive; preserveAspect; endGroup]
Graphics["<<>>"]
;[o]
-Graphics-
:[font = input; Cclosed; preserveAspect; startGroup]
Show[%, %%,
 PlotLabel ->
 "Regulated Vs. Original System" ]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 282; pictureHeight = 174]
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
%% Graphics
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.0047619 0.0147151 12.0688 [
[(50)] .2619 .01472 0 2 Msboxa
[(100)] .5 .01472 0 2 Msboxa
[(150)] .7381 .01472 0 2 Msboxa
[(200)] .97619 .01472 0 2 Msboxa
[(Regulated Vs. Original System)] .5 .61803 0 -2 Msboxa
[(0.01)] .01131 .1354 1 0 Msboxa
[(0.02)] .01131 .25609 1 0 Msboxa
[(0.03)] .01131 .37678 1 0 Msboxa
[(0.04)] .01131 .49747 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 .61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
[ ] 0 setdash
0 g
p
p
.002 w
.2619 .01472 m
.2619 .02097 L
s
P
[(50)] .2619 .01472 0 2 Mshowa
p
.002 w
.5 .01472 m
.5 .02097 L
s
P
[(100)] .5 .01472 0 2 Mshowa
p
.002 w
.7381 .01472 m
.7381 .02097 L
s
P
[(150)] .7381 .01472 0 2 Mshowa
p
.002 w
.97619 .01472 m
.97619 .02097 L
s
P
[(200)] .97619 .01472 0 2 Mshowa
p
.001 w
.07143 .01472 m
.07143 .01847 L
s
P
p
.001 w
.11905 .01472 m
.11905 .01847 L
s
P
p
.001 w
.16667 .01472 m
.16667 .01847 L
s
P
p
.001 w
.21429 .01472 m
.21429 .01847 L
s
P
p
.001 w
.30952 .01472 m
.30952 .01847 L
s
P
p
.001 w
.35714 .01472 m
.35714 .01847 L
s
P
p
.001 w
.40476 .01472 m
.40476 .01847 L
s
P
p
.001 w
.45238 .01472 m
.45238 .01847 L
s
P
p
.001 w
.54762 .01472 m
.54762 .01847 L
s
P
p
.001 w
.59524 .01472 m
.59524 .01847 L
s
P
p
.001 w
.64286 .01472 m
.64286 .01847 L
s
P
p
.001 w
.69048 .01472 m
.69048 .01847 L
s
P
p
.001 w
.78571 .01472 m
.78571 .01847 L
s
P
p
.001 w
.83333 .01472 m
.83333 .01847 L
s
P
p
.001 w
.88095 .01472 m
.88095 .01847 L
s
P
p
.001 w
.92857 .01472 m
.92857 .01847 L
s
P
p
.002 w
0 .01472 m
1 .01472 L
s
P
[(Regulated Vs. Original System)] .5 .61803 0 -2 Mshowa
p
.002 w
.02381 .1354 m
.03006 .1354 L
s
P
[(0.01)] .01131 .1354 1 0 Mshowa
p
.002 w
.02381 .25609 m
.03006 .25609 L
s
P
[(0.02)] .01131 .25609 1 0 Mshowa
p
.002 w
.02381 .37678 m
.03006 .37678 L
s
P
[(0.03)] .01131 .37678 1 0 Mshowa
p
.002 w
.02381 .49747 m
.03006 .49747 L
s
P
[(0.04)] .01131 .49747 1 0 Mshowa
p
.001 w
.02381 .03885 m
.02756 .03885 L
s
P
p
.001 w
.02381 .06299 m
.02756 .06299 L
s
P
p
.001 w
.02381 .08713 m
.02756 .08713 L
s
P
p
.001 w
.02381 .11127 m
.02756 .11127 L
s
P
p
.001 w
.02381 .15954 m
.02756 .15954 L
s
P
p
.001 w
.02381 .18368 m
.02756 .18368 L
s
P
p
.001 w
.02381 .20782 m
.02756 .20782 L
s
P
p
.001 w
.02381 .23195 m
.02756 .23195 L
s
P
p
.001 w
.02381 .28023 m
.02756 .28023 L
s
P
p
.001 w
.02381 .30437 m
.02756 .30437 L
s
P
p
.001 w
.02381 .3285 m
.02756 .3285 L
s
P
p
.001 w
.02381 .35264 m
.02756 .35264 L
s
P
p
.001 w
.02381 .40092 m
.02756 .40092 L
s
P
p
.001 w
.02381 .42506 m
.02756 .42506 L
s
P
p
.001 w
.02381 .44919 m
.02756 .44919 L
s
P
p
.001 w
.02381 .47333 m
.02756 .47333 L
s
P
p
.001 w
.02381 .52161 m
.02756 .52161 L
s
P
p
.001 w
.02381 .54574 m
.02756 .54574 L
s
P
p
.001 w
.02381 .56988 m
.02756 .56988 L
s
P
p
.001 w
.02381 .59402 m
.02756 .59402 L
s
P
p
.002 w
.02381 0 m
.02381 .61803 L
s
P
P
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
p
p
p
p
p
.001 w
.02381 .01472 m
.04762 .60332 L
.07143 .57461 L
.09524 .54731 L
.11905 .52133 L
.14286 .49662 L
.16667 .47312 L
.19048 .45076 L
.21429 .4295 L
.2381 .40927 L
.2619 .39003 L
.28571 .37172 L
.30952 .35431 L
.33333 .33775 L
.35714 .32199 L
.38095 .30701 L
.40476 .29275 L
.42857 .27919 L
.45238 .26629 L
.47619 .25402 L
.5 .24235 L
.52381 .23125 L
.54762 .22069 L
.57143 .21064 L
.59524 .20109 L
.61905 .192 L
.64286 .18335 L
.66667 .17513 L
.69048 .1673 L
.71429 .15986 L
.7381 .15278 L
.7619 .14605 L
.78571 .13965 L
.80952 .13355 L
.83333 .12776 L
.85714 .12224 L
.88095 .117 L
.90476 .11201 L
.92857 .10727 L
.95238 .10275 L
.97619 .09846 L
s
P
p
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
P
p
P
P
p
p
[ .05 ] 0 setdash
.001 w
.02381 .01472 m
.04762 .12957 L
.07143 .11864 L
.09524 .10875 L
.11905 .0998 L
.14286 .0917 L
.16667 .08438 L
.19048 .07775 L
.21429 .07175 L
.2381 .06632 L
.2619 .06141 L
.28571 .05697 L
.30952 .05295 L
.33333 .04931 L
.35714 .04602 L
.38095 .04304 L
.40476 .04034 L
.42857 .0379 L
.45238 .0357 L
.47619 .0337 L
.5 .03189 L
.52381 .03026 L
.54762 .02878 L
.57143 .02744 L
.59524 .02623 L
.61905 .02513 L
.64286 .02414 L
.66667 .02325 L
.69048 .02243 L
.71429 .0217 L
.7381 .02103 L
.7619 .02043 L
.78571 .01989 L
.80952 .0194 L
.83333 .01895 L
.85714 .01855 L
.88095 .01818 L
.90476 .01785 L
.92857 .01755 L
.95238 .01728 L
.97619 .01704 L
s
P
p
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
P
p
P
P
P
P
p
p
p
p
[ .1 .01 .01 .01 ] 0 setdash
.001 w
.02381 .01472 m
.04762 .60332 L
.07143 .28427 L
.09524 .13763 L
.11905 .07033 L
.14286 .03953 L
.16667 .0255 L
.19048 .01916 L
.21429 .01634 L
.2381 .01512 L
.2619 .01463 L
.28571 .01445 L
.30952 .01441 L
.33333 .01443 L
.35714 .01447 L
.38095 .01451 L
.40476 .01454 L
.42857 .01457 L
.45238 .0146 L
.47619 .01462 L
.5 .01464 L
.52381 .01465 L
.54762 .01467 L
.57143 .01468 L
.59524 .01468 L
.61905 .01469 L
.64286 .01469 L
.66667 .0147 L
.69048 .0147 L
.71429 .0147 L
.7381 .01471 L
.7619 .01471 L
.78571 .01471 L
.80952 .01471 L
.83333 .01471 L
.85714 .01471 L
.88095 .01471 L
.90476 .01471 L
.92857 .01471 L
.95238 .01471 L
.97619 .01471 L
s
P
p
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
P
p
P
P
p
p
[ .01 ] 0 setdash
.001 w
.02381 .01472 m
.04762 .12957 L
.07143 .08865 L
.09524 .06576 L
.11905 .05195 L
.14286 .04295 L
.16667 .03668 L
.19048 .03207 L
.21429 .02855 L
.2381 .02581 L
.2619 .02364 L
.28571 .02191 L
.30952 .02052 L
.33333 .0194 L
.35714 .0185 L
.38095 .01777 L
.40476 .01718 L
.42857 .01671 L
.45238 .01632 L
.47619 .01601 L
.5 .01576 L
.52381 .01556 L
.54762 .0154 L
.57143 .01527 L
.59524 .01516 L
.61905 .01508 L
.64286 .01501 L
.66667 .01495 L
.69048 .01491 L
.71429 .01487 L
.7381 .01484 L
.7619 .01482 L
.78571 .0148 L
.80952 .01478 L
.83333 .01477 L
.85714 .01476 L
.88095 .01475 L
.90476 .01474 L
.92857 .01474 L
.95238 .01473 L
.97619 .01473 L
s
P
p
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
P
p
P
P
P
P
P
% End of Graphics
MathPictureEnd

:[font = output; output; inactive; preserveAspect; endGroup]
Graphics["<<>>"]
;[o]
-Graphics-
:[font = input; preserveAspect]
aa = {{-3, 1}, {0, 2}};
:[font = input; preserveAspect]
bb = {{1}, {0}};
:[font = input; preserveAspect]
q = DiagonalMatrix[{1., 1.}];  r = {{1.}};
:[font = input; Cclosed; preserveAspect; startGroup]
LQRegulatorGains[StateSpace[aa, bb], q, r]
:[font = message; inactive; preserveAspect]
LinearSolve::sing: 
   Matrix {{-0.977845, 0.}, {0., 0.}} is singular.
:[font = message; inactive; preserveAspect]
LinearSolve::nosol: 
   Linear equation encountered which has no solution.
:[font = output; output; inactive; preserveAspect; endGroup]
LQRegulatorGains[StateSpace[{{-3, 1}, {0, 2}}, {{1}, {0}}], 
 
  {{1., 0}, {0, 1.}}, {{1.}}]
;[o]
LQRegulatorGains[StateSpace[{{-3, 1}, {0, 2}}, {{1}, {0}}], 
 
  {{1., 0}, {0, 1.}}, {{1.}}]
:[font = input; preserveAspect]
aa = {{-3, 1}, {0, -2}};
:[font = input; Cclosed; preserveAspect; startGroup]
LQRegulatorGains[StateSpace[aa, bb], q, r]
:[font = output; output; inactive; preserveAspect; endGroup; endGroup]
{{0.1622776601683793, 0.03143528319301719}}
;[o]
{{0.162278, 0.0314353}}
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup]
Optimal Output Regulator
:[font = input; Cclosed; preserveAspect; startGroup]
(q = DiagonalMatrix[{10, .01}])//MatrixForm
:[font = output; output; inactive; preserveAspect; endGroup]
MatrixForm[{{10, 0}, {0, 0.01}}]
;[o]
10     0

0      0.01
:[font = input; Cclosed; preserveAspect; startGroup]
(r = DiagonalMatrix[{2, .2}])//MatrixForm
:[font = output; output; inactive; preserveAspect; endGroup]
MatrixForm[{{2, 0}, {0, 0.2}}]
;[o]
2     0

0     0.2
:[font = input; Cclosed; preserveAspect; startGroup]
LQOutputRegulatorGains[tank, q, r]//MatrixForm
:[font = output; output; inactive; preserveAspect; endGroup; endGroup]
MatrixForm[{{0.005894576261612598, -0.0006242269935368768}, 
 
   {0.0589383057106662, 0.001256908602736695}}]
;[o]
0.00589458     -0.000624227

0.0589383      0.00125691
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup]
Riccati Equations
:[font = input; Cclosed; preserveAspect; startGroup]
StateSpace[TransferFunction[s, 1/s^2]]//ReviewForm
:[font = output; output; inactive; preserveAspect; endGroup]
ReviewForm[StateSpace[{{0, 1}, {0, 0}}, {{0}, {1}}, 
 
   {{1, 0}}]]
;[o]
   0   1

A  0   0


   0

B  1


C  1   0
:[font = input; preserveAspect]
aa = %[[1]];  bb = %[[2]];
:[font = input; preserveAspect]
q = DiagonalMatrix[{1,1}];  r = {{1}};
:[font = input; Cclosed; preserveAspect; startGroup]
RiccatiSolve[aa, bb, q, r]//MatrixForm
:[font = output; output; inactive; preserveAspect; endGroup]
MatrixForm[{{3^(1/2), 1}, {1, 3^(1/2)}}]
;[o]
Sqrt[3]   1

1         Sqrt[3]
:[font = input; Cclosed; preserveAspect; startGroup]
StateSpace[
 TransferFunction[s, 1/(s (s+.5))]]//ReviewForm
:[font = output; output; inactive; preserveAspect; endGroup]
ReviewForm[StateSpace[{{0, 1.}, {0, -0.5}}, {{0}, {1}}, 
 
   {{1, 0}}]]
;[o]
   0   1.

A  0   -0.5


   0

B  1


C  1   0
:[font = input; Cclosed; preserveAspect; startGroup]
(ss = ToDiscreteTime[
 %, Sampled -> Period[1]]
)//ReviewForm
:[font = output; output; inactive; preserveAspect; endGroup]
ReviewForm[StateSpace[{{1., 0.7869386805747331}, 
 
    {0., 0.6065306597126333}}, 
 
   {{0.4261226388505336}, {0.7869386805747332}}, {{1, 0}}, 
 
   Sampled -> Period[1]]]
;[o]
   1.   0.786939

A  0.   0.606531


   0.426123

B  0.786939


C  1   0
:[font = input; preserveAspect]
aa = ss[[1]];  bb = ss[[2]];
:[font = input; Cclosed; preserveAspect; startGroup]
DiscreteRiccatiSolve[aa, bb, q, r]
:[font = output; output; inactive; preserveAspect; endGroup]
{{2.401533858639018, 1.057915507775296}, 
 
  {1.057915507775295, 2.097053473547396}}
;[o]
{{2.40153, 1.05792}, {1.05792, 2.09705}}
:[font = input; Cclosed; preserveAspect; startGroup]
Inverse[Transpose[bb].%.bb + r].Transpose[bb].%.aa
:[font = output; output; inactive; preserveAspect; endGroup]
{{0.5388329994505269, 0.794025692332459}}
;[o]
{{0.538833, 0.794026}}
:[font = input; Cclosed; preserveAspect; startGroup]
LQRegulatorGains[ss, q, r]
:[font = output; output; inactive; preserveAspect; endGroup]
{{0.5388329994505269, 0.794025692332459}}
;[o]
{{0.538833, 0.794026}}
:[font = input; preserveAspect]
aa = {{   0,     0,  0},
      {Q/tau, -1/tau, 0},
      {   0,     1,   0}};
:[font = input; preserveAspect]
bb = {{1},
      {0},
      {0}};
:[font = input; Cclosed; preserveAspect; startGroup]
(q = DiagonalMatrix[{1/delta0^2, 0, 1/phi0^2}]
)//MatrixForm
:[font = output; output; inactive; preserveAspect; endGroup]
MatrixForm[{{delta0^(-2), 0, 0}, {0, 0, 0}, 
 
   {0, 0, phi0^(-2)}}]
;[o]
      -2
delta0     0          0


0          0          0

                          -2
0          0          phi0
:[font = input; Cclosed; preserveAspect; startGroup]
r = {{1/u0^2}}
:[font = output; output; inactive; preserveAspect; endGroup]
{{u0^(-2)}}
;[o]
    -2
{{u0  }}
:[font = input; Cclosed; preserveAspect; startGroup]
{tau -> 1, Q -> 10, u0 -> Pi,
 delta0 -> Pi/12, phi0 -> Pi/180
} //N
:[font = output; output; inactive; preserveAspect; endGroup]
{tau -> 1., Q -> 10., u0 -> 3.141592653589793, 
 
  delta0 -> 0.2617993877991494, phi0 -> 0.0174532925199433}
;[o]
{tau -> 1., Q -> 10., u0 -> 3.14159, delta0 -> 0.261799, 
 
  phi0 -> 0.0174533}
:[font = input; preserveAspect]
{aa, bb, q, r} = {aa, bb, q, r} /. %;
:[font = input; Cclosed; preserveAspect; startGroup]
RiccatiSolve @@ %
:[font = output; output; inactive; preserveAspect; endGroup]
{{2.727566708140214, 2.941792865213486, 18.23781305562085}, 
 
  {2.941792865213484, 6.389705664656556, 
 
   49.09620074652386}, {18.23781305562081, 
 
   49.09620074652381, 578.6189164849502}}
;[o]
{{2.72757, 2.94179, 18.2378}, {2.94179, 6.38971, 49.0962}, 
 
  {18.2378, 49.0962, 578.619}}
:[font = input; Cclosed; preserveAspect; startGroup]
Inverse[r].Transpose[bb].%
:[font = output; output; inactive; preserveAspect; endGroup]
{{26.92000438692547, 29.03433180960429, 180.0000000000005}}
;[o]
{{26.92, 29.0343, 180.}}
:[font = input; Cclosed; preserveAspect; startGroup]
LQRegulatorGains[StateSpace[aa, bb], q, r]
:[font = output; output; inactive; preserveAspect; endGroup; endGroup]
{{26.92000438692547, 29.03433180960429, 180.0000000000005}}
;[o]
{{26.92, 29.0343, 180.}}
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup]
Discrete Regulator by Emulation of Continuous Design
:[font = input; Cclosed; preserveAspect; startGroup]
satellite = StateSpace[TransferFunction[1/#^2]]
:[font = output; output; inactive; preserveAspect; endGroup]
StateSpace[{{0, 1}, {0, 0}}, {{0}, {1}}, {{1, 0}}]
;[o]
StateSpace[{{0, 1}, {0, 0}}, {{0}, {1}}, {{1, 0}}]
:[font = input; preserveAspect]
q = {{1, 0}, {0, 0}};  r = {{0.01}};
:[font = input; Cclosed; preserveAspect; startGroup]
LQRegulatorGains[satellite, q, r]
:[font = output; output; inactive; preserveAspect; endGroup]
{{10., 4.472135954999584}}
;[o]
{{10., 4.47214}}
:[font = input; Cclosed; preserveAspect; startGroup]
StateFeedbackConnect[satellite, %][[1]]
:[font = output; output; inactive; preserveAspect; endGroup]
{{0., 1.}, {-10., -4.472135954999583}}
;[o]
{{0., 1.}, {-10., -4.47214}}
:[font = input; Cclosed; preserveAspect; startGroup]
poles = Eigenvalues[%]
:[font = output; output; inactive; preserveAspect; endGroup]
{-2.236067977499791 + 2.236067977499788*I, 
 
  -2.236067977499791 - 2.236067977499788*I}
;[o]
{-2.23607 + 2.23607 I, -2.23607 - 2.23607 I}
:[font = input; Cclosed; preserveAspect; startGroup]
CharacteristicPolynomial[%%, s]
:[font = output; output; inactive; preserveAspect; endGroup]
10. + 4.472135954999583*s + s^2
;[o]
                   2
10. + 4.47214 s + s
:[font = input; Cclosed; preserveAspect; startGroup]
tn = 2 N[Pi] /Sqrt[ Coefficient[%, s, 0]]
:[font = output; output; inactive; preserveAspect; endGroup]
1.98691765315922
;[o]
1.98692
:[font = input; Cclosed; preserveAspect; startGroup]
ts = tn/6
:[font = output; output; inactive; preserveAspect; endGroup]
0.3311529421932034
;[o]
0.331153
:[font = input; Cclosed; preserveAspect; startGroup]
DiscreteLQRegulatorGains[satellite, q, r,
 Sampled -> Period[ts]]
:[font = output; output; inactive; preserveAspect; endGroup]
{{4.829773798475788, 3.10798127358444}}
;[o]
{{4.82977, 3.10798}}
:[font = input; Cclosed; preserveAspect; startGroup]
Eigenvalues[
 StateFeedbackConnect[
 ToDiscreteTime[satellite,
 Sampled -> Period[ts]],
 %
 ]//First
]
:[font = output; output; inactive; preserveAspect; endGroup]
{0.3529804375475036 + 0.3331811062410839*I, 
 
  0.3529804375475036 - 0.3331811062410839*I}
;[o]
{0.35298 + 0.333181 I, 0.35298 - 0.333181 I}
:[font = input; Cclosed; preserveAspect; startGroup]
1/ts Log[%]
:[font = output; output; inactive; preserveAspect; endGroup]
{-2.18267619704747 + 2.284596835869072*I, 
 
  -2.18267619704747 - 2.284596835869072*I}
;[o]
{-2.18268 + 2.2846 I, -2.18268 - 2.2846 I}
:[font = input; Cclosed; preserveAspect; startGroup]
Abs[(% - poles)/poles]
:[font = output; output; inactive; preserveAspect; endGroup; endGroup]
{0.02281607397098575, 0.02281607397098575}
;[o]
{0.0228161, 0.0228161}
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup]
Optimal Estimation
:[font = input; Cclosed; preserveAspect; startGroup]
(antenna = StateSpace[{{0, 1}, {0, -5}},
 {{0, 0}, {1, 0.1}}, {{1, 0}}]
)//ReviewForm
:[font = output; output; inactive; preserveAspect; endGroup]
ReviewForm[StateSpace[{{0, 1}, {0, -5}}, 
 
   {{0, 0}, {1, 0.1}}, {{1, 0}}]]
;[o]
   0   1

A  0   -5


   0   0

B  1   0.1


C  1   0
:[font = input; preserveAspect]
q = {{100}};  r = {{1}};
:[font = input; Cclosed; preserveAspect; startGroup]
LQEstimatorGains[antenna, q, r, {1}]
:[font = output; output; inactive; preserveAspect; endGroup]
{{0.196152422706632}, {0.01923788646684057}}
;[o]
{{0.196152}, {0.0192379}}
:[font = input; Cclosed; preserveAspect; startGroup]
antennad = ToDiscreteTime[antenna,
 Sampled -> Period[.1]]
:[font = output; output; inactive; preserveAspect; endGroup]
StateSpace[{{1., 0.07869386805747332}, 
 
   {0., 0.6065306597126334}}, 
 
  {{0.004261226388505338, 0.0004261226388505338}, 
 
   {0.07869386805747332, 0.007869386805747335}}, {{1, 0}}, 
 
  Sampled -> Period[0.1]]
;[o]
StateSpace[{{1., 0.0786939}, {0., 0.606531}}, 
 
  {{0.00426123, 0.000426123}, {0.0786939, 0.00786939}}, 
 
  {{1, 0}}, Sampled -> Period[0.1]]
:[font = input; preserveAspect]
qd = rd = {{10}};
:[font = input; Cclosed; preserveAspect; startGroup]
LQEstimatorGains[antennad, qd, rd, {1}]
:[font = output; output; inactive; preserveAspect; endGroup; endGroup]
{{0.001993944394033071}, {0.00002030333304960594}}
;[o]
{{0.00199394}, {0.0000203033}}
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup]
Discrete Estimator by Emulation of Continuous Design
:[font = input; Cclosed; preserveAspect; startGroup]
DiscreteLQEstimatorGains[antenna, q, r, {1},
 Sampled -> Period[.1]]
:[font = output; output; inactive; preserveAspect; endGroup; endGroup]
{{0.01942411380876528}, {0.00190346269551275}}
;[o]
{{0.0194241}, {0.00190346}}
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup]
Kalman Estimator
:[font = input; Cclosed; preserveAspect; startGroup]
StateSpace[
 {{a}}, {{b, bw}}, {{c1},{c2}},
 {{d1, d1w}, {d2, d2w}}
] //ReviewForm
:[font = output; output; inactive; preserveAspect; endGroup]
ReviewForm[StateSpace[{{a}}, {{b, bw}}, {{c1}, {c2}}, 
 
   {{d1, d1w}, {d2, d2w}}]]
;[o]
A  a


B  b   bw


   c1

C  c2


   d1   d1w

D  d2   d2w
:[font = input; preserveAspect]
l = {{L}};
:[font = input; Cclosed; preserveAspect; startGroup]
KalmanEstimator[%%, l, {1}, {1}]//ReviewForm
:[font = output; output; inactive; preserveAspect; endGroup]
ReviewForm[StateSpace[{{a - c1*L}}, {{b - d1*L, L}}, 
 
   {{c1}, {1}}, {{d1, 0}, {0, 0}}]]
;[o]
A  a - c1 L


B  b - d1 L   L


   c1

C  1


   d1   0

D  0    0
:[font = input; Cclosed; preserveAspect; startGroup]
StateSpace[
 {{a}}, {{b, bw}}, {{c1},{c2}},
 {{d1, d1w}, {d2, d2w}},
 Sampled -> True ]
:[font = output; output; inactive; preserveAspect; endGroup]
StateSpace[{{a}}, {{b, bw}}, {{c1}, {c2}}, 
 
  {{d1, d1w}, {d2, d2w}}, Sampled -> True]
;[o]
StateSpace[{{a}}, {{b, bw}}, {{c1}, {c2}}, 
 
  {{d1, d1w}, {d2, d2w}}, Sampled -> True]
:[font = input; Cclosed; preserveAspect; startGroup]
KalmanEstimator[%, l, {1}, {1}]//ReviewForm
:[font = output; output; inactive; preserveAspect; endGroup]
ReviewForm[StateSpace[{{a - a*c1*L}}, {{b - a*d1*L, a*L}}, 
 
   {{c1 - c1^2*L}, {1 - c1*L}}, 
 
   {{d1 - c1*d1*L, c1*L}, {-(d1*L), L}}, Sampled -> True]]
;[o]
A  a - a c1 L


B  b - a d1 L   a L


          2
   c1 - c1  L

C  1 - c1 L


   d1 - c1 d1 L   c1 L

D  -(d1 L)        L
:[font = input; Cclosed; preserveAspect; startGroup]
antenna
:[font = output; output; inactive; preserveAspect; endGroup]
StateSpace[{{0, 1}, {0, -5}}, {{0, 0}, {1, 0.1}}, {{1, 0}}]
;[o]
StateSpace[{{0, 1}, {0, -5}}, {{0, 0}, {1, 0.1}}, {{1, 0}}]
:[font = input; preserveAspect]
q = {{1}};  r = {{100}};
:[font = input; Cclosed; preserveAspect; startGroup]
l = LQEstimatorGains[antenna, q, r, {1}]
:[font = output; output; inactive; preserveAspect; endGroup]
{{0.001999600159920039}, {1.999200399776128*10^-6}}
;[o]
                        -6
{{0.0019996}, {1.9992 10  }}
:[font = input; Cclosed; preserveAspect; startGroup]
(antenna1 = ParallelConnect[antenna,
 TransferFunction[1], {}, {1, 1}]
)//ReviewForm
:[font = output; output; inactive; preserveAspect; endGroup]
ReviewForm[StateSpace[{{0, 1}, {0, -5}}, 
 
   {{0, 0, 0}, {1, 0.1, 0}}, {{1, 0}}, {{0, 0, 1}}]]
;[o]
   0   1

A  0   -5


   0   0     0

B  1   0.1   0


C  1   0


D  0   0   1
:[font = input; Cclosed; preserveAspect; startGroup]
estimator = KalmanEstimator[%, l, {1}, {1}]
:[font = output; output; inactive; preserveAspect; endGroup]
StateSpace[{{-0.001999600159920039, 1.}, 
 
   {-(1.999200399776128*10^-6), -5.}}, 
 
  {{0., 0.001999600159920039}, 
 
   {1., 1.999200399776128*10^-6}}, 
 
  {{1, 0}, {1, 0}, {0, 1}}, {{0, 0}, {0, 0}, {0, 0}}]
;[o]
                                         -6
StateSpace[{{-0.0019996, 1.}, {-1.9992 10  , -5.}}, 
 
                                  -6
  {{0., 0.0019996}, {1., 1.9992 10  }}, 
 
  {{1, 0}, {1, 0}, {0, 1}}, {{0, 0}, {0, 0}, {0, 0}}]
:[font = input; Cclosed; preserveAspect; startGroup]
filter = Subsystem[estimator, All, {1}]
:[font = output; output; inactive; preserveAspect; endGroup]
StateSpace[{{-0.001999600159920039, 1.}, 
 
   {-(1.999200399776128*10^-6), -5.}}, 
 
  {{0., 0.001999600159920039}, 
 
   {1., 1.999200399776128*10^-6}}, {{1, 0}}, {{0, 0}}]
;[o]
                                         -6
StateSpace[{{-0.0019996, 1.}, {-1.9992 10  , -5.}}, 
 
                                  -6
  {{0., 0.0019996}, {1., 1.9992 10  }}, {{1, 0}}, {{0, 0}}]
:[font = input; Cclosed; preserveAspect; startGroup]
ParallelConnect[antenna1, filter, {1, 1}, {}]
:[font = output; output; inactive; preserveAspect; endGroup]
StateSpace[{{0, 1, 0, 0}, {0, -5, 0, 0}, 
 
   {0, 0, -0.001999600159920039, 1.}, 
 
   {0, 0, -(1.999200399776128*10^-6), -5.}}, 
 
  {{0, 0, 0, 0}, {1, 0.1, 0, 0}, 
 
   {0., 0, 0, 0.001999600159920039}, 
 
   {1., 0, 0, 1.999200399776128*10^-6}}, 
 
  {{1, 0, 0, 0}, {0, 0, 1, 0}}, 
 
  {{0, 0, 1, 0}, {0, 0, 0, 0}}]
;[o]
StateSpace[{{0, 1, 0, 0}, {0, -5, 0, 0}, 
 
                                            -6
   {0, 0, -0.0019996, 1.}, {0, 0, -1.9992 10  , -5.}}, 
 
  {{0, 0, 0, 0}, {1, 0.1, 0, 0}, {0., 0, 0, 0.0019996}, 
 
                       -6
   {1., 0, 0, 1.9992 10  }}, {{1, 0, 0, 0}, {0, 0, 1, 0}}, 
 
  {{0, 0, 1, 0}, {0, 0, 0, 0}}]
:[font = input; Cclosed; preserveAspect; startGroup]
(composite =
 FeedbackConnect[%, {1, 4, Positive}])//ReviewForm
:[font = output; output; inactive; preserveAspect; endGroup]
ReviewForm[StateSpace[{{0, 1, 0, 0}, {0, -5, 0, 0}, 
 
    {0.001999600159920039, 0., -0.001999600159920039, 1.}, 
 
    {1.999200399776128*10^-6, 0., 
 
     -(1.999200399776128*10^-6), -5.}}, 
 
   {{0, 0, 0, 0}, {1, 0.1, 0, 0}, 
 
    {0., 0., 0.001999600159920039, 0.001999600159920039}, 
 
    {1., 0., 1.999200399776128*10^-6, 
 
     1.999200399776128*10^-6}}, 
 
   {{1, 0, 0, 0}, {0, 0, 1, 0}}, 
 
   {{0, 0, 1, 0}, {0, 0, 0, 0}}]]
;[o]
   0             1    0              0

   0             -5   0              0

   0.0019996     0.   -0.0019996     1.

            -6                  -6
A  1.9992 10     0.   -1.9992 10     -5.


   0    0     0             0

   1    0.1   0             0

   0.   0.    0.0019996     0.0019996

                       -6            -6
B  1.   0.    1.9992 10     1.9992 10


   1   0   0   0

C  0   0   1   0


   0   0   1   0

D  0   0   0   0
:[font = input; preserveAspect]
Needs["Statistics`ContinuousDistributions`"]
:[font = input; preserveAspect]
n = 100;
:[font = input; preserveAspect]
w = Table[
 Random[
 NormalDistribution[0, Sqrt[q[[1,1]]]]
 ],
 {n}
];
:[font = input; preserveAspect]
v = Table[
 Random[
 NormalDistribution[0, Sqrt[r[[1,1]]]]
 ],
 {n}
];
:[font = input; preserveAspect]
u = Sin[2Pi/20 Range[n]]//N;
:[font = input; preserveAspect]
zeros = Table[0, {n}];
:[font = input; preserveAspect]
{y1, y2} = OutputResponse[composite, {u, w, v, zeros}];
:[font = input; preserveAspect]
y10 = y1 - v;
:[font = input; Cclosed; preserveAspect; startGroup]
MultipleListPlot[y10, y1, y2,
   PlotRange -> {-10, 10},
   PlotJoined -> True,
   SymbolShape -> None,
   PlotLabel ->
      "Signals prior to and after the Kalman Filter",
   PlotLegend -> { "Original", "Noise Added",
      "Filtered" }
];
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 1; pictureWidth = 440; pictureHeight = 191; endGroup; endGroup]
%!
%%Creator: Mathematica
%%AspectRatio: .43671 
MathPictureStart
%% Graphics
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.360288 0.336479 0.218353 0.336479 [
[ 0 0 0 0 ]
[ 1 .43671 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
[ ] 0 setdash
0 g
p
P
p
% Start of sub-graphic
p
0.0238095 0.0103978 0.696767 0.426308 MathSubStart
%% Graphics
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.00952381 0.309017 0.0309017 [
[(20)] .21429 .30902 0 2 Msboxa
[(40)] .40476 .30902 0 2 Msboxa
[(60)] .59524 .30902 0 2 Msboxa
[(80)] .78571 .30902 0 2 Msboxa
[(100)] .97619 .30902 0 2 Msboxa
[(Signals prior to and after the Kalman Filter)] .5 .61803 0 -2 Msboxa
[(-10)] .01131 0 1 0 Msboxa
[(-7.5)] .01131 .07725 1 0 Msboxa
[(-5)] .01131 .15451 1 0 Msboxa
[(-2.5)] .01131 .23176 1 0 Msboxa
[(2.5)] .01131 .38627 1 0 Msboxa
[(5)] .01131 .46353 1 0 Msboxa
[(7.5)] .01131 .54078 1 0 Msboxa
[(10)] .01131 .61803 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 .61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
[ ] 0 setdash
p
p
.002 w
.21429 .30902 m
.21429 .31527 L
s
P
[(20)] .21429 .30902 0 2 Mshowa
p
.002 w
.40476 .30902 m
.40476 .31527 L
s
P
[(40)] .40476 .30902 0 2 Mshowa
p
.002 w
.59524 .30902 m
.59524 .31527 L
s
P
[(60)] .59524 .30902 0 2 Mshowa
p
.002 w
.78571 .30902 m
.78571 .31527 L
s
P
[(80)] .78571 .30902 0 2 Mshowa
p
.002 w
.97619 .30902 m
.97619 .31527 L
s
P
[(100)] .97619 .30902 0 2 Mshowa
p
.001 w
.0619 .30902 m
.0619 .31277 L
s
P
p
.001 w
.1 .30902 m
.1 .31277 L
s
P
p
.001 w
.1381 .30902 m
.1381 .31277 L
s
P
p
.001 w
.17619 .30902 m
.17619 .31277 L
s
P
p
.001 w
.25238 .30902 m
.25238 .31277 L
s
P
p
.001 w
.29048 .30902 m
.29048 .31277 L
s
P
p
.001 w
.32857 .30902 m
.32857 .31277 L
s
P
p
.001 w
.36667 .30902 m
.36667 .31277 L
s
P
p
.001 w
.44286 .30902 m
.44286 .31277 L
s
P
p
.001 w
.48095 .30902 m
.48095 .31277 L
s
P
p
.001 w
.51905 .30902 m
.51905 .31277 L
s
P
p
.001 w
.55714 .30902 m
.55714 .31277 L
s
P
p
.001 w
.63333 .30902 m
.63333 .31277 L
s
P
p
.001 w
.67143 .30902 m
.67143 .31277 L
s
P
p
.001 w
.70952 .30902 m
.70952 .31277 L
s
P
p
.001 w
.74762 .30902 m
.74762 .31277 L
s
P
p
.001 w
.82381 .30902 m
.82381 .31277 L
s
P
p
.001 w
.8619 .30902 m
.8619 .31277 L
s
P
p
.001 w
.9 .30902 m
.9 .31277 L
s
P
p
.001 w
.9381 .30902 m
.9381 .31277 L
s
P
p
.002 w
0 .30902 m
1 .30902 L
s
P
[(Signals prior to and after the Kalman Filter)] .5 .61803 0 -2 Mshowa
p
.002 w
.02381 0 m
.03006 0 L
s
P
[(-10)] .01131 0 1 0 Mshowa
p
.002 w
.02381 .07725 m
.03006 .07725 L
s
P
[(-7.5)] .01131 .07725 1 0 Mshowa
p
.002 w
.02381 .15451 m
.03006 .15451 L
s
P
[(-5)] .01131 .15451 1 0 Mshowa
p
.002 w
.02381 .23176 m
.03006 .23176 L
s
P
[(-2.5)] .01131 .23176 1 0 Mshowa
p
.002 w
.02381 .38627 m
.03006 .38627 L
s
P
[(2.5)] .01131 .38627 1 0 Mshowa
p
.002 w
.02381 .46353 m
.03006 .46353 L
s
P
[(5)] .01131 .46353 1 0 Mshowa
p
.002 w
.02381 .54078 m
.03006 .54078 L
s
P
[(7.5)] .01131 .54078 1 0 Mshowa
p
.002 w
.02381 .61803 m
.03006 .61803 L
s
P
[(10)] .01131 .61803 1 0 Mshowa
p
.001 w
.02381 .01545 m
.02756 .01545 L
s
P
p
.001 w
.02381 .0309 m
.02756 .0309 L
s
P
p
.001 w
.02381 .04635 m
.02756 .04635 L
s
P
p
.001 w
.02381 .0618 m
.02756 .0618 L
s
P
p
.001 w
.02381 .09271 m
.02756 .09271 L
s
P
p
.001 w
.02381 .10816 m
.02756 .10816 L
s
P
p
.001 w
.02381 .12361 m
.02756 .12361 L
s
P
p
.001 w
.02381 .13906 m
.02756 .13906 L
s
P
p
.001 w
.02381 .16996 m
.02756 .16996 L
s
P
p
.001 w
.02381 .18541 m
.02756 .18541 L
s
P
p
.001 w
.02381 .20086 m
.02756 .20086 L
s
P
p
.001 w
.02381 .21631 m
.02756 .21631 L
s
P
p
.001 w
.02381 .24721 m
.02756 .24721 L
s
P
p
.001 w
.02381 .26266 m
.02756 .26266 L
s
P
p
.001 w
.02381 .27812 m
.02756 .27812 L
s
P
p
.001 w
.02381 .29357 m
.02756 .29357 L
s
P
p
.001 w
.02381 .32447 m
.02756 .32447 L
s
P
p
.001 w
.02381 .33992 m
.02756 .33992 L
s
P
p
.001 w
.02381 .35537 m
.02756 .35537 L
s
P
p
.001 w
.02381 .37082 m
.02756 .37082 L
s
P
p
.001 w
.02381 .40172 m
.02756 .40172 L
s
P
p
.001 w
.02381 .41717 m
.02756 .41717 L
s
P
p
.001 w
.02381 .43262 m
.02756 .43262 L
s
P
p
.001 w
.02381 .44807 m
.02756 .44807 L
s
P
p
.001 w
.02381 .47898 m
.02756 .47898 L
s
P
p
.001 w
.02381 .49443 m
.02756 .49443 L
s
P
p
.001 w
.02381 .50988 m
.02756 .50988 L
s
P
p
.001 w
.02381 .52533 m
.02756 .52533 L
s
P
p
.001 w
.02381 .55623 m
.02756 .55623 L
s
P
p
.001 w
.02381 .57168 m
.02756 .57168 L
s
P
p
.001 w
.02381 .58713 m
.02756 .58713 L
s
P
p
.001 w
.02381 .60258 m
.02756 .60258 L
s
P
p
.002 w
.02381 0 m
.02381 .61803 L
s
P
P
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
p
p
p
p
.001 w
.03333 .30902 m
.04286 .3098 L
.05238 .31277 L
.0619 .3169 L
.07143 .32188 L
.08095 .32857 L
.09048 .3348 L
.1 .34127 L
.10952 .34562 L
.11905 .34791 L
.12857 .34854 L
.1381 .3469 L
.14762 .34341 L
.15714 .33908 L
.16667 .33311 L
.17619 .3267 L
.18571 .32162 L
.19524 .31666 L
.20476 .31362 L
.21429 .3115 L
.22381 .31193 L
.23333 .31426 L
.24286 .31809 L
.25238 .32314 L
.2619 .32845 L
.27143 .33479 L
.28095 .34165 L
.29048 .34641 L
.3 .35029 L
.30952 .35261 L
.31905 .35329 L
.32857 .3522 L
.3381 .34943 L
.34762 .34447 L
.35714 .33879 L
.36667 .33365 L
.37619 .32721 L
.38571 .32253 L
.39524 .31806 L
.40476 .31463 L
.41429 .31387 L
.42381 .31553 L
.43333 .31916 L
.44286 .32359 L
.45238 .33023 L
.4619 .33607 L
.47143 .34285 L
.48095 .34843 L
.49048 .35205 L
.5 .35427 L
Mistroke
.50952 .35506 L
.51905 .35336 L
.52857 .3504 L
.5381 .3459 L
.54762 .34006 L
.55714 .33417 L
.56667 .32801 L
.57619 .32313 L
.58571 .31886 L
.59524 .31589 L
.60476 .31572 L
.61429 .31697 L
.62381 .32127 L
.63333 .32624 L
.64286 .33213 L
.65238 .33914 L
.6619 .34423 L
.67143 .34902 L
.68095 .35313 L
.69048 .35605 L
.7 .35702 L
.70952 .35558 L
.71905 .35286 L
.72857 .34882 L
.7381 .34385 L
.74762 .3382 L
.75714 .33292 L
.76667 .32773 L
.77619 .32311 L
.78571 .32035 L
.79524 .31977 L
.80476 .32109 L
.81429 .32406 L
.82381 .32825 L
.83333 .33339 L
.84286 .33856 L
.85238 .34415 L
.8619 .34907 L
.87143 .35275 L
.88095 .35548 L
.89048 .35634 L
.9 .35451 L
.90952 .3515 L
.91905 .34723 L
.92857 .34138 L
.9381 .33484 L
.94762 .3285 L
.95714 .3236 L
.96667 .32004 L
.97619 .31738 L
Mistroke
Mfstroke
P
p
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
P
p
P
P
p
p
[ .5 3 ] 0 Mabsdash
.001 w
s
.03555 0 m
.04286 .43432 L
s
.04286 .43432 m
.05238 .58286 L
.0619 .24812 L
s
.0679 .61803 m
.0619 .24812 L
s
.07718 .61803 m
.08095 .47509 L
s
.08095 .47509 m
.09048 .16808 L
.1 .34261 L
.10952 .59725 L
.11905 .3352 L
.12857 .14627 L
.1381 .55937 L
s
.1408 .61803 m
.1381 .55937 L
s
.15157 .61803 m
.15714 .40958 L
s
.15714 .40958 m
.16667 .41226 L
s
.17616 0 m
.16667 .41226 L
s
.17621 0 m
.18571 .5526 L
s
.18571 .5526 m
.19524 .09248 L
s
.1989 0 m
.19524 .09248 L
s
.20928 0 m
.21429 .16368 L
s
.21429 .16368 m
.22381 .27392 L
.23333 .461 L
.24286 .39011 L
s
.24761 .61803 m
.24286 .39011 L
s
.25647 .61803 m
.2619 .31375 L
s
.2619 .31375 m
.27143 .24425 L
s
.27929 .61803 m
.27143 .24425 L
s
.28264 .61803 m
.29048 .2506 L
s
.29048 .2506 m
0 0 rlineto
.2985 .61803 m
.29048 .2506 L
s
s
.3148 .61803 m
.31905 .23533 L
s
.31905 .23533 m
.32857 .20519 L
s
.33717 .61803 m
.32857 .20519 L
s
.33875 .61803 m
.34762 .00982 L
s
.34762 .00982 m
.35714 .52232 L
s
.36497 0 m
.35714 .52232 L
s
.37004 0 m
.37619 .20685 L
s
.37619 .20685 m
.38571 .47509 L
.39524 .00034 L
s
.39609 0 m
.39524 .00034 L
s
s
.42302 0 m
.42381 .0157 L
s
.42381 .0157 m
.43333 .28636 L
.44286 .25174 L
.45238 .07578 L
.4619 .42234 L
.47143 .238 L
.48095 .15212 L
s
.48668 .61803 m
.48095 .15212 L
s
.49347 .61803 m
.49947 0 L
s
s
.49947 0 m
.49347 .61803 L
s
.50506 0 m
.50952 .04863 L
s
.50952 .04863 m
.51905 .55505 L
s
.52187 .61803 m
.51905 .55505 L
s
.53005 .61803 m
.53615 0 L
s
s
.53615 0 m
.53005 .61803 L
s
.5434 0 m
.54762 .15686 L
s
.54762 .15686 m
.55714 .36154 L
.56667 .35522 L
.57619 .2745 L
.58571 .41473 L
s
.59154 .61803 m
.58571 .41473 L
s
.59911 .61803 m
.60476 .42993 L
s
.60476 .42993 m
0 0 rlineto
.60912 0 m
.60476 .42993 L
s
.62083 0 m
.62381 .23277 L
s
.62381 .23277 m
0 0 rlineto
.63271 0 m
.62381 .23277 L
s
.6339 0 m
.64286 .25773 L
s
.64286 .25773 m
0 0 rlineto
.64813 .61803 m
.64286 .25773 L
s
.65553 .61803 m
.6619 .02912 L
s
.6619 .02912 m
0 0 rlineto
.66706 0 m
.6619 .02912 L
s
.67375 0 m
.68095 .07637 L
s
.68095 .07637 m
.69048 .16609 L
.7 .07866 L
.70952 .27315 L
.71905 .32025 L
.72857 .51027 L
.7381 .13266 L
.74762 .00409 L
.75714 .36654 L
.76667 .13193 L
.77619 .04523 L
s
.78401 .61803 m
.77619 .04523 L
s
s
.7984 .61803 m
.80476 .17146 L
s
.80476 .17146 m
0 0 rlineto
.81291 0 m
.80476 .17146 L
s
.8209 0 m
.82381 .01273 L
s
.82381 .01273 m
.83333 .53364 L
.84286 .04114 L
.85238 .16276 L
s
.85732 .61803 m
.85238 .16276 L
s
.86741 .61803 m
.87143 .30868 L
s
.87143 .30868 m
.88095 .20135 L
.89048 .4931 L
.9 .11388 L
.90952 .02103 L
.91905 .26739 L
.92857 .57645 L
.9381 .39784 L
.94762 .32455 L
.95714 .29443 L
s
.96529 .61803 m
.95714 .29443 L
s
.96807 .61803 m
.97619 .30051 L
s
.97619 .30051 m
0 0 rlineto
P
p
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
P
p
P
P
p
p
[ .5 4 5 4 ] 0 Mabsdash
.001 w
.03333 .30902 m
.04286 .30967 L
.05238 .3132 L
.0619 .31847 L
.07143 .32403 L
.08095 .33117 L
.09048 .3374 L
.1 .34223 L
.10952 .34614 L
.11905 .3489 L
.12857 .34925 L
.1381 .34732 L
.14762 .34445 L
.15714 .34057 L
.16667 .335 L
.17619 .32904 L
.18571 .32244 L
.19524 .31773 L
.20476 .31337 L
.21429 .3102 L
.22381 .30952 L
.23333 .31098 L
.24286 .31457 L
.25238 .31945 L
.2619 .3262 L
.27143 .3323 L
.28095 .33806 L
.29048 .34395 L
.3 .34767 L
.30952 .3506 L
.31905 .35247 L
.32857 .35071 L
.3381 .34713 L
.34762 .34303 L
.35714 .33667 L
.36667 .33092 L
.37619 .32409 L
.38571 .31868 L
.39524 .31509 L
.40476 .31221 L
.41429 .31119 L
.42381 .31175 L
.43333 .31445 L
.44286 .31912 L
.45238 .32469 L
.4619 .33031 L
.47143 .33643 L
.48095 .34141 L
.49048 .34494 L
.5 .34835 L
Mistroke
.50952 .34793 L
.51905 .3458 L
.52857 .34293 L
.5381 .33906 L
.54762 .33228 L
.55714 .32581 L
.56667 .31995 L
.57619 .31484 L
.58571 .31086 L
.59524 .30881 L
.60476 .3093 L
.61429 .31107 L
.62381 .31272 L
.63333 .31729 L
.64286 .32232 L
.65238 .32831 L
.6619 .33541 L
.67143 .33997 L
.68095 .34315 L
.69048 .34487 L
.7 .3449 L
.70952 .34284 L
.71905 .33941 L
.72857 .33465 L
.7381 .3293 L
.74762 .32278 L
.75714 .31621 L
.76667 .31114 L
.77619 .30687 L
.78571 .3041 L
.79524 .30459 L
.80476 .30719 L
.81429 .3102 L
.82381 .31425 L
.83333 .31935 L
.84286 .3259 L
.85238 .33126 L
.8619 .3361 L
.87143 .34142 L
.88095 .3436 L
.89048 .3437 L
.9 .34247 L
.90952 .33873 L
.91905 .33337 L
.92857 .32754 L
.9381 .32191 L
.94762 .31613 L
.95714 .31097 L
.96667 .30703 L
.97619 .30551 L
Mistroke
Mfstroke
P
p
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
p
P
P
p
P
P
P
P
MathSubEnd
P
% End of sub-graphic
p
p
.73041 .08376 m
.73041 .35294 L
.97619 .35294 L
.97619 .08376 L
F
1 g
.73041 .08376 m
.73041 .35294 L
.97619 .35294 L
.97619 .08376 L
F
0 g
.001 w
.73041 .08376 m
.97619 .08376 L
.97619 .35294 L
.73041 .35294 L
.73041 .08376 L
s
% Start of sub-graphic
p
0.730415 0.0837616 0.97619 0.352944 MathSubStart
%% Graphics
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0297619 0.297619 0.0297619 0.297619 [
[ 0 0 0 0 ]
[ 1 1.09524 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
[ ] 0 setdash
p
P
0 0 m
1 0 L
1 1.09524 L
0 1.09524 L
closepath
clip
newpath
p
p
p
% Start of sub-graphic
p
0.0535714 0.0535714 0.35119 0.35119 MathSubStart
%% Graphics
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.5 0.5 0.5 [
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
[ ] 0 setdash
p
P
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
p
p
[ .5 4 5 4 ] 0 Mabsdash
.00701 w
0 .5 m
1 .5 L
s
P
p
P
P
MathSubEnd
P
% End of sub-graphic
[(Filtered)] .38988 .20238 -1 0 Mshowa
P
p
% Start of sub-graphic
p
0.0535714 0.39881 0.35119 0.696429 MathSubStart
%% Graphics
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.5 0.5 0.5 [
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
[ ] 0 setdash
p
P
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
p
p
[ .5 3 ] 0 Mabsdash
.00701 w
0 .5 m
1 .5 L
s
P
p
P
P
MathSubEnd
P
% End of sub-graphic
[(Noise Added)] .38988 .54762 -1 0 Mshowa
P
p
% Start of sub-graphic
p
0.0535714 0.744048 0.35119 1.04167 MathSubStart
%% Graphics
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.5 0.5 0.5 [
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
[ ] 0 setdash
p
P
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
p
p
.00701 w
0 .5 m
1 .5 L
s
P
p
P
P
MathSubEnd
P
% End of sub-graphic
[(Original)] .38988 .89286 -1 0 Mshowa
P
P
p
P
P
MathSubEnd
P
% End of sub-graphic
P
P
P
0 0 m
1 0 L
1 .43671 L
0 .43671 L
closepath
clip
newpath
% End of Graphics
MathPictureEnd

:[font = subsection; inactive; Cclosed; preserveAspect; startGroup]
Optimal Controller
:[font = input; Cclosed; preserveAspect; startGroup]
StateSpace[
 {{a}}, {{b1, b2, bw}}, {{c1},{c2}},
 {{d11, d12, d13}, {d21, d22, d23}}
] //ReviewForm
:[font = output; output; inactive; preserveAspect; endGroup]
ReviewForm[StateSpace[{{a}}, {{b1, b2, bw}}, {{c1}, {c2}}, 
 
   {{d11, d12, d13}, {d21, d22, d23}}]]
;[o]
A  a


B  b1   b2   bw


   c1

C  c2


   d11   d12   d13

D  d21   d22   d23
:[font = input; preserveAspect]
l = {{L}};  k = {{K}};
:[font = input; Cclosed; preserveAspect; startGroup]
Controller[%%, l, k, {1}, {2}, {1}]//ReviewForm
:[font = output; output; inactive; preserveAspect; endGroup]
ReviewForm[StateSpace[{{a - c1*L - K*(b1 - d11*L)}}, 
 
   {{b2 - d12*L, L}}, {{K}}, {{0, 0}}]]
;[o]
A  a - c1 L - K (b1 - d11 L)


B  b2 - d12 L   L


C  K


D  0   0
:[font = input; Cclosed; preserveAspect; startGroup]
StateSpace[
 {{a}}, {{b1, b2, bw}}, {{c1},{c2}},
 {{d11, d12, d13}, {d21, d22, d23}},
 Sampled -> True
]
:[font = output; output; inactive; preserveAspect; endGroup]
StateSpace[{{a}}, {{b1, b2, bw}}, {{c1}, {c2}}, 
 
  {{d11, d12, d13}, {d21, d22, d23}}, Sampled -> True]
;[o]
StateSpace[{{a}}, {{b1, b2, bw}}, {{c1}, {c2}}, 
 
  {{d11, d12, d13}, {d21, d22, d23}}, Sampled -> True]
:[font = input; Cclosed; preserveAspect; startGroup]
Controller[%, l, k, {1}, {2}, {1}]
:[font = output; output; inactive; preserveAspect; endGroup]
StateSpace[{{a - K*(b1/(1 - d11*K*L) - 
 
        (a*d11*L)/(1 - d11*K*L)) - 
 
     c1*((a*L)/(1 - d11*K*L) - (b1*K*L)/(1 - d11*K*L))}}, 
 
  {{b2 - d12*((a*L)/(1 - d11*K*L) - 
 
        (b1*K*L)/(1 - d11*K*L)), 
 
    a*L - K*L*(b1/(1 - d11*K*L) - (a*d11*L)/(1 - d11*K*L))}}
 
   , {{K - (c1*K*L)/(1 - d11*K*L) + 
 
     (d11*K^2*L)/(1 - d11*K*L)}}, 
 
  {{-((d12*K*L)/(1 - d11*K*L)), 
 
    K*L + (d11*K^2*L^2)/(1 - d11*K*L)}}, Sampled -> True]
;[o]
                        b1          a d11 L
StateSpace[{{a - K (----------- - -----------) - 
                    1 - d11 K L   1 - d11 K L
 
             a L         b1 K L
     c1 (----------- - -----------)}}, 
         1 - d11 K L   1 - d11 K L
 
                  a L         b1 K L
  {{b2 - d12 (----------- - -----------), 
              1 - d11 K L   1 - d11 K L
 
                   b1          a d11 L
    a L - K L (----------- - -----------)}}, 
               1 - d11 K L   1 - d11 K L
 
                            2
          c1 K L       d11 K  L
  {{K - ----------- + -----------}}, 
        1 - d11 K L   1 - d11 K L
 
                                2  2
        d12 K L            d11 K  L
  {{-(-----------), K L + -----------}}, Sampled -> True]
      1 - d11 K L         1 - d11 K L
:[font = input; Cclosed; preserveAspect; startGroup]
(satellite = ToDiscreteTime[
 StateSpace[{{0, 1}, {0, 0}}, {{0}, {1}},
 {{1, 0}}],
 Sampled -> Period[T]]
)//ReviewForm
:[font = output; output; inactive; preserveAspect; endGroup]
ReviewForm[StateSpace[{{1, T}, {0, 1}}, {{T^2/2}, {T}}, 
 
   {{1, 0}}, Sampled -> Period[T]]]
;[o]
   1   T

A  0   1


    2
   T
   --
   2

B  T


C  1   0
:[font = input; preserveAspect]
k = {{k1, k2}};  l = {{l1}, {l2}};
:[font = input; Cclosed; preserveAspect; startGroup]
Controller[satellite, l, k]
:[font = output; output; inactive; preserveAspect; endGroup; endGroup; endGroup; endGroup]
StateSpace[{{1 - l1 - l2*T - (k1*T^2)/2 - 
 
     ((-(k1*l1) - k2*l2)*T^2)/2, T - (k2*T^2)/2}, 
 
   {-l2 - k1*T - (-(k1*l1) - k2*l2)*T, 1 - k2*T}}, 
 
  {{l1 + l2*T + ((-(k1*l1) - k2*l2)*T^2)/2}, 
 
   {l2 + (-(k1*l1) - k2*l2)*T}}, 
 
  {{k1 - k1*l1 - k2*l2, k2}}, {{k1*l1 + k2*l2}}, 
 
  Sampled -> Period[T]]
;[o]
                                 2                       2
                             k1 T    (-(k1 l1) - k2 l2) T
StateSpace[{{1 - l1 - l2 T - ----- - ---------------------, 
                               2               2
 
            2
        k2 T
    T - -----}, {-l2 - k1 T - (-(k1 l1) - k2 l2) T, 
          2
 
                                                  2
                              (-(k1 l1) - k2 l2) T
    1 - k2 T}}, {{l1 + l2 T + ---------------------}, 
                                        2
 
   {l2 + (-(k1 l1) - k2 l2) T}}, 
 
  {{k1 - k1 l1 - k2 l2, k2}}, {{k1 l1 + k2 l2}}, 
 
  Sampled -> Period[T]]
^*)
