(*^
::[	Information =

	"This is a Mathematica Notebook file.  It contains ASCII text, and can be
	transferred by email, ftp, or other text-file transfer utility.  It should
	be read or edited using a copy of Mathematica or MathReader.  If you 
	received this as email, use your mail application or copy/paste to save 
	everything from the line containing (*^ down to the line containing ^*)
	into a plain text file.  On some systems you may have to give the file a 
	name ending with ".ma" to allow Mathematica to recognize it as a Notebook.
	The line below identifies what version of Mathematica created this file,
	but it can be opened using any other version as well.";

	FrontEndVersion = "Macintosh Mathematica Notebook Front End Version 2.2";

	MacintoshStandardFontEncoding; 
	
	fontset = title, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, e8,  24, "Times"; 
	fontset = subtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, e6,  18, "Times"; 
	fontset = subsubtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, italic, e6,  14, "Times"; 
	fontset = section, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, grayBox, M22, bold, a20,  18, "Times"; 
	fontset = subsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, blackBox, M19, bold, a15,  14, "Times"; 
	fontset = subsubsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, whiteBox, M18, bold, a12,  12, "Times"; 
	fontset = text, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = smalltext, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  10, "Times"; 
	fontset = input, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeInput, M42, N23, bold, L-5,  12, "Courier"; 
	fontset = output, output, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, "Courier"; 
	fontset = message, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, R65535, L-5,  12, "Courier"; 
	fontset = print, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, "Courier"; 
	fontset = info, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, B65535, L-5,  12, "Courier"; 
	fontset = postscript, PostScript, formatAsPostScript, output, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeGraphics, M7, l34, w282, h287,  12, "Courier"; 
	fontset = name, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, italic,  10, "Geneva"; 
	fontset = header, inactive, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = leftheader, inactive, L2,  12, "Times"; 
	fontset = footer, inactive, noKeepOnOnePage, preserveAspect, center, M7,  12, "Times"; 
	fontset = leftfooter, inactive, L2,  12, "Times"; 
	fontset = help, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  10, "Times"; 
	fontset = clipboard, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = completions, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = special1, initialization, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Courier"; 
	fontset = special2, inactive, nohscroll, noKeepOnOnePage, preserveAspect, cellOutline, blackBox, M7, r58981, g58981, b58981,  15, "Times"; 
	fontset = special3, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = special4, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = special5, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	paletteColors = 128; automaticGrouping; currentKernel; 
]
:[font = title; inactive; preserveAspect; startGroup]
Control System Professional
:[font = section; inactive; Cclosed; preserveAspect; startGroup]
6. System Interconnections
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup]
Elementary Interconnections
:[font = subsubsection; inactive; Cclosed; preserveAspect; startGroup]
Connecting in Series
:[font = input; preserveAspect]
Needs["ControlSystems`Master`"]
:[font = input; preserveAspect]
ss1 = StateSpace[
   {{a11, a12}, {a21, a22}},
   {{b11, b12}, {b21, b22}},
   {{c11, c12}, {c21, c22}}];
:[font = input; preserveAspect]

:[font = input; preserveAspect]
ss2 = StateSpace[
   {{A11, A12}, {A21, A22}},
   {{B1, 0}, {0, B2}},
   {{C11, C12}}];
:[font = input; Cclosed; preserveAspect; startGroup]
SeriesConnect[ss1, ss2]
:[font = output; output; inactive; preserveAspect; endGroup]
StateSpace[{{a11, a12, 0, 0}, {a21, a22, 0, 0}, 
 
   {B1*c11, B1*c12, A11, A12}, {B2*c21, B2*c22, A21, A22}}, 
 
  {{b11, b12}, {b21, b22}, {0, 0}, {0, 0}}, 
 
  {{0, 0, C11, C12}}, {{0, 0}}]
;[o]
StateSpace[{{a11, a12, 0, 0}, {a21, a22, 0, 0}, 
 
   {B1 c11, B1 c12, A11, A12}, {B2 c21, B2 c22, A21, A22}}, 
 
  {{b11, b12}, {b21, b22}, {0, 0}, {0, 0}}, 
 
  {{0, 0, C11, C12}}, {{0, 0}}]
:[font = input; Cclosed; preserveAspect; startGroup]
%//ReviewForm
:[font = output; output; inactive; preserveAspect; endGroup]
ReviewForm[StateSpace[{{a11, a12, 0, 0}, {a21, a22, 0, 0}, 
 
    {B1*c11, B1*c12, A11, A12}, {B2*c21, B2*c22, A21, A22}}\
 
    , {{b11, b12}, {b21, b22}, {0, 0}, {0, 0}}, 
 
   {{0, 0, C11, C12}}, {{0, 0}}]]
;[o]
   a11      a12      0     0

   a21      a22      0     0

   B1 c11   B1 c12   A11   A12

A  B2 c21   B2 c22   A21   A22


   b11   b12

   b21   b22

   0     0

B  0     0


C  0   0   C11   C12


D  0   0
:[font = input; Cclosed; preserveAspect; startGroup]
SeriesConnect[ss1, ss2, {2, 1}]//ReviewForm
:[font = output; output; inactive; preserveAspect; endGroup]
ReviewForm[StateSpace[{{a11, a12, 0, 0}, {a21, a22, 0, 0}, 
 
    {B1*c21, B1*c22, A11, A12}, {0, 0, A21, A22}}, 
 
   {{b11, b12}, {b21, b22}, {0, 0}, {0, 0}}, 
 
   {{0, 0, C11, C12}}, {{0, 0}}]]
;[o]
   a11      a12      0     0

   a21      a22      0     0

   B1 c21   B1 c22   A11   A12

A  0        0        A21   A22


   b11   b12

   b21   b22

   0     0

B  0     0


C  0   0   C11   C12


D  0   0
:[font = input; Cclosed; preserveAspect; startGroup]
SeriesConnect[ss1, ss2, {{2, 1}, {1, 2}}]//ReviewForm
:[font = output; output; inactive; preserveAspect; endGroup]
ReviewForm[StateSpace[{{a11, a12, 0, 0}, {a21, a22, 0, 0}, 
 
    {B1*c21, B1*c22, A11, A12}, {B2*c11, B2*c12, A21, A22}}\
 
    , {{b11, b12}, {b21, b22}, {0, 0}, {0, 0}}, 
 
   {{0, 0, C11, C12}}, {{0, 0}}]]
;[o]
   a11      a12      0     0

   a21      a22      0     0

   B1 c21   B1 c22   A11   A12

A  B2 c11   B2 c12   A21   A22


   b11   b12

   b21   b22

   0     0

B  0     0


C  0   0   C11   C12


D  0   0
:[font = input; Cclosed; preserveAspect; startGroup]
integrator = TransferFunction[s, 1/s]
:[font = output; output; inactive; preserveAspect; endGroup]
TransferFunction[s, {{s^(-1)}}]
;[o]
                      1
TransferFunction[s, {{-}}]
                      s
:[font = input; Cclosed; preserveAspect; startGroup]
SeriesConnect[ss1, integrator, {1, 1}]//ReviewForm
:[font = output; output; inactive; preserveAspect; endGroup]
ReviewForm[StateSpace[{{a11, a12, 0}, {a21, a22, 0}, 
 
    {c11, c12, 0}}, {{b11, b12}, {b21, b22}, {0, 0}}, 
 
   {{0, 0, 1}}, {{0, 0}}]]
;[o]
   a11   a12   0

   a21   a22   0

A  c11   c12   0


   b11   b12

   b21   b22

B  0     0


C  0   0   1


D  0   0
:[font = input; Cclosed; preserveAspect; startGroup]
SeriesConnect[integrator, integrator]
:[font = output; output; inactive; preserveAspect; endGroup]
TransferFunction[s, {{s^(-2)}}]
;[o]
                       -2
TransferFunction[s, {{s  }}]
:[font = input; preserveAspect]
cascade[s__] :=
 Fold[SeriesConnect, First[{s}], Rest[{s}]]
:[font = input; Cclosed; preserveAspect; startGroup]
cascade[s1, s2, s3, s4]
:[font = output; output; inactive; preserveAspect; endGroup]
SeriesConnect[SeriesConnect[SeriesConnect[s1, s2], s3], s4]
;[o]
SeriesConnect[SeriesConnect[SeriesConnect[s1, s2], s3], s4]
:[font = input; Cclosed; preserveAspect; startGroup]
TreeForm[%]
:[font = output; output; inactive; preserveAspect; fontLeading = 0; endGroup]
TreeForm[SeriesConnect[SeriesConnect[SeriesConnect[s1, s2], 
 
    s3], s4]]
;[o]
SeriesConnect[|                                       , s4]
              SeriesConnect[|                    , s3]
                            SeriesConnect[s1, s2]
:[font = input; Cclosed; preserveAspect; startGroup]
TransferFunction[s, #]& /@ Table[1/(s+i), {i, 0, 3}]
:[font = output; output; inactive; preserveAspect; endGroup]
{TransferFunction[s, {{s^(-1)}}], 
 
  TransferFunction[s, {{(1 + s)^(-1)}}], 
 
  TransferFunction[s, {{(2 + s)^(-1)}}], 
 
  TransferFunction[s, {{(3 + s)^(-1)}}]}
;[o]
                       1
{TransferFunction[s, {{-}}], 
                       s
 
                          1
  TransferFunction[s, {{-----}}], 
                        1 + s
 
                          1
  TransferFunction[s, {{-----}}], 
                        2 + s
 
                          1
  TransferFunction[s, {{-----}}]}
                        3 + s
:[font = input; Cclosed; preserveAspect; startGroup]
%% /. Thread[{s1, s2, s3, s4} -> %]
:[font = output; output; inactive; preserveAspect; endGroup; endGroup]
TransferFunction[s, {{1/(s*(1 + s)*(2 + s)*(3 + s))}}]
;[o]
                                  1
TransferFunction[s, {{-------------------------}}]
                      s (1 + s) (2 + s) (3 + s)
:[font = subsubsection; inactive; Cclosed; preserveAspect; startGroup]
Connecting in Parallel
:[font = input; Cclosed; preserveAspect; startGroup]
ParallelConnect[ss1, ss2,
 {{1, 1}, {2, 2}}, {{1, 1}, {2,1}}]//ReviewForm
:[font = output; output; inactive; preserveAspect; endGroup; endGroup]
ReviewForm[StateSpace[{{a11, a12, 0, 0}, {a21, a22, 0, 0}, 
 
    {0, 0, A11, A12}, {0, 0, A21, A22}}, 
 
   {{b11, b12}, {b21, b22}, {B1, 0}, {0, B2}}, 
 
   {{c11, c12, C11, C12}, {c21, c22, C11, C12}}, 
 
   {{0, 0}, {0, 0}}]]
;[o]
   a11   a12   0     0

   a21   a22   0     0

   0     0     A11   A12

A  0     0     A21   A22


   b11   b12

   b21   b22

   B1    0

B  0     B2


   c11   c12   C11   C12

C  c21   c22   C11   C12


   0   0

D  0   0
:[font = subsubsection; inactive; Cclosed; preserveAspect; startGroup]
Closing Feedback Loop
:[font = input; Cclosed; preserveAspect; startGroup]
ss = StateSpace[
   DiagonalMatrix[{a1, a2}],
   DiagonalMatrix[{b1, b2}],
   DiagonalMatrix[{c1, c2}],
   DiagonalMatrix[{d1, d2}]
]
:[font = output; output; inactive; preserveAspect; endGroup]
StateSpace[{{a1, 0}, {0, a2}}, {{b1, 0}, {0, b2}}, 
 
  {{c1, 0}, {0, c2}}, {{d1, 0}, {0, d2}}]
;[o]
StateSpace[{{a1, 0}, {0, a2}}, {{b1, 0}, {0, b2}}, 
 
  {{c1, 0}, {0, c2}}, {{d1, 0}, {0, d2}}]
:[font = input; Cclosed; preserveAspect; startGroup]
FeedbackConnect[ss]
:[font = output; output; inactive; preserveAspect; endGroup]
StateSpace[{{a1 - (b1*c1*(1 + d2))/(1 + d1 + d2 + d1*d2), 
 
    0}, {0, a2 - (b2*c2*(1 + d1))/(1 + d1 + d2 + d1*d2)}}, 
 
  {{b1 - (b1*d1*(1 + d2))/(1 + d1 + d2 + d1*d2), 0}, 
 
   {0, b2 - (b2*(1 + d1)*d2)/(1 + d1 + d2 + d1*d2)}}, 
 
  {{c1 - (c1*d1*(1 + d2))/(1 + d1 + d2 + d1*d2), 0}, 
 
   {0, c2 - (c2*(1 + d1)*d2)/(1 + d1 + d2 + d1*d2)}}, 
 
  {{d1 - (d1^2*(1 + d2))/(1 + d1 + d2 + d1*d2), 0}, 
 
   {0, d2 - ((1 + d1)*d2^2)/(1 + d1 + d2 + d1*d2)}}]
;[o]
                    b1 c1 (1 + d2)
StateSpace[{{a1 - -------------------, 0}, 
                  1 + d1 + d2 + d1 d2
 
              b2 c2 (1 + d1)
   {0, a2 - -------------------}}, 
            1 + d1 + d2 + d1 d2
 
           b1 d1 (1 + d2)
  {{b1 - -------------------, 0}, 
         1 + d1 + d2 + d1 d2
 
              b2 (1 + d1) d2
   {0, b2 - -------------------}}, 
            1 + d1 + d2 + d1 d2
 
           c1 d1 (1 + d2)
  {{c1 - -------------------, 0}, 
         1 + d1 + d2 + d1 d2
 
              c2 (1 + d1) d2
   {0, c2 - -------------------}}, 
            1 + d1 + d2 + d1 d2
 
              2
            d1  (1 + d2)
  {{d1 - -------------------, 0}, 
         1 + d1 + d2 + d1 d2
 
                          2
               (1 + d1) d2
   {0, d2 - -------------------}}]
            1 + d1 + d2 + d1 d2
:[font = input; Cclosed; preserveAspect; startGroup]
Together /@ %
:[font = output; output; inactive; preserveAspect; endGroup]
StateSpace[{{(a1 - b1*c1 + a1*d1)/(1 + d1), 0}, 
 
   {0, (a2 - b2*c2 + a2*d2)/(1 + d2)}}, 
 
  {{b1/(1 + d1), 0}, {0, b2/(1 + d2)}}, 
 
  {{c1/(1 + d1), 0}, {0, c2/(1 + d2)}}, 
 
  {{d1/(1 + d1), 0}, {0, d2/(1 + d2)}}]
;[o]
             a1 - b1 c1 + a1 d1
StateSpace[{{------------------, 0}, 
                   1 + d1
 
       a2 - b2 c2 + a2 d2        b1              b2
   {0, ------------------}}, {{------, 0}, {0, ------}}, 
             1 + d2            1 + d1          1 + d2
 
      c1              c2          d1              d2
  {{------, 0}, {0, ------}}, {{------, 0}, {0, ------}}]
    1 + d1          1 + d2      1 + d1          1 + d2
:[font = input; Cclosed; preserveAspect; startGroup]
FeedbackConnect[ss1, ss, Positive]
:[font = output; output; inactive; preserveAspect; endGroup]
StateSpace[{{a11 + b11*c11*d1 + b12*c21*d2, 
 
    a12 + b11*c12*d1 + b12*c22*d2, b11*c1, b12*c2}, 
 
   {a21 + b21*c11*d1 + b22*c21*d2, 
 
    a22 + b21*c12*d1 + b22*c22*d2, b21*c1, b22*c2}, 
 
   {b1*c11, b1*c12, a1, 0}, {b2*c21, b2*c22, 0, a2}}, 
 
  {{b11, b12}, {b21, b22}, {0, 0}, {0, 0}}, 
 
  {{c11, c12, 0, 0}, {c21, c22, 0, 0}}, {{0, 0}, {0, 0}}]
;[o]
StateSpace[{{a11 + b11 c11 d1 + b12 c21 d2, 
 
    a12 + b11 c12 d1 + b12 c22 d2, b11 c1, b12 c2}, 
 
   {a21 + b21 c11 d1 + b22 c21 d2, 
 
    a22 + b21 c12 d1 + b22 c22 d2, b21 c1, b22 c2}, 
 
   {b1 c11, b1 c12, a1, 0}, {b2 c21, b2 c22, 0, a2}}, 
 
  {{b11, b12}, {b21, b22}, {0, 0}, {0, 0}}, 
 
  {{c11, c12, 0, 0}, {c21, c22, 0, 0}}, {{0, 0}, {0, 0}}]
:[font = input; Cclosed; preserveAspect; startGroup]
FeedbackConnect[ss1, ss, {1, 2},
 {{2, Positive}, {1, Negative}}]
:[font = output; output; inactive; preserveAspect; endGroup]
StateSpace[{{a11 + b12*c11*d1 - b11*c21*d2, 
 
    a12 + b12*c12*d1 - b11*c22*d2, b12*c1, -(b11*c2)}, 
 
   {a21 + b22*c11*d1 - b21*c21*d2, 
 
    a22 + b22*c12*d1 - b21*c22*d2, b22*c1, -(b21*c2)}, 
 
   {b1*c11, b1*c12, a1, 0}, {b2*c21, b2*c22, 0, a2}}, 
 
  {{b11, b12}, {b21, b22}, {0, 0}, {0, 0}}, 
 
  {{c11, c12, 0, 0}, {c21, c22, 0, 0}}, {{0, 0}, {0, 0}}]
;[o]
StateSpace[{{a11 + b12 c11 d1 - b11 c21 d2, 
 
    a12 + b12 c12 d1 - b11 c22 d2, b12 c1, -(b11 c2)}, 
 
   {a21 + b22 c11 d1 - b21 c21 d2, 
 
    a22 + b22 c12 d1 - b21 c22 d2, b22 c1, -(b21 c2)}, 
 
   {b1 c11, b1 c12, a1, 0}, {b2 c21, b2 c22, 0, a2}}, 
 
  {{b11, b12}, {b21, b22}, {0, 0}, {0, 0}}, 
 
  {{c11, c12, 0, 0}, {c21, c22, 0, 0}}, {{0, 0}, {0, 0}}]
:[font = input; Cclosed; preserveAspect; startGroup]
SeriesConnect[TransferFunction[s, g[s]],
 TransferFunction[s, h[s]]]
:[font = output; output; inactive; preserveAspect; endGroup]
TransferFunction[s, {{g[s]*h[s]}}]
;[o]
TransferFunction[s, {{g[s] h[s]}}]
:[font = input; Cclosed; preserveAspect; startGroup]
ParallelConnect[TransferFunction[s, g[s]],
 TransferFunction[s, h[s]]]
:[font = output; output; inactive; preserveAspect; endGroup]
TransferFunction[s, {{g[s] + h[s]}}]
;[o]
TransferFunction[s, {{g[s] + h[s]}}]
:[font = input; Cclosed; preserveAspect; startGroup]
FeedbackConnect[TransferFunction[s, g[s]],
 TransferFunction[s, h[s]]]
:[font = output; output; inactive; preserveAspect; endGroup; endGroup; endGroup]
TransferFunction[s, {{g[s]/(1 + g[s]*h[s])}}]
;[o]
                          g[s]
TransferFunction[s, {{-------------}}]
                      1 + g[s] h[s]
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup]
Arbitrary Interconnections
:[font = input; Cclosed; preserveAspect; startGroup]
GenericConnect[ss, ss2, TransferFunction[s, s/(s+a)],
 {{3, 2, {4, Negative}}, {5, 3}},
 {1, 2, 4},
 {1, 3}
]
:[font = output; output; inactive; preserveAspect; endGroup]
StateSpace[{{a1, 0, 0, 0, 0}, {0, a2, 0, 0, 0}, 
 
   {0, B1*c2, A11 - B1*C11, A12 - B1*C12, a*B1}, 
 
   {0, 0, A21, A22, 0}, {0, 0, C11, C12, -a}}, 
 
  {{b1, 0, 0}, {0, b2, 0}, {0, B1*d2, 0}, {0, 0, B2}, 
 
   {0, 0, 0}}, {{c1, 0, 0, 0, 0}, {0, 0, C11, C12, 0}}, 
 
  {{d1, 0, 0}, {0, 0, 0}}]
;[o]
StateSpace[{{a1, 0, 0, 0, 0}, {0, a2, 0, 0, 0}, 
 
   {0, B1 c2, A11 - B1 C11, A12 - B1 C12, a B1}, 
 
   {0, 0, A21, A22, 0}, {0, 0, C11, C12, -a}}, 
 
  {{b1, 0, 0}, {0, b2, 0}, {0, B1 d2, 0}, {0, 0, B2}, 
 
   {0, 0, 0}}, {{c1, 0, 0, 0, 0}, {0, 0, C11, C12, 0}}, 
 
  {{d1, 0, 0}, {0, 0, 0}}]
:[font = input; Cclosed; preserveAspect; startGroup]
GenericConnect[
 TransferFunction[1],
 TransferFunction[b],
 TransferFunction[s, 1/s],
 TransferFunction[1],
 TransferFunction[a],
 {{2, 1}, {3, 2, {5, Negative}}, {4, 1, 3},
 {5, 4}},
 {1}, {4}
]//ReviewForm
:[font = output; output; inactive; preserveAspect; endGroup; endGroup]
ReviewForm[TransferFunction[{{(b + #1)/(a + #1)}}]]
;[o]
b + #1
------
a + #1
:[font = subsection; inactive; preserveAspect]
State Feedback
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup]
Manipulating a System's Contents
:[font = input; Cclosed; preserveAspect; startGroup]
(ss = StateSpace[
   DiagonalMatrix[{a1, a2, a3}],
   DiagonalMatrix[{b1, b2, b3}],
   DiagonalMatrix[{c1, c2, c3}],
   DiagonalMatrix[{d1, d2, d3}]
])//ReviewForm
:[font = output; output; inactive; preserveAspect; endGroup]
ReviewForm[StateSpace[{{a1, 0, 0}, {0, a2, 0}, {0, 0, a3}}, 
 
   {{b1, 0, 0}, {0, b2, 0}, {0, 0, b3}}, 
 
   {{c1, 0, 0}, {0, c2, 0}, {0, 0, c3}}, 
 
   {{d1, 0, 0}, {0, d2, 0}, {0, 0, d3}}]]
;[o]
   a1   0    0

   0    a2   0

A  0    0    a3


   b1   0    0

   0    b2   0

B  0    0    b3


   c1   0    0

   0    c2   0

C  0    0    c3


   d1   0    0

   0    d2   0

D  0    0    d3
:[font = input; Cclosed; preserveAspect; startGroup]
Subsystem[ss, {1, 3}]//ReviewForm
:[font = output; output; inactive; preserveAspect; endGroup]
ReviewForm[StateSpace[{{a1, 0, 0}, {0, a2, 0}, {0, 0, a3}}, 
 
   {{b1, 0}, {0, 0}, {0, b3}}, 
 
   {{c1, 0, 0}, {0, c2, 0}, {0, 0, c3}}, 
 
   {{d1, 0}, {0, 0}, {0, d3}}]]
;[o]
   a1   0    0

   0    a2   0

A  0    0    a3


   b1   0

   0    0

B  0    b3


   c1   0    0

   0    c2   0

C  0    0    c3


   d1   0

   0    0

D  0    d3
:[font = input; Cclosed; preserveAspect; startGroup]
Subsystem[ss, {1, 3, 2}]//ReviewForm
:[font = output; output; inactive; preserveAspect; endGroup]
ReviewForm[StateSpace[{{a1, 0, 0}, {0, a2, 0}, {0, 0, a3}}, 
 
   {{b1, 0, 0}, {0, 0, b2}, {0, b3, 0}}, 
 
   {{c1, 0, 0}, {0, c2, 0}, {0, 0, c3}}, 
 
   {{d1, 0, 0}, {0, 0, d2}, {0, d3, 0}}]]
;[o]
   a1   0    0

   0    a2   0

A  0    0    a3


   b1   0    0

   0    0    b2

B  0    b3   0


   c1   0    0

   0    c2   0

C  0    0    c3


   d1   0    0

   0    0    d2

D  0    d3   0
:[font = input; Cclosed; preserveAspect; startGroup]
Subsystem[ss, All, {1}, {1, 3}]//ReviewForm
:[font = output; output; inactive; preserveAspect; endGroup]
ReviewForm[StateSpace[{{a1, 0}, {0, a3}}, 
 
   {{b1, 0, 0}, {0, 0, b3}}, {{c1, 0}}, {{d1, 0, 0}}]]
;[o]
   a1   0

A  0    a3


   b1   0   0

B  0    0   b3


C  c1   0


D  d1   0   0
:[font = input; Cclosed; preserveAspect; startGroup]
TransferFunction[Array[f, {3, 2}]]
:[font = output; output; inactive; preserveAspect; endGroup]
TransferFunction[{{f[1, 1], f[1, 2]}, {f[2, 1], f[2, 2]}, 
 
   {f[3, 1], f[3, 2]}}]
;[o]
TransferFunction[{{f[1, 1], f[1, 2]}, {f[2, 1], f[2, 2]}, 
 
   {f[3, 1], f[3, 2]}}]
:[font = input; Cclosed; preserveAspect; startGroup]
DeleteSubsystem[%, None, {1, 3}]
:[font = output; output; inactive; preserveAspect; endGroup]
TransferFunction[{{f[2, 1], f[2, 2]}}]
;[o]
TransferFunction[{{f[2, 1], f[2, 2]}}]
:[font = input; preserveAspect]
ss1 = StateSpace[{{a11, a12}, {a21, a22}},
 {{b11, b12}, {b21, b22}},
 {{c1, c2}},
 {{d1, d2}}];
:[font = input; preserveAspect]
ss2 = StateSpace[{{A11, A12}, {A21, A22}},
 {{B1}, {B2}},
 {{C11, C12}, {C21, C22}},
 {{D1}, {D2}}];
:[font = input; Cclosed; preserveAspect; startGroup]
MergeSystems[ss1, ss2]//ReviewForm
:[font = output; output; inactive; preserveAspect; endGroup]
ReviewForm[StateSpace[{{a11, a12, 0, 0}, {a21, a22, 0, 0}, 
 
    {0, 0, A11, A12}, {0, 0, A21, A22}}, 
 
   {{b11, b12, 0}, {b21, b22, 0}, {0, 0, B1}, {0, 0, B2}}, 
 
   {{c1, c2, 0, 0}, {0, 0, C11, C12}, {0, 0, C21, C22}}, 
 
   {{d1, d2, 0}, {0, 0, D1}, {0, 0, D2}}]]
;[o]
   a11   a12   0     0

   a21   a22   0     0

   0     0     A11   A12

A  0     0     A21   A22


   b11   b12   0

   b21   b22   0

   0     0     B1

B  0     0     B2


   c1   c2   0     0

   0    0    C11   C12

C  0    0    C21   C22


   d1   d2   0

   0    0    D1

D  0    0    D2
:[font = input; preserveAspect]
tf1 = TransferFunction[s, {{1/s, 1/(s + 1)}}];
:[font = input; preserveAspect]
tf2 = TransferFunction[s, {{1/(s + 2)}, {1/(s + 3)}}];
:[font = input; Cclosed; preserveAspect; startGroup]
MergeSystems[tf1, tf2]//ReviewForm
:[font = output; output; inactive; preserveAspect; endGroup; endGroup]
ReviewForm[TransferFunction[s, 
 
   {{s^(-1), (1 + s)^(-1), 0}, {0, 0, (2 + s)^(-1)}, 
 
    {0, 0, (3 + s)^(-1)}}]]
;[o]
1         1
-       -----
s       1 + s   0

                  1
                -----
0       0       2 + s

                  1
                -----
0       0       3 + s
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup]
Using Interconnecting Functions in Feedback Design
:[font = input; Cclosed; preserveAspect; startGroup]
plant = StateSpace[
   {{0, 1}, {0, 0}}, {{0}, {1}}, {{1, 0}}]
:[font = output; output; inactive; preserveAspect; endGroup]
StateSpace[{{0, 1}, {0, 0}}, {{0}, {1}}, {{1, 0}}]
;[o]
StateSpace[{{0, 1}, {0, 0}}, {{0}, {1}}, {{1, 0}}]
:[font = input; Cclosed; preserveAspect; startGroup]
pid = TransferFunction[s, kp + ki/s + kd s/(1 + tau s)]
:[font = output; output; inactive; preserveAspect; endGroup]
TransferFunction[s, {{kp + ki/s + (kd*s)/(1 + s*tau)}}]
;[o]
                           ki     kd s
TransferFunction[s, {{kp + -- + ---------}}]
                           s    1 + s tau
:[font = input; Cclosed; preserveAspect; startGroup]
FeedbackConnect[plant, pid]//Simplify
:[font = output; output; inactive; preserveAspect; endGroup]
StateSpace[{{0, 1, 0, 0}, 
 
   {-kp - kd/tau, 0, -(ki/tau), -ki + kd/tau^2}, 
 
   {0, 0, 0, 1}, {1, 0, 0, -tau^(-1)}}, 
 
  {{0}, {1}, {0}, {0}}, {{1, 0, 0, 0}}, {{0}}]
;[o]
StateSpace[{{0, 1, 0, 0}, 
 
          kd        ki           kd
   {-kp - ---, 0, -(---), -ki + ----}, {0, 0, 0, 1}, 
          tau       tau            2
                                tau
 
                1
   {1, 0, 0, -(---)}}, {{0}, {1}, {0}, {0}}, 
               tau
 
  {{1, 0, 0, 0}}, {{0}}]
:[font = input; Cclosed; preserveAspect; startGroup]
TransferFunction[s, %]
:[font = output; output; inactive; preserveAspect; endGroup]
TransferFunction[s, {{(s + s^2*tau)/
 
     (ki + kp*s + kd*s^2 + s^3 + ki*s*tau + kp*s^2*tau + 
 
       s^4*tau)}}]
;[o]
TransferFunction[s, {{
 
                                2
                           s + s  tau
     ------------------------------------------------------}
                     2    3                  2        4
     ki + kp s + kd s  + s  + ki s tau + kp s  tau + s  tau
 
    }]
:[font = input; Cclosed; preserveAspect; startGroup]
Denominator[%[s]][[1, 1]]
:[font = output; output; inactive; preserveAspect; endGroup]
ki + kp*s + kd*s^2 + s^3 + ki*s*tau + kp*s^2*tau + s^4*tau
;[o]
                2    3                  2        4
ki + kp s + kd s  + s  + ki s tau + kp s  tau + s  tau
:[font = input; Cclosed; preserveAspect; startGroup]
d1 = Expand[%/tau]
:[font = output; output; inactive; preserveAspect; endGroup]
ki*s + kp*s^2 + s^4 + ki/tau + (kp*s)/tau + (kd*s^2)/tau + 
 
  s^3/tau
;[o]
                                     2    3
           2    4   ki    kp s   kd s    s
ki s + kp s  + s  + --- + ---- + ----- + ---
                    tau   tau     tau    tau
:[font = input; Cclosed; preserveAspect; startGroup]
d2 = (s - p1)(s - p2)(s - p3)(s - p4)
:[font = output; output; inactive; preserveAspect; endGroup]
(-p1 + s)*(-p2 + s)*(-p3 + s)*(-p4 + s)
;[o]
(-p1 + s) (-p2 + s) (-p3 + s) (-p4 + s)
:[font = input; Cclosed; preserveAspect; startGroup]
Solve[
 CoefficientList[d1 - d2, s] == 0,
 {ki, kd, kp, tau}
]//Simplify
:[font = output; output; inactive; preserveAspect; endGroup]
{{kd -> -(((p1 + p2 + p3)*(p1 + p2 + p4)*(p1 + p3 + p4)*
 
         (p2 + p3 + p4))/(p1 + p2 + p3 + p4)^3), 
 
   ki -> -((p1*p2*p3*p4)/(p1 + p2 + p3 + p4)), 
 
   kp -> (p1^2*p2*p3 + p1*p2^2*p3 + p1*p2*p3^2 + 
 
       p1^2*p2*p4 + p1*p2^2*p4 + p1^2*p3*p4 + 
 
       3*p1*p2*p3*p4 + p2^2*p3*p4 + p1*p3^2*p4 + 
 
       p2*p3^2*p4 + p1*p2*p4^2 + p1*p3*p4^2 + p2*p3*p4^2)/
 
     (p1 + p2 + p3 + p4)^2, 
 
   tau -> -(p1 + p2 + p3 + p4)^(-1)}}
;[o]
{{kd -> -(((p1 + p2 + p3) (p1 + p2 + p4) (p1 + p3 + p4) 
 
                                              3
         (p2 + p3 + p4)) / (p1 + p2 + p3 + p4) ), 
 
              p1 p2 p3 p4
   ki -> -(-----------------), 
           p1 + p2 + p3 + p4
 
            2              2              2     2
   kp -> (p1  p2 p3 + p1 p2  p3 + p1 p2 p3  + p1  p2 p4 + 
 
            2        2                           2
       p1 p2  p4 + p1  p3 p4 + 3 p1 p2 p3 p4 + p2  p3 p4 + 
 
            2           2              2           2
       p1 p3  p4 + p2 p3  p4 + p1 p2 p4  + p1 p3 p4  + 
 
               2                       2
       p2 p3 p4 ) / (p1 + p2 + p3 + p4) , 
 
                    1
   tau -> -(-----------------)}}
            p1 + p2 + p3 + p4
:[font = input; Cclosed; preserveAspect; startGroup]
% /. (k_ -> expr_) :> k -> Limit[expr, p1 -> -Infinity]
:[font = output; output; inactive; preserveAspect; endGroup; endGroup; endGroup; endGroup]
{{kd -> -p2 - p3 - p4, ki -> -(p2*p3*p4), 
 
   kp -> p2*p3 + p2*p4 + p3*p4, tau -> 0}}
;[o]
{{kd -> -p2 - p3 - p4, ki -> -(p2 p3 p4), 
 
   kp -> p2 p3 + p2 p4 + p3 p4, tau -> 0}}
^*)
