(*^
::[	Information =

	"This is a Mathematica Notebook file.  It contains ASCII text, and can be
	transferred by email, ftp, or other text-file transfer utility.  It should
	be read or edited using a copy of Mathematica or MathReader.  If you 
	received this as email, use your mail application or copy/paste to save 
	everything from the line containing (*^ down to the line containing ^*)
	into a plain text file.  On some systems you may have to give the file a 
	name ending with ".ma" to allow Mathematica to recognize it as a Notebook.
	The line below identifies what version of Mathematica created this file,
	but it can be opened using any other version as well.";

	FrontEndVersion = "Macintosh Mathematica Notebook Front End Version 2.2";

	MacintoshStandardFontEncoding; 
	
	fontset = title, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, e8,  24, "Times"; 
	fontset = subtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, e6,  18, "Times"; 
	fontset = subsubtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, italic, e6,  14, "Times"; 
	fontset = section, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, grayBox, M22, bold, a20,  18, "Times"; 
	fontset = subsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, blackBox, M19, bold, a15,  14, "Times"; 
	fontset = subsubsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, whiteBox, M18, bold, a12,  12, "Times"; 
	fontset = text, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = smalltext, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  10, "Times"; 
	fontset = input, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeInput, M42, N23, bold, L-5,  12, "Courier"; 
	fontset = output, output, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, "Courier"; 
	fontset = message, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, R65535, L-5,  12, "Courier"; 
	fontset = print, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, "Courier"; 
	fontset = info, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, B65535, L-5,  12, "Courier"; 
	fontset = postscript, PostScript, formatAsPostScript, output, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeGraphics, M7, l34, w282, h287,  12, "Courier"; 
	fontset = name, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, italic,  10, "Geneva"; 
	fontset = header, inactive, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = leftheader, inactive, L2,  12, "Times"; 
	fontset = footer, inactive, noKeepOnOnePage, preserveAspect, center, M7,  12, "Times"; 
	fontset = leftfooter, inactive, L2,  12, "Times"; 
	fontset = help, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  10, "Times"; 
	fontset = clipboard, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = completions, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = special1, initialization, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Courier"; 
	fontset = special2, inactive, nohscroll, noKeepOnOnePage, preserveAspect, cellOutline, blackBox, M7, r58981, g58981, b58981,  15, "Times"; 
	fontset = special3, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = special4, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = special5, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	paletteColors = 128; automaticGrouping; currentKernel; 
]
:[font = title; inactive; preserveAspect; startGroup]
Control System Professional
:[font = section; inactive; Cclosed; preserveAspect; startGroup]
8. Realizations
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup]
Irreducible (Minimal) Realizations
:[font = input; preserveAspect]
Needs["ControlSystems`Master`"]
:[font = input; Cclosed; preserveAspect; startGroup]
(ss = StateSpace[
 DiagonalMatrix[{a1, a2, a3}],
 {{0, 0}, {b1, 0}, {0, b2}},
 {{c1, 0, 0}, {0, 0, c3}},
 {{d11, d12}, {d21, d22}}]
)//ReviewForm
:[font = output; output; inactive; preserveAspect; endGroup]
ReviewForm[StateSpace[{{a1, 0, 0}, {0, a2, 0}, {0, 0, a3}}, 
 
   {{0, 0}, {b1, 0}, {0, b2}}, {{c1, 0, 0}, {0, 0, c3}}, 
 
   {{d11, d12}, {d21, d22}}]]
;[o]
   a1   0    0

   0    a2   0

A  0    0    a3


   0    0

   b1   0

B  0    b2


   c1   0   0

C  0    0   c3


   d11   d12

D  d21   d22
:[font = input; Cclosed; preserveAspect; startGroup]
Controllable[ss]
:[font = output; output; inactive; preserveAspect; endGroup]
False
;[o]
False
:[font = input; Cclosed; preserveAspect; startGroup]
Observable[ss]
:[font = output; output; inactive; preserveAspect; endGroup]
False
;[o]
False
:[font = input; Cclosed; preserveAspect; startGroup]
MinimalRealization[ss]//ReviewForm
:[font = output; output; inactive; preserveAspect; endGroup]
ReviewForm[StateSpace[{{a3}}, {{0, b2}}, {{0}, {c3}}, 
 
   {{d11, d12}, {d21, d22}}]]
;[o]
A  a3


B  0   b2


   0

C  c3


   d11   d12

D  d21   d22
:[font = input; Cclosed; preserveAspect; startGroup]
Controllable[%] == Observable[%] == True
:[font = output; output; inactive; preserveAspect; endGroup; endGroup]
True
;[o]
True
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup]
Kalman Canonical Forms
:[font = input; Cclosed; preserveAspect; startGroup]
KalmanControllableForm[ss]//ReviewForm
:[font = output; output; inactive; preserveAspect; endGroup]
ReviewForm[StateSpace[{{a2, 0, 0}, {0, a3, 0}, {0, 0, a1}}, 
 
   {{b1, 0}, {0, b2}, {0, 0}}, {{0, 0, -c1}, {0, c3, 0}}, 
 
   {{d11, d12}, {d21, d22}}]]
;[o]
   a2   0    0

   0    a3   0

A  0    0    a1


   b1   0

   0    b2

B  0    0


   0   0    -c1

C  0   c3   0


   d11   d12

D  d21   d22
:[font = input; Cclosed; preserveAspect; startGroup]
KalmanObservableForm[ss]//ReviewForm
:[font = output; output; inactive; preserveAspect; endGroup]
ReviewForm[StateSpace[{{a1, 0, 0}, {0, a3, 0}, {0, 0, a2}}, 
 
   {{0, 0}, {0, b2}, {b1, 0}}, {{c1, 0, 0}, {0, c3, 0}}, 
 
   {{d11, d12}, {d21, d22}}]]
;[o]
   a1   0    0

   0    a3   0

A  0    0    a2


   0    0

   0    b2

B  b1   0


   c1   0    0

C  0    c3   0


   d11   d12

D  d21   d22
:[font = input; Cclosed; preserveAspect; startGroup]
ControllableSubsystem[ss]//ReviewForm
:[font = output; output; inactive; preserveAspect; endGroup]
ReviewForm[StateSpace[{{a2, 0}, {0, a3}}, 
 
   {{b1, 0}, {0, b2}}, {{0, 0}, {0, c3}}, 
 
   {{d11, d12}, {d21, d22}}]]
;[o]
   a2   0

A  0    a3


   b1   0

B  0    b2


   0   0

C  0   c3


   d11   d12

D  d21   d22
:[font = input; Cclosed; preserveAspect; startGroup]
ObservableSubsystem[ss]//ReviewForm
:[font = output; output; inactive; preserveAspect; endGroup]
ReviewForm[StateSpace[{{a1, 0}, {0, a3}}, 
 
   {{0, 0}, {0, b2}}, {{c1, 0}, {0, c3}}, 
 
   {{d11, d12}, {d21, d22}}]]
;[o]
   a1   0

A  0    a3


   0   0

B  0   b2


   c1   0

C  0    c3


   d11   d12

D  d21   d22
:[font = input; Cclosed; preserveAspect; startGroup]
ControllableSubsystem[%]//ReviewForm
:[font = output; output; inactive; preserveAspect; endGroup; endGroup]
ReviewForm[StateSpace[{{a3}}, {{0, b2}}, {{0}, {c3}}, 
 
   {{d11, d12}, {d21, d22}}]]
;[o]
A  a3


B  0   b2


   0

C  c3


   d11   d12

D  d21   d22
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup]
Jordan Canonical (Modal) Form
:[font = input; Cclosed; preserveAspect; startGroup]
m = DiagonalMatrix[{-1, -2, -3}]
:[font = output; output; inactive; preserveAspect; endGroup]
{{-1, 0, 0}, {0, -2, 0}, {0, 0, -3}}
;[o]
{{-1, 0, 0}, {0, -2, 0}, {0, 0, -3}}
:[font = input; Cclosed; preserveAspect; startGroup]
t = {{0, 1, 0}, {-1, 0, -1}, {1, -1, 0}}
:[font = output; output; inactive; preserveAspect; endGroup]
{{0, 1, 0}, {-1, 0, -1}, {1, -1, 0}}
;[o]
{{0, 1, 0}, {-1, 0, -1}, {1, -1, 0}}
:[font = input; Cclosed; preserveAspect; startGroup]
Inverse[t] . m . t
:[font = output; output; inactive; preserveAspect; endGroup]
{{-3, 2, 0}, {0, -1, 0}, {1, -2, -2}}
;[o]
{{-3, 2, 0}, {0, -1, 0}, {1, -2, -2}}
:[font = input; Cclosed; preserveAspect; startGroup]
ReplacePart[ss, %, 1]//ReviewForm
:[font = output; output; inactive; preserveAspect; endGroup]
ReviewForm[StateSpace[{{-3, 2, 0}, {0, -1, 0}, 
 
    {1, -2, -2}}, {{0, 0}, {b1, 0}, {0, b2}}, 
 
   {{c1, 0, 0}, {0, 0, c3}}, {{d11, d12}, {d21, d22}}]]
;[o]
   -3   2    0

   0    -1   0

A  1    -2   -2


   0    0

   b1   0

B  0    b2


   c1   0   0

C  0    0   c3


   d11   d12

D  d21   d22
:[font = input; Cclosed; preserveAspect; startGroup]
JordanCanonicalForm[%]//ReviewForm
:[font = output; output; inactive; preserveAspect; endGroup; endGroup]
ReviewForm[StateSpace[{{-3, 0, 0}, {0, -2, 0}, {0, 0, -1}}, 
 
   {{b1, 0}, {0, b2}, {-b1, 0}}, 
 
   {{-c1, 0, -c1}, {c3, c3, c3}}, {{d11, d12}, {d21, d22}}]]
;[o]
   -3   0    0

   0    -2   0

A  0    0    -1


   b1    0

   0     b2

B  -b1   0


   -c1   0    -c1

C  c3    c3   c3


   d11   d12

D  d21   d22
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup]
Internally Balanced Realizations
:[font = input; Cclosed; preserveAspect; startGroup]
(original = StateSpace[
   {{0, 1, 0, 0}, {0, 0, 1, 0}, {0, 0, 0, 1},
   {-50, -79, -33, -5}}, {{0}, {0}, {0}, {1}},
   {{50, 15, 1, 0}}] //N
) //ReviewForm
:[font = output; output; inactive; preserveAspect; endGroup]
ReviewForm[StateSpace[{{0, 1., 0, 0}, {0, 0, 1., 0}, 
 
    {0, 0, 0, 1.}, {-50., -79.00000000000001, -33., -5.}}, 
 
   {{0}, {0}, {0}, {1.}}, {{50., 15., 1., 0}}]]
;[o]
   0      1.     0      0

   0      0      1.     0

   0      0      0      1.

A  -50.   -79.   -33.   -5.


   0

   0

   0

B  1.


C  50.   15.   1.   0
:[font = input; Cclosed; preserveAspect; startGroup]
balanced = InternallyBalancedForm[%]
:[font = output; output; inactive; preserveAspect; endGroup]
StateSpace[{{-0.5182818752935809, 1.450310715555827, 
 
    -0.3910979914547596, -0.3500536479781242}, 
 
   {-1.450310715555761, -2.195389431714892, 
 
    4.753339021899027, 1.218046838215794}, 
 
   {-0.3910979914547708, -4.753339021899025, 
 
    -0.6296787102413046, -1.196282911811033}, 
 
   {0.3500536479781413, 1.218046838215871, 
 
    1.196282911811098, -1.656649982750223}}, 
 
  {{-0.7729146546897507}, {-0.804697405836092}, 
 
   {-0.3373484873400576}, {0.2523155769774224}}, 
 
  {{-0.7729146546897576, 0.804697405836114, 
 
    -0.337348487340041, -0.2523155769774136}}]
;[o]
StateSpace[{{-0.518282, 1.45031, -0.391098, -0.350054}, 
 
   {-1.45031, -2.19539, 4.75334, 1.21805}, 
 
   {-0.391098, -4.75334, -0.629679, -1.19628}, 
 
   {0.350054, 1.21805, 1.19628, -1.65665}}, 
 
  {{-0.772915}, {-0.804697}, {-0.337348}, {0.252316}}, 
 
  {{-0.772915, 0.804697, -0.337348, -0.252316}}]
:[font = input; Cclosed; preserveAspect; startGroup]
ControllabilityGramian[%]//Chop
:[font = output; output; inactive; preserveAspect; endGroup]
{{0.5763244789293298, 0, 0, 0}, 
 
  {0, 0.1474767769227899, 0, 0}, 
 
  {0, 0, 0.0903667219962173, 0}, 
 
  {0, 0, 0, 0.01921442400275824}}
;[o]
{{0.576324, 0, 0, 0}, {0, 0.147477, 0, 0}, 
 
  {0, 0, 0.0903667, 0}, {0, 0, 0, 0.0192144}}
:[font = input; Cclosed; preserveAspect; startGroup]
ObservabilityGramian[%%]//Chop
:[font = output; output; inactive; preserveAspect; endGroup]
{{0.5763244789293315, 0, 0, 0}, 
 
  {0, 0.1474767769227943, 0, 0}, 
 
  {0, 0, 0.0903667219962236, 0}, 
 
  {0, 0, 0, 0.01921442400275769}}
;[o]
{{0.576324, 0, 0, 0}, {0, 0.147477, 0, 0}, 
 
  {0, 0, 0.0903667, 0}, {0, 0, 0, 0.0192144}}
:[font = input; Cclosed; preserveAspect; startGroup]
TransferFunction[s, original]//Chop
:[font = output; output; inactive; preserveAspect; endGroup]
TransferFunction[s, {{(50. + 15.*s + 1.*s^2)/
 
     (50. + 79.00000000000001*s + 33.*s^2 + 5.*s^3 + s^4)}}]
;[o]
                                               2
                             50. + 15. s + 1. s
TransferFunction[s, {{---------------------------------}}]
                                         2       3    4
                      50. + 79. s + 33. s  + 5. s  + s
:[font = input; Cclosed; preserveAspect; startGroup]
TransferFunction[s, balanced]//Chop
:[font = output; output; inactive; preserveAspect; endGroup]
TransferFunction[s, {{(50.00000000000001 + 
 
       15.00000000000001*s + 1.000000000000001*s^2)/
 
     (50. + 79.00000000000001*s + 33.*s^2 + 
 
       5.000000000000001*s^3 + s^4)}}]
;[o]
                                               2
                             50. + 15. s + 1. s
TransferFunction[s, {{---------------------------------}}]
                                         2       3    4
                      50. + 79. s + 33. s  + 5. s  + s
:[font = input; Cclosed; preserveAspect; startGroup]
(reduced = DominantSubsystem[original])//ReviewForm
:[font = output; output; inactive; preserveAspect; endGroup]
ReviewForm[StateSpace[{{-0.5922489520682307, 
 
     1.192934840406959, -0.6438751028866649}, 
 
    {-1.192934840406904, -1.299824215443536, 
 
     5.63290237777714}, {-0.6438751028867112, 
 
     -5.632902377777045, -1.493526125200605}}, 
 
   {{-0.826229470180246}, {-0.6191831487691016}, 
 
    {-0.5195479961468255}}, 
 
   {{-0.826229470180247, 0.619183148769122, 
 
     -0.5195479961468197}}, {{-0.03842884800551543}}]]
;[o]
   -0.592249   1.19293    -0.643875

   -1.19293    -1.29982   5.6329

A  -0.643875   -5.6329    -1.49353


   -0.826229

   -0.619183

B  -0.519548


C  -0.826229   0.619183   -0.519548


D  -0.0384288
:[font = input; Cclosed; preserveAspect; startGroup]
(reduced2 = DominantSubsystem[balanced,
 InternallyBalanced -> True,
 RejectionLevel -> .2])//ReviewForm
:[font = output; output; inactive; preserveAspect; endGroup]
ReviewForm[StateSpace[{{-0.3146675016187576, 
 
     3.621339363665477}, 
 
    {-3.62133936366545, -22.54457424839305}}, 
 
   {{-0.6022467665441193}, {-2.57868227870342}}, 
 
   {{-0.6022467665441291, 2.57868227870339}}, 
 
   {{0.1423045959869147}}]]
;[o]
   -0.314668   3.62134

A  -3.62134    -22.5446


   -0.602247

B  -2.57868


C  -0.602247   2.57868


D  0.142305
:[font = input; Cclosed; preserveAspect; startGroup]
DisplayTogetherGraphicsArray[
    BodePlot[original,
       PlotRange -> {All, {0, -600}} ],
    BodePlot[reduced,
       PlotStyle -> Dashing[{.02}],
       PlotPoints -> 75 ],
    BodePlot[reduced2,
       PlotStyle -> Dashing[{.05, .015, .005, .015}] ]
]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 221; pictureHeight = 287]
%!
%%Creator: Mathematica
%%AspectRatio: 1.29787 
MathPictureStart
%% Graphics
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.952381 0.0309017 0.952381 [
[ 0 0 0 0 ]
[ 1 1.29787 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
[ ] 0 setdash
0 g
p
P
0 0 m
1 0 L
1 1.29787 L
0 1.29787 L
closepath
clip
newpath
p
p
% Start of sub-graphic
p
0.0238095 0.0309017 0.97619 0.619505 MathSubStart
%% Graphics
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.34127 0.31746 0.618034 0.00103006 [
[(0.1)] .02381 0 0 2 0 Minner Mrotsboxa
[(0.5)] .2457 0 0 2 0 Minner Mrotsboxa
[(1)] .34127 0 0 2 0 Minner Mrotsboxa
[(5)] .56317 0 0 2 0 Minner Mrotsboxa
[(10.)] .65873 0 0 2 0 Minner Mrotsboxa
[(50.)] .88063 0 0 2 0 Minner Mrotsboxa
[(100.)] .97619 0 0 2 0 Minner Mrotsboxa
[(Frequency \(Rad/Second\))] .5 0 0 2 0 0 -1 Mouter Mrotsboxa
[(-600)] -0.0125 0 1 0 0 Minner Mrotsboxa
[(-500)] -0.0125 .10301 1 0 0 Minner Mrotsboxa
[(-400)] -0.0125 .20601 1 0 0 Minner Mrotsboxa
[(-300)] -0.0125 .30902 1 0 0 Minner Mrotsboxa
[(-200)] -0.0125 .41202 1 0 0 Minner Mrotsboxa
[(-100)] -0.0125 .51503 1 0 0 Minner Mrotsboxa
[(0)] -0.0125 .61803 1 0 0 Minner Mrotsboxa
[(Phase \(deg\))] -0.0125 .30902 1 0 90 -1 0 Mouter Mrotsboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 .61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
[ ] 0 setdash
p
p
0 0 .5 r
.001 w
.02381 0 m
.02381 .61803 L
s
P
p
0 0 .5 r
.001 w
.2457 0 m
.2457 .61803 L
s
P
p
0 0 .5 r
.001 w
.34127 0 m
.34127 .61803 L
s
P
p
0 0 .5 r
.001 w
.56317 0 m
.56317 .61803 L
s
P
p
0 0 .5 r
.001 w
.65873 0 m
.65873 .61803 L
s
P
p
0 0 .5 r
.001 w
.88063 0 m
.88063 .61803 L
s
P
p
0 0 .5 r
.001 w
.97619 0 m
.97619 .61803 L
s
P
p
0 0 .5 r
.001 w
.11937 0 m
.11937 .61803 L
s
P
p
0 0 .5 r
.001 w
.17528 0 m
.17528 .61803 L
s
P
p
0 0 .5 r
.001 w
.21494 0 m
.21494 .61803 L
s
P
p
0 0 .5 r
.001 w
.27084 0 m
.27084 .61803 L
s
P
p
0 0 .5 r
.001 w
.29209 0 m
.29209 .61803 L
s
P
p
0 0 .5 r
.001 w
.3105 0 m
.3105 .61803 L
s
P
p
0 0 .5 r
.001 w
.32674 0 m
.32674 .61803 L
s
P
p
0 0 .5 r
.001 w
.43683 0 m
.43683 .61803 L
s
P
p
0 0 .5 r
.001 w
.49274 0 m
.49274 .61803 L
s
P
p
0 0 .5 r
.001 w
.5324 0 m
.5324 .61803 L
s
P
p
0 0 .5 r
.001 w
.5883 0 m
.5883 .61803 L
s
P
p
0 0 .5 r
.001 w
.60955 0 m
.60955 .61803 L
s
P
p
0 0 .5 r
.001 w
.62797 0 m
.62797 .61803 L
s
P
p
0 0 .5 r
.001 w
.6442 0 m
.6442 .61803 L
s
P
p
0 0 .5 r
.001 w
.7543 0 m
.7543 .61803 L
s
P
p
0 0 .5 r
.001 w
.8102 0 m
.8102 .61803 L
s
P
p
0 0 .5 r
.001 w
.84986 0 m
.84986 .61803 L
s
P
p
0 0 .5 r
.001 w
.90576 0 m
.90576 .61803 L
s
P
p
0 0 .5 r
.001 w
.92702 0 m
.92702 .61803 L
s
P
p
0 0 .5 r
.001 w
.94543 0 m
.94543 .61803 L
s
P
p
0 0 .5 r
.001 w
.96166 0 m
.96166 .61803 L
s
P
p
0 0 .5 r
.001 w
0 .10301 m
1 .10301 L
s
P
p
0 0 .5 r
.001 w
0 .20601 m
1 .20601 L
s
P
p
0 0 .5 r
.001 w
0 .30902 m
1 .30902 L
s
P
p
0 0 .5 r
.001 w
0 .41202 m
1 .41202 L
s
P
p
0 0 .5 r
.001 w
0 .51503 m
1 .51503 L
s
P
p
.002 w
.02381 0 m
.02381 .00625 L
s
P
[(0.1)] .02381 0 0 2 0 Minner Mrotshowa
p
.002 w
.2457 0 m
.2457 .00625 L
s
P
[(0.5)] .2457 0 0 2 0 Minner Mrotshowa
p
.002 w
.34127 0 m
.34127 .00625 L
s
P
[(1)] .34127 0 0 2 0 Minner Mrotshowa
p
.002 w
.56317 0 m
.56317 .00625 L
s
P
[(5)] .56317 0 0 2 0 Minner Mrotshowa
p
.002 w
.65873 0 m
.65873 .00625 L
s
P
[(10.)] .65873 0 0 2 0 Minner Mrotshowa
p
.002 w
.88063 0 m
.88063 .00625 L
s
P
[(50.)] .88063 0 0 2 0 Minner Mrotshowa
p
.002 w
.97619 0 m
.97619 .00625 L
s
P
[(100.)] .97619 0 0 2 0 Minner Mrotshowa
p
.001 w
.11937 0 m
.11937 .00375 L
s
P
p
.001 w
.17528 0 m
.17528 .00375 L
s
P
p
.001 w
.21494 0 m
.21494 .00375 L
s
P
p
.001 w
.27084 0 m
.27084 .00375 L
s
P
p
.001 w
.29209 0 m
.29209 .00375 L
s
P
p
.001 w
.3105 0 m
.3105 .00375 L
s
P
p
.001 w
.32674 0 m
.32674 .00375 L
s
P
p
.001 w
.43683 0 m
.43683 .00375 L
s
P
p
.001 w
.49274 0 m
.49274 .00375 L
s
P
p
.001 w
.5324 0 m
.5324 .00375 L
s
P
p
.001 w
.5883 0 m
.5883 .00375 L
s
P
p
.001 w
.60955 0 m
.60955 .00375 L
s
P
p
.001 w
.62797 0 m
.62797 .00375 L
s
P
p
.001 w
.6442 0 m
.6442 .00375 L
s
P
p
.001 w
.7543 0 m
.7543 .00375 L
s
P
p
.001 w
.8102 0 m
.8102 .00375 L
s
P
p
.001 w
.84986 0 m
.84986 .00375 L
s
P
p
.001 w
.90576 0 m
.90576 .00375 L
s
P
p
.001 w
.92702 0 m
.92702 .00375 L
s
P
p
.001 w
.94543 0 m
.94543 .00375 L
s
P
p
.001 w
.96166 0 m
.96166 .00375 L
s
P
[(Frequency \(Rad/Second\))] .5 0 0 2 0 0 -1 Mouter Mrotshowa
p
.002 w
0 0 m
1 0 L
s
P
p
.002 w
0 0 m
.00625 0 L
s
P
[(-600)] -0.0125 0 1 0 0 Minner Mrotshowa
p
.002 w
0 .10301 m
.00625 .10301 L
s
P
[(-500)] -0.0125 .10301 1 0 0 Minner Mrotshowa
p
.002 w
0 .20601 m
.00625 .20601 L
s
P
[(-400)] -0.0125 .20601 1 0 0 Minner Mrotshowa
p
.002 w
0 .30902 m
.00625 .30902 L
s
P
[(-300)] -0.0125 .30902 1 0 0 Minner Mrotshowa
p
.002 w
0 .41202 m
.00625 .41202 L
s
P
[(-200)] -0.0125 .41202 1 0 0 Minner Mrotshowa
p
.002 w
0 .51503 m
.00625 .51503 L
s
P
[(-100)] -0.0125 .51503 1 0 0 Minner Mrotshowa
p
.002 w
0 .61803 m
.00625 .61803 L
s
P
[(0)] -0.0125 .61803 1 0 0 Minner Mrotshowa
p
.001 w
0 .0206 m
.00375 .0206 L
s
P
p
.001 w
0 .0412 m
.00375 .0412 L
s
P
p
.001 w
0 .0618 m
.00375 .0618 L
s
P
p
.001 w
0 .0824 m
.00375 .0824 L
s
P
p
.001 w
0 .12361 m
.00375 .12361 L
s
P
p
.001 w
0 .14421 m
.00375 .14421 L
s
P
p
.001 w
0 .16481 m
.00375 .16481 L
s
P
p
.001 w
0 .18541 m
.00375 .18541 L
s
P
p
.001 w
0 .22661 m
.00375 .22661 L
s
P
p
.001 w
0 .24721 m
.00375 .24721 L
s
P
p
.001 w
0 .26781 m
.00375 .26781 L
s
P
p
.001 w
0 .28842 m
.00375 .28842 L
s
P
p
.001 w
0 .32962 m
.00375 .32962 L
s
P
p
.001 w
0 .35022 m
.00375 .35022 L
s
P
p
.001 w
0 .37082 m
.00375 .37082 L
s
P
p
.001 w
0 .39142 m
.00375 .39142 L
s
P
p
.001 w
0 .43262 m
.00375 .43262 L
s
P
p
.001 w
0 .45322 m
.00375 .45322 L
s
P
p
.001 w
0 .47383 m
.00375 .47383 L
s
P
p
.001 w
0 .49443 m
.00375 .49443 L
s
P
p
.001 w
0 .53563 m
.00375 .53563 L
s
P
p
.001 w
0 .55623 m
.00375 .55623 L
s
P
p
.001 w
0 .57683 m
.00375 .57683 L
s
P
p
.001 w
0 .59743 m
.00375 .59743 L
s
P
[(Phase \(deg\))] -0.0125 .30902 1 0 90 -1 0 Mouter Mrotshowa
p
.002 w
0 0 m
0 .61803 L
s
P
P
p
p
.002 w
.02381 .61178 m
.02381 .61803 L
s
P
p
.002 w
.2457 .61178 m
.2457 .61803 L
s
P
p
.002 w
.34127 .61178 m
.34127 .61803 L
s
P
p
.002 w
.56317 .61178 m
.56317 .61803 L
s
P
p
.002 w
.65873 .61178 m
.65873 .61803 L
s
P
p
.002 w
.88063 .61178 m
.88063 .61803 L
s
P
p
.002 w
.97619 .61178 m
.97619 .61803 L
s
P
p
.001 w
.11937 .61428 m
.11937 .61803 L
s
P
p
.001 w
.17528 .61428 m
.17528 .61803 L
s
P
p
.001 w
.21494 .61428 m
.21494 .61803 L
s
P
p
.001 w
.27084 .61428 m
.27084 .61803 L
s
P
p
.001 w
.29209 .61428 m
.29209 .61803 L
s
P
p
.001 w
.3105 .61428 m
.3105 .61803 L
s
P
p
.001 w
.32674 .61428 m
.32674 .61803 L
s
P
p
.001 w
.43683 .61428 m
.43683 .61803 L
s
P
p
.001 w
.49274 .61428 m
.49274 .61803 L
s
P
p
.001 w
.5324 .61428 m
.5324 .61803 L
s
P
p
.001 w
.5883 .61428 m
.5883 .61803 L
s
P
p
.001 w
.60955 .61428 m
.60955 .61803 L
s
P
p
.001 w
.62797 .61428 m
.62797 .61803 L
s
P
p
.001 w
.6442 .61428 m
.6442 .61803 L
s
P
p
.001 w
.7543 .61428 m
.7543 .61803 L
s
P
p
.001 w
.8102 .61428 m
.8102 .61803 L
s
P
p
.001 w
.84986 .61428 m
.84986 .61803 L
s
P
p
.001 w
.90576 .61428 m
.90576 .61803 L
s
P
p
.001 w
.92702 .61428 m
.92702 .61803 L
s
P
p
.001 w
.94543 .61428 m
.94543 .61803 L
s
P
p
.001 w
.96166 .61428 m
.96166 .61803 L
s
P
p
.002 w
0 .61803 m
1 .61803 L
s
P
p
.002 w
.99375 0 m
1 0 L
s
P
p
.002 w
.99375 .10301 m
1 .10301 L
s
P
p
.002 w
.99375 .20601 m
1 .20601 L
s
P
p
.002 w
.99375 .30902 m
1 .30902 L
s
P
p
.002 w
.99375 .41202 m
1 .41202 L
s
P
p
.002 w
.99375 .51503 m
1 .51503 L
s
P
p
.001 w
.99625 .0206 m
1 .0206 L
s
P
p
.001 w
.99625 .0412 m
1 .0412 L
s
P
p
.001 w
.99625 .0618 m
1 .0618 L
s
P
p
.001 w
.99625 .0824 m
1 .0824 L
s
P
p
.001 w
.99625 .12361 m
1 .12361 L
s
P
p
.001 w
.99625 .14421 m
1 .14421 L
s
P
p
.001 w
.99625 .16481 m
1 .16481 L
s
P
p
.001 w
.99625 .18541 m
1 .18541 L
s
P
p
.001 w
.99625 .22661 m
1 .22661 L
s
P
p
.001 w
.99625 .24721 m
1 .24721 L
s
P
p
.001 w
.99625 .26781 m
1 .26781 L
s
P
p
.001 w
.99625 .28842 m
1 .28842 L
s
P
p
.001 w
.99625 .32962 m
1 .32962 L
s
P
p
.001 w
.99625 .35022 m
1 .35022 L
s
P
p
.001 w
.99625 .37082 m
1 .37082 L
s
P
p
.001 w
.99625 .39142 m
1 .39142 L
s
P
p
.001 w
.99625 .43262 m
1 .43262 L
s
P
p
.001 w
.99625 .45322 m
1 .45322 L
s
P
p
.001 w
.99625 .47383 m
1 .47383 L
s
P
p
.001 w
.99625 .49443 m
1 .49443 L
s
P
p
.001 w
.99625 .53563 m
1 .53563 L
s
P
p
.001 w
.99625 .55623 m
1 .55623 L
s
P
p
.001 w
.99625 .57683 m
1 .57683 L
s
P
p
.001 w
.99625 .59743 m
1 .59743 L
s
P
p
.002 w
1 0 m
1 .61803 L
s
P
P
p
P
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
p
.004 w
.02381 .6105 m
.05665 .60849 L
.08949 .60596 L
.12233 .60278 L
.15517 .59881 L
.18801 .59391 L
.22085 .58794 L
.25369 .58082 L
.28654 .57258 L
.31938 .56341 L
.35222 .55366 L
.38506 .54384 L
.4179 .53445 L
.45074 .52571 L
.48358 .517 L
.51642 .50474 L
.54926 .47339 L
.5821 .41543 L
.61494 .39373 L
.64778 .39114 L
.68062 .39428 L
.71346 .39928 L
.74631 .40464 L
.77915 .40965 L
.81199 .41405 L
.84483 .41774 L
.87767 .42077 L
.91051 .42322 L
.94335 .42518 L
.97619 .42675 L
s
p
[ .02 ] 0 setdash
s
s
s
s
s
s
s
s
s
s
s
s
s
s
s
s
s
s
0 .61162 m
.01523 .61088 L
s
.01523 .61088 m
.03239 .60994 L
.04955 .60888 L
.06671 .60768 L
.08387 .60633 L
.10103 .60481 L
.11819 .6031 L
.13535 .60119 L
.15251 .59905 L
.16967 .59667 L
.18683 .59402 L
.20399 .5911 L
.22115 .5879 L
.23831 .58441 L
.25547 .58064 L
.27263 .5766 L
.28979 .57231 L
.30695 .5678 L
.32411 .56312 L
.34127 .55829 L
.35843 .55334 L
.37559 .54831 L
.39275 .54321 L
.40991 .53801 L
.42707 .53269 L
.44423 .52719 L
.46139 .52139 L
.47855 .51512 L
.49571 .50809 L
.51287 .49982 L
.53003 .48938 L
.54719 .47492 L
.56435 .45273 L
.58151 .41894 L
.59867 .38173 L
.61583 .35369 L
.63299 .28165 L
.65015 .14736 L
.66731 .13594 L
.68447 .12749 L
.70163 .12038 L
.71879 .11416 L
.73595 .10859 L
.75311 .10358 L
.77027 .09905 L
.78743 .09497 L
.80459 .0913 L
.82175 .088 L
.83891 .08504 L
.85607 .0824 L
Mistroke
.87323 .08004 L
.89039 .07795 L
.90755 .07609 L
.92471 .07443 L
.94187 .07297 L
.95903 .07167 L
.97619 .07052 L
Mfstroke
P
p
[ .05 .015 .005 .015 ] 0 setdash
s
s
s
s
s
s
0 .61157 m
.03476 .60988 L
s
.03476 .60988 m
.08949 .60596 L
.14423 .60026 L
.19896 .59214 L
.25369 .58111 L
.30843 .56717 L
.36316 .55111 L
.4179 .53391 L
.47263 .51564 L
.52737 .49501 L
.5821 .46992 L
.63684 .43854 L
.69157 .40181 L
.74631 .3647 L
.80104 .3324 L
.85577 .30701 L
.91051 .28834 L
.96524 .27517 L
s
1 .26942 m
.96524 .27517 L
s
s
s
s
s
s
s
P
P
MathSubEnd
P
% End of sub-graphic
P
p
% Start of sub-graphic
p
0.0238095 0.678366 0.97619 1.26697 MathSubStart
%% Graphics
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.34127 0.31746 0.603678 0.00736865 [
[(0.1)] .02381 0 0 2 0 Minner Mrotsboxa
[(0.5)] .2457 0 0 2 0 Minner Mrotsboxa
[(1)] .34127 0 0 2 0 Minner Mrotsboxa
[(5)] .56317 0 0 2 0 Minner Mrotsboxa
[(10.)] .65873 0 0 2 0 Minner Mrotsboxa
[(50.)] .88063 0 0 2 0 Minner Mrotsboxa
[(100.)] .97619 0 0 2 0 Minner Mrotsboxa
[(Frequency \(Rad/Second\))] .5 0 0 2 0 0 -1 Mouter Mrotsboxa
[(-80)] -0.0125 .01419 1 0 0 Minner Mrotsboxa
[(-60)] -0.0125 .16156 1 0 0 Minner Mrotsboxa
[(-40)] -0.0125 .30893 1 0 0 Minner Mrotsboxa
[(-20)] -0.0125 .4563 1 0 0 Minner Mrotsboxa
[(0)] -0.0125 .60368 1 0 0 Minner Mrotsboxa
[(Magnitude \(dB\))] -0.0125 .30902 1 0 90 -1 0 Mouter Mrotsboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 .61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
[ ] 0 setdash
p
p
0 0 .5 r
.001 w
.02381 0 m
.02381 .61803 L
s
P
p
0 0 .5 r
.001 w
.2457 0 m
.2457 .61803 L
s
P
p
0 0 .5 r
.001 w
.34127 0 m
.34127 .61803 L
s
P
p
0 0 .5 r
.001 w
.56317 0 m
.56317 .61803 L
s
P
p
0 0 .5 r
.001 w
.65873 0 m
.65873 .61803 L
s
P
p
0 0 .5 r
.001 w
.88063 0 m
.88063 .61803 L
s
P
p
0 0 .5 r
.001 w
.97619 0 m
.97619 .61803 L
s
P
p
0 0 .5 r
.001 w
.11937 0 m
.11937 .61803 L
s
P
p
0 0 .5 r
.001 w
.17528 0 m
.17528 .61803 L
s
P
p
0 0 .5 r
.001 w
.21494 0 m
.21494 .61803 L
s
P
p
0 0 .5 r
.001 w
.27084 0 m
.27084 .61803 L
s
P
p
0 0 .5 r
.001 w
.29209 0 m
.29209 .61803 L
s
P
p
0 0 .5 r
.001 w
.3105 0 m
.3105 .61803 L
s
P
p
0 0 .5 r
.001 w
.32674 0 m
.32674 .61803 L
s
P
p
0 0 .5 r
.001 w
.43683 0 m
.43683 .61803 L
s
P
p
0 0 .5 r
.001 w
.49274 0 m
.49274 .61803 L
s
P
p
0 0 .5 r
.001 w
.5324 0 m
.5324 .61803 L
s
P
p
0 0 .5 r
.001 w
.5883 0 m
.5883 .61803 L
s
P
p
0 0 .5 r
.001 w
.60955 0 m
.60955 .61803 L
s
P
p
0 0 .5 r
.001 w
.62797 0 m
.62797 .61803 L
s
P
p
0 0 .5 r
.001 w
.6442 0 m
.6442 .61803 L
s
P
p
0 0 .5 r
.001 w
.7543 0 m
.7543 .61803 L
s
P
p
0 0 .5 r
.001 w
.8102 0 m
.8102 .61803 L
s
P
p
0 0 .5 r
.001 w
.84986 0 m
.84986 .61803 L
s
P
p
0 0 .5 r
.001 w
.90576 0 m
.90576 .61803 L
s
P
p
0 0 .5 r
.001 w
.92702 0 m
.92702 .61803 L
s
P
p
0 0 .5 r
.001 w
.94543 0 m
.94543 .61803 L
s
P
p
0 0 .5 r
.001 w
.96166 0 m
.96166 .61803 L
s
P
p
0 0 .5 r
.001 w
0 .16156 m
1 .16156 L
s
P
p
0 0 .5 r
.001 w
0 .30893 m
1 .30893 L
s
P
p
0 0 .5 r
.001 w
0 .4563 m
1 .4563 L
s
P
p
.002 w
.02381 0 m
.02381 .00625 L
s
P
[(0.1)] .02381 0 0 2 0 Minner Mrotshowa
p
.002 w
.2457 0 m
.2457 .00625 L
s
P
[(0.5)] .2457 0 0 2 0 Minner Mrotshowa
p
.002 w
.34127 0 m
.34127 .00625 L
s
P
[(1)] .34127 0 0 2 0 Minner Mrotshowa
p
.002 w
.56317 0 m
.56317 .00625 L
s
P
[(5)] .56317 0 0 2 0 Minner Mrotshowa
p
.002 w
.65873 0 m
.65873 .00625 L
s
P
[(10.)] .65873 0 0 2 0 Minner Mrotshowa
p
.002 w
.88063 0 m
.88063 .00625 L
s
P
[(50.)] .88063 0 0 2 0 Minner Mrotshowa
p
.002 w
.97619 0 m
.97619 .00625 L
s
P
[(100.)] .97619 0 0 2 0 Minner Mrotshowa
p
.001 w
.11937 0 m
.11937 .00375 L
s
P
p
.001 w
.17528 0 m
.17528 .00375 L
s
P
p
.001 w
.21494 0 m
.21494 .00375 L
s
P
p
.001 w
.27084 0 m
.27084 .00375 L
s
P
p
.001 w
.29209 0 m
.29209 .00375 L
s
P
p
.001 w
.3105 0 m
.3105 .00375 L
s
P
p
.001 w
.32674 0 m
.32674 .00375 L
s
P
p
.001 w
.43683 0 m
.43683 .00375 L
s
P
p
.001 w
.49274 0 m
.49274 .00375 L
s
P
p
.001 w
.5324 0 m
.5324 .00375 L
s
P
p
.001 w
.5883 0 m
.5883 .00375 L
s
P
p
.001 w
.60955 0 m
.60955 .00375 L
s
P
p
.001 w
.62797 0 m
.62797 .00375 L
s
P
p
.001 w
.6442 0 m
.6442 .00375 L
s
P
p
.001 w
.7543 0 m
.7543 .00375 L
s
P
p
.001 w
.8102 0 m
.8102 .00375 L
s
P
p
.001 w
.84986 0 m
.84986 .00375 L
s
P
p
.001 w
.90576 0 m
.90576 .00375 L
s
P
p
.001 w
.92702 0 m
.92702 .00375 L
s
P
p
.001 w
.94543 0 m
.94543 .00375 L
s
P
p
.001 w
.96166 0 m
.96166 .00375 L
s
P
[(Frequency \(Rad/Second\))] .5 0 0 2 0 0 -1 Mouter Mrotshowa
p
.002 w
0 0 m
1 0 L
s
P
p
.002 w
0 .01419 m
.00625 .01419 L
s
P
[(-80)] -0.0125 .01419 1 0 0 Minner Mrotshowa
p
.002 w
0 .16156 m
.00625 .16156 L
s
P
[(-60)] -0.0125 .16156 1 0 0 Minner Mrotshowa
p
.002 w
0 .30893 m
.00625 .30893 L
s
P
[(-40)] -0.0125 .30893 1 0 0 Minner Mrotshowa
p
.002 w
0 .4563 m
.00625 .4563 L
s
P
[(-20)] -0.0125 .4563 1 0 0 Minner Mrotshowa
p
.002 w
0 .60368 m
.00625 .60368 L
s
P
[(0)] -0.0125 .60368 1 0 0 Minner Mrotshowa
p
.001 w
0 .04366 m
.00375 .04366 L
s
P
p
.001 w
0 .07313 m
.00375 .07313 L
s
P
p
.001 w
0 .10261 m
.00375 .10261 L
s
P
p
.001 w
0 .13208 m
.00375 .13208 L
s
P
p
.001 w
0 .19103 m
.00375 .19103 L
s
P
p
.001 w
0 .22051 m
.00375 .22051 L
s
P
p
.001 w
0 .24998 m
.00375 .24998 L
s
P
p
.001 w
0 .27946 m
.00375 .27946 L
s
P
p
.001 w
0 .33841 m
.00375 .33841 L
s
P
p
.001 w
0 .36788 m
.00375 .36788 L
s
P
p
.001 w
0 .39736 m
.00375 .39736 L
s
P
p
.001 w
0 .42683 m
.00375 .42683 L
s
P
p
.001 w
0 .48578 m
.00375 .48578 L
s
P
p
.001 w
0 .51525 m
.00375 .51525 L
s
P
p
.001 w
0 .54473 m
.00375 .54473 L
s
P
p
.001 w
0 .5742 m
.00375 .5742 L
s
P
[(Magnitude \(dB\))] -0.0125 .30902 1 0 90 -1 0 Mouter Mrotshowa
p
.002 w
0 0 m
0 .61803 L
s
P
P
p
p
.002 w
.02381 .61178 m
.02381 .61803 L
s
P
p
.002 w
.2457 .61178 m
.2457 .61803 L
s
P
p
.002 w
.34127 .61178 m
.34127 .61803 L
s
P
p
.002 w
.56317 .61178 m
.56317 .61803 L
s
P
p
.002 w
.65873 .61178 m
.65873 .61803 L
s
P
p
.002 w
.88063 .61178 m
.88063 .61803 L
s
P
p
.002 w
.97619 .61178 m
.97619 .61803 L
s
P
p
.001 w
.11937 .61428 m
.11937 .61803 L
s
P
p
.001 w
.17528 .61428 m
.17528 .61803 L
s
P
p
.001 w
.21494 .61428 m
.21494 .61803 L
s
P
p
.001 w
.27084 .61428 m
.27084 .61803 L
s
P
p
.001 w
.29209 .61428 m
.29209 .61803 L
s
P
p
.001 w
.3105 .61428 m
.3105 .61803 L
s
P
p
.001 w
.32674 .61428 m
.32674 .61803 L
s
P
p
.001 w
.43683 .61428 m
.43683 .61803 L
s
P
p
.001 w
.49274 .61428 m
.49274 .61803 L
s
P
p
.001 w
.5324 .61428 m
.5324 .61803 L
s
P
p
.001 w
.5883 .61428 m
.5883 .61803 L
s
P
p
.001 w
.60955 .61428 m
.60955 .61803 L
s
P
p
.001 w
.62797 .61428 m
.62797 .61803 L
s
P
p
.001 w
.6442 .61428 m
.6442 .61803 L
s
P
p
.001 w
.7543 .61428 m
.7543 .61803 L
s
P
p
.001 w
.8102 .61428 m
.8102 .61803 L
s
P
p
.001 w
.84986 .61428 m
.84986 .61803 L
s
P
p
.001 w
.90576 .61428 m
.90576 .61803 L
s
P
p
.001 w
.92702 .61428 m
.92702 .61803 L
s
P
p
.001 w
.94543 .61428 m
.94543 .61803 L
s
P
p
.001 w
.96166 .61428 m
.96166 .61803 L
s
P
p
.002 w
0 .61803 m
1 .61803 L
s
P
p
.002 w
.99375 .01419 m
1 .01419 L
s
P
p
.002 w
.99375 .16156 m
1 .16156 L
s
P
p
.002 w
.99375 .30893 m
1 .30893 L
s
P
p
.002 w
.99375 .4563 m
1 .4563 L
s
P
p
.002 w
.99375 .60368 m
1 .60368 L
s
P
p
.001 w
.99625 .04366 m
1 .04366 L
s
P
p
.001 w
.99625 .07313 m
1 .07313 L
s
P
p
.001 w
.99625 .10261 m
1 .10261 L
s
P
p
.001 w
.99625 .13208 m
1 .13208 L
s
P
p
.001 w
.99625 .19103 m
1 .19103 L
s
P
p
.001 w
.99625 .22051 m
1 .22051 L
s
P
p
.001 w
.99625 .24998 m
1 .24998 L
s
P
p
.001 w
.99625 .27946 m
1 .27946 L
s
P
p
.001 w
.99625 .33841 m
1 .33841 L
s
P
p
.001 w
.99625 .36788 m
1 .36788 L
s
P
p
.001 w
.99625 .39736 m
1 .39736 L
s
P
p
.001 w
.99625 .42683 m
1 .42683 L
s
P
p
.001 w
.99625 .48578 m
1 .48578 L
s
P
p
.001 w
.99625 .51525 m
1 .51525 L
s
P
p
.001 w
.99625 .54473 m
1 .54473 L
s
P
p
.001 w
.99625 .5742 m
1 .5742 L
s
P
p
.002 w
1 0 m
1 .61803 L
s
P
P
p
P
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
p
.004 w
.02381 .60332 m
.05665 .6031 L
.08949 .60275 L
.12233 .6022 L
.15517 .60133 L
.18801 .59996 L
.22085 .59786 L
.25369 .5947 L
.28654 .59011 L
.31938 .58371 L
.35222 .57528 L
.38506 .56488 L
.4179 .55304 L
.45074 .54102 L
.48358 .53112 L
.51642 .52728 L
.54926 .53058 L
.5821 .49322 L
.61494 .42615 L
.64778 .36963 L
.68062 .3218 L
.71346 .27971 L
.74631 .24151 L
.77915 .20597 L
.81199 .17222 L
.84483 .13965 L
.87767 .10785 L
.91051 .07653 L
.94335 .04553 L
.97619 .01472 L
s
p
[ .02 ] 0 setdash
s
s
s
s
s
s
s
s
s
s
s
s
s
s
s
s
s
s
0 .6034 m
.01523 .60333 L
s
.01523 .60333 m
.03239 .60323 L
.04955 .6031 L
.06671 .60294 L
.08387 .60274 L
.10103 .60248 L
.11819 .60215 L
.13535 .60173 L
.15251 .6012 L
.16967 .60054 L
.18683 .59971 L
.20399 .59867 L
.22115 .5974 L
.23831 .59584 L
.25547 .59395 L
.27263 .59168 L
.28979 .58902 L
.30695 .58591 L
.32411 .58237 L
.34127 .57837 L
.35843 .57396 L
.37559 .56917 L
.39275 .56407 L
.40991 .55871 L
.42707 .55321 L
.44423 .54767 L
.46139 .54221 L
.47855 .53701 L
.49571 .53224 L
.51287 .52816 L
.53003 .52499 L
.54719 .52267 L
.56435 .51928 L
.58151 .50574 L
.59867 .4672 L
.61583 .40034 L
.63299 .21197 L
.65015 .34999 L
.66731 .37755 L
.68447 .38822 L
.70163 .39309 L
.71879 .39538 L
.73595 .39639 L
.75311 .39675 L
.77027 .39678 L
.78743 .39665 L
.80459 .39646 L
.82175 .39625 L
.83891 .39605 L
.85607 .39587 L
Mistroke
.87323 .39572 L
.89039 .3956 L
.90755 .39549 L
.92471 .39541 L
.94187 .39534 L
.95903 .39529 L
.97619 .39525 L
Mfstroke
P
p
[ .05 .015 .005 .015 ] 0 setdash
s
s
s
s
s
s
0 .60339 m
.03476 .60324 L
s
.03476 .60324 m
.08949 .60272 L
.14423 .6016 L
.19896 .59924 L
.25369 .59459 L
.30843 .58623 L
.36316 .57315 L
.4179 .55559 L
.47263 .53503 L
.52737 .51338 L
.5821 .49286 L
.63684 .47651 L
.69157 .46781 L
.74631 .46724 L
.80104 .47071 L
.85577 .47425 L
.91051 .47654 L
.96524 .47777 L
s
1 .47815 m
.96524 .47777 L
s
s
s
s
s
s
s
P
P
MathSubEnd
P
% End of sub-graphic
P
P
% End of Graphics
MathPictureEnd

:[font = output; output; inactive; preserveAspect; endGroup; endGroup]
GraphicsArray["<<>>"]
;[o]
-GraphicsArray-
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup]
Pole-Zero Cancellation
:[font = input; Cclosed; preserveAspect; startGroup]
TransferFunction[z, (z - .5)/(0.5 - 1.5*z + z^2),
 Sampled -> True]
:[font = output; output; inactive; preserveAspect; endGroup]
TransferFunction[z, {{(-0.5 + z)/(0.5 - 1.5*z + z^2)}}, 
 
  Sampled -> True]
;[o]
                          -0.5 + z
TransferFunction[z, {{----------------}}, Sampled -> True]
                                     2
                      0.5 - 1.5 z + z
:[font = input; Cclosed; preserveAspect; startGroup]
PoleZeroCancel[%]
:[font = output; output; inactive; preserveAspect; endGroup]
TransferFunction[z, {{(-1. + z)^(-1)}}, Sampled -> True]
;[o]
                         1
TransferFunction[z, {{-------}}, Sampled -> True]
                      -1. + z
:[font = input; Cclosed; preserveAspect; startGroup]
FactorRational[%%]
:[font = output; output; inactive; preserveAspect; endGroup]
TransferFunction[z, {{(-1. + z)^(-1)}}, Sampled -> True]
;[o]
                         1
TransferFunction[z, {{-------}}, Sampled -> True]
                      -1. + z
:[font = input; Cclosed; preserveAspect; startGroup]
TransferFunction[s, (s + .5)/(s + .4)]
:[font = output; output; inactive; preserveAspect; endGroup]
TransferFunction[s, {{(0.5 + s)/(0.4 + s)}}]
;[o]
                      0.5 + s
TransferFunction[s, {{-------}}]
                      0.4 + s
:[font = input; Cclosed; preserveAspect; startGroup]
PoleZeroCancel[%, Tolerance -> .1]
:[font = output; output; inactive; preserveAspect; endGroup; endGroup]
TransferFunction[s, {{1}}]
;[o]
TransferFunction[s, {{1}}]
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup]
Similarity Transform
:[font = input; Cclosed; preserveAspect; startGroup]
(system = StateSpace[
 {{-3, 2, 0}, {0, -1, 0}, {1, -2, -2}},
 {{0, 0}, {b1, 0}, {0, b2}},
 {{c1, 0, 0}, {0, 0, c3}},
 {{d11, d12}, {d21, d22}}]
)//ReviewForm
:[font = output; output; inactive; preserveAspect; endGroup]
ReviewForm[StateSpace[{{-3, 2, 0}, {0, -1, 0}, 
 
    {1, -2, -2}}, {{0, 0}, {b1, 0}, {0, b2}}, 
 
   {{c1, 0, 0}, {0, 0, c3}}, {{d11, d12}, {d21, d22}}]]
;[o]
   -3   2    0

   0    -1   0

A  1    -2   -2


   0    0

   b1   0

B  0    b2


   c1   0   0

C  0    0   c3


   d11   d12

D  d21   d22
:[font = input; Cclosed; preserveAspect; startGroup]
(t = Eigenvectors[First[%]]//Transpose)//MatrixForm
:[font = output; output; inactive; preserveAspect; endGroup]
MatrixForm[{{-1, 0, -1}, {0, 0, -1}, {1, 1, 1}}]
;[o]
-1   0    -1

0    0    -1

1    1    1
:[font = input; Cclosed; preserveAspect; startGroup]
SimilarityTransform[system, Inverse[t]]//ReviewForm
:[font = output; output; inactive; preserveAspect; endGroup]
ReviewForm[StateSpace[{{-3, 0, 0}, {0, -2, 0}, {0, 0, -1}}, 
 
   {{b1, 0}, {0, b2}, {-b1, 0}}, 
 
   {{-c1, 0, -c1}, {c3, c3, c3}}, {{d11, d12}, {d21, d22}}]]
;[o]
   -3   0    0

   0    -2   0

A  0    0    -1


   b1    0

   0     b2

B  -b1   0


   -c1   0    -c1

C  c3    c3   c3


   d11   d12

D  d21   d22
:[font = input; Cclosed; preserveAspect; startGroup]
SimilarityTransform[system, t,
 InvertedTransformMatrix -> True
]//ReviewForm
:[font = output; output; inactive; preserveAspect; endGroup; endGroup; endGroup; endGroup]
ReviewForm[StateSpace[{{-3, 0, 0}, {0, -2, 0}, {0, 0, -1}}, 
 
   {{b1, 0}, {0, b2}, {-b1, 0}}, 
 
   {{-c1, 0, -c1}, {c3, c3, c3}}, {{d11, d12}, {d21, d22}}]]
;[o]
   -3   0    0

   0    -2   0

A  0    0    -1


   b1    0

   0     b2

B  -b1   0


   -c1   0    -c1

C  c3    c3   c3


   d11   d12

D  d21   d22
^*)
