(*^
::[	Information =

	"This is a Mathematica Notebook file.  It contains ASCII text, and can be
	transferred by email, ftp, or other text-file transfer utility.  It should
	be read or edited using a copy of Mathematica or MathReader.  If you 
	received this as email, use your mail application or copy/paste to save 
	everything from the line containing (*^ down to the line containing ^*)
	into a plain text file.  On some systems you may have to give the file a 
	name ending with ".ma" to allow Mathematica to recognize it as a Notebook.
	The line below identifies what version of Mathematica created this file,
	but it can be opened using any other version as well.";

	FrontEndVersion = "Macintosh Mathematica Notebook Front End Version 2.2";

	MacintoshStandardFontEncoding; 
	
	fontset = title, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, e8,  24, "Times"; 
	fontset = subtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, e6,  18, "Times"; 
	fontset = subsubtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, italic, e6,  14, "Times"; 
	fontset = section, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, grayBox, M22, bold, a20,  18, "Times"; 
	fontset = subsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, blackBox, M19, bold, a15,  14, "Times"; 
	fontset = subsubsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, whiteBox, M18, bold, a12,  12, "Times"; 
	fontset = text, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = smalltext, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  10, "Times"; 
	fontset = input, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeInput, M42, N23, bold, L-5,  12, "Courier"; 
	fontset = output, output, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, "Courier"; 
	fontset = message, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, R65535, L-5,  12, "Courier"; 
	fontset = print, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, "Courier"; 
	fontset = info, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, B65535, L-5,  12, "Courier"; 
	fontset = postscript, PostScript, formatAsPostScript, output, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeGraphics, M7, l34, w282, h287,  12, "Courier"; 
	fontset = name, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, italic,  10, "Geneva"; 
	fontset = header, inactive, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = leftheader, inactive, L2,  12, "Times"; 
	fontset = footer, inactive, noKeepOnOnePage, preserveAspect, center, M7,  12, "Times"; 
	fontset = leftfooter, inactive, L2,  12, "Times"; 
	fontset = help, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  10, "Times"; 
	fontset = clipboard, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = completions, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = special1, initialization, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Courier"; 
	fontset = special2, inactive, nohscroll, noKeepOnOnePage, preserveAspect, cellOutline, blackBox, M7, r58981, g58981, b58981,  15, "Times"; 
	fontset = special3, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = special4, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = special5, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	paletteColors = 128; automaticGrouping; currentKernel; 
]
:[font = title; inactive; preserveAspect; startGroup]
Control System Professional
:[font = section; inactive; Cclosed; preserveAspect; startGroup]
3. Description of Dynamic Systems
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup]
Transfer Function Representations
:[font = input; preserveAspect]
Needs["ControlSystems`Master`"]
:[font = input; Cclosed; preserveAspect; startGroup]
TransferFunction[var, {{2/(1+var^2), var/(var-1)}}]
:[font = output; output; inactive; preserveAspect; endGroup]
TransferFunction[var, {{2/(1 + var^2), var/(-1 + var)}}]
;[o]
                           2        var
TransferFunction[var, {{--------, --------}}]
                               2  -1 + var
                        1 + var
:[font = input; Cclosed; preserveAspect; startGroup]
%[s]
:[font = output; output; inactive; preserveAspect; endGroup]
{{2/(1 + s^2), s/(-1 + s)}}
;[o]
    2       s
{{------, ------}}
       2  -1 + s
  1 + s
:[font = input; Cclosed; preserveAspect; startGroup]
%%[I 10.]
:[font = output; output; inactive; preserveAspect; endGroup]
{{-0.0202020202020202, 0.99009900990099 - 
 
    0.099009900990099*I}}
;[o]
{{-0.020202, 0.990099 - 0.0990099 I}}
:[font = input; Cclosed; preserveAspect; startGroup]
TransferFunction[{{1/#}}]
:[font = output; output; inactive; preserveAspect; endGroup]
TransferFunction[{{#1^(-1)}}]
;[o]
                   1
TransferFunction[{{--}}]
                   #1
:[font = input; Cclosed; preserveAspect; startGroup]
%[s]
:[font = output; output; inactive; preserveAspect; endGroup]
{{s^(-1)}}
;[o]
  1
{{-}}
  s
:[font = input; Cclosed; preserveAspect; startGroup]
TransferFunction[1/#]
:[font = output; output; inactive; preserveAspect; endGroup]
TransferFunction[{{#1^(-1)}}]
;[o]
                   1
TransferFunction[{{--}}]
                   #1
:[font = input; Cclosed; preserveAspect; startGroup]
TransferFunction[s,
 {{2/(1+s^2), (6 - 5*s + s^2)/(s^4-1)}}]
:[font = output; output; inactive; preserveAspect; endGroup]
TransferFunction[s, {{2/(1 + s^2), 
 
    (6 - 5*s + s^2)/(-1 + s^4)}}]
;[o]
                                         2
                        2     6 - 5 s + s
TransferFunction[s, {{------, ------------}}]
                           2          4
                      1 + s     -1 + s
:[font = input; Cclosed; preserveAspect; startGroup]
FactorRational[%]
:[font = output; output; inactive; preserveAspect; endGroup]
TransferFunction[s, {{2/((-I + s)*(I + s)), 
 
    ((-3 + s)*(-2 + s))/((-1 + s)*(-I + s)*(I + s)*(1 + s))}
 
    }]
;[o]
                             2
TransferFunction[s, {{----------------, 
                      (-I + s) (I + s)
 
            (-3 + s) (-2 + s)
    ---------------------------------}}]
    (-1 + s) (-I + s) (I + s) (1 + s)
:[font = input; Cclosed; preserveAspect; startGroup]
ExpandRational[%]
:[font = output; output; inactive; preserveAspect; endGroup]
TransferFunction[s, {{2/(1 + s^2), 
 
    (6 - 5*s + s^2)/(-1 + s^4)}}]
;[o]
                                         2
                        2     6 - 5 s + s
TransferFunction[s, {{------, ------------}}]
                           2          4
                      1 + s     -1 + s
:[font = input; Cclosed; preserveAspect; startGroup]
TransferFunction[s, 1/s + 1/(s-1)]
:[font = output; output; inactive; preserveAspect; endGroup]
TransferFunction[s, {{(-1 + s)^(-1) + s^(-1)}}]
;[o]
                        1      1
TransferFunction[s, {{------ + -}}]
                      -1 + s   s
:[font = input; Cclosed; preserveAspect; startGroup]
ExpandRational[%]
:[font = output; output; inactive; preserveAspect; endGroup]
TransferFunction[s, {{(-1 + 2*s)/(-s + s^2)}}]
;[o]
                      -1 + 2 s
TransferFunction[s, {{--------}}]
                            2
                      -s + s
:[font = input; Cclosed; preserveAspect; startGroup]
FactorRational[%%]
:[font = output; output; inactive; preserveAspect; endGroup]
TransferFunction[s, {{(2*(-1/2 + s))/((-1 + s)*s)}}]
;[o]
                           1
                      2 (-(-) + s)
                           2
TransferFunction[s, {{------------}}]
                       (-1 + s) s
:[font = input; Cclosed; preserveAspect; startGroup]
tf = TransferFunction[s, {{2/(1+s^2), s/(s-1)}}]
:[font = output; output; inactive; preserveAspect; endGroup]
TransferFunction[s, {{2/(1 + s^2), s/(-1 + s)}}]
;[o]
                        2       s
TransferFunction[s, {{------, ------}}]
                           2  -1 + s
                      1 + s
:[font = input; Cclosed; preserveAspect; startGroup]
ZeroPoleGain[%]
:[font = output; output; inactive; preserveAspect; endGroup]
ZeroPoleGain[s, {{{}, {0}}}, {{{-I, I}, {1}}}, {{2, 1}}]
;[o]
ZeroPoleGain[s, {{{}, {0}}}, {{{-I, I}, {1}}}, {{2, 1}}]
:[font = input; Cclosed; preserveAspect; startGroup]
TransferFunction[%]
:[font = output; output; inactive; preserveAspect; endGroup]
TransferFunction[s, {{2/((-I + s)*(I + s)), s/(-1 + s)}}]
;[o]
                             2            s
TransferFunction[s, {{----------------, ------}}]
                      (-I + s) (I + s)  -1 + s
:[font = input; Cclosed; preserveAspect; startGroup]
FactorRational[tf]
:[font = output; output; inactive; preserveAspect; endGroup]
TransferFunction[s, {{2/((-I + s)*(I + s)), s/(-1 + s)}}]
;[o]
                             2            s
TransferFunction[s, {{----------------, ------}}]
                      (-I + s) (I + s)  -1 + s
:[font = input; Cclosed; preserveAspect; startGroup]
ZeroPoleGain[{{{}}}, {{{0}}}, {{1}}]
:[font = output; output; inactive; preserveAspect; endGroup]
ZeroPoleGain[{{{}}}, {{{0}}}, {{1}}]
;[o]
ZeroPoleGain[{{{}}}, {{{0}}}, {{1}}]
:[font = input; Cclosed; preserveAspect; startGroup]
TransferFunction[%]
:[font = output; output; inactive; preserveAspect; endGroup]
TransferFunction[{{#1^(-1)}}]
;[o]
                   1
TransferFunction[{{--}}]
                   #1
:[font = input; Cclosed; preserveAspect; startGroup]
TransferFunction[var, 1/(1+var^2)]
:[font = output; output; inactive; preserveAspect; endGroup]
TransferFunction[var, {{(1 + var^2)^(-1)}}]
;[o]
                           1
TransferFunction[var, {{--------}}]
                               2
                        1 + var
:[font = input; Cclosed; preserveAspect; startGroup]
% /. var -> z
:[font = output; output; inactive; preserveAspect; endGroup; endGroup]
TransferFunction[z, {{(1 + z^2)^(-1)}}]
;[o]
                        1
TransferFunction[z, {{------}}]
                           2
                      1 + z
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup]
State-Space Representations
:[font = input; Cclosed; preserveAspect; startGroup]
StateSpace[{{a1, a2}, {a3, a4}}, {{b1}, {b2}},
 {{c1, c2}}]
:[font = output; output; inactive; preserveAspect; endGroup]
StateSpace[{{a1, a2}, {a3, a4}}, {{b1}, {b2}}, {{c1, c2}}]
;[o]
StateSpace[{{a1, a2}, {a3, a4}}, {{b1}, {b2}}, {{c1, c2}}]
:[font = input; Cclosed; preserveAspect; startGroup]
StateSpace[{{a1, a2}, {a3, a4}}, {{b1}, {b2}},
 {{c1, c2}}, {{0}}]
:[font = output; output; inactive; preserveAspect; endGroup]
StateSpace[{{a1, a2}, {a3, a4}}, {{b1}, {b2}}, {{c1, c2}}, 
 
  {{0}}]
;[o]
StateSpace[{{a1, a2}, {a3, a4}}, {{b1}, {b2}}, {{c1, c2}}, 
 
  {{0}}]
:[font = input; Cclosed; preserveAspect; startGroup]
SameQ @@ TransferFunction /@ {%, %%}
:[font = output; output; inactive; preserveAspect; endGroup]
True
;[o]
True
:[font = input; Cclosed; preserveAspect; startGroup]
tf = TransferFunction[s, {{1/(s-a), 1/(s-b)}}]
:[font = output; output; inactive; preserveAspect; endGroup]
TransferFunction[s, {{(-a + s)^(-1), (-b + s)^(-1)}}]
;[o]
                        1       1
TransferFunction[s, {{------, ------}}]
                      -a + s  -b + s
:[font = input; Cclosed; preserveAspect; startGroup]
StateSpace[%]
:[font = output; output; inactive; preserveAspect; endGroup]
StateSpace[{{0, 0, 1, 0}, {0, 0, 0, 1}, 
 
   {-(a*b), 0, a + b, 0}, {0, -(a*b), 0, a + b}}, 
 
  {{0, 0}, {0, 0}, {1, 0}, {0, 1}}, {{-b, -a, 1, 1}}]
;[o]
StateSpace[{{0, 0, 1, 0}, {0, 0, 0, 1}, 
 
   {-(a b), 0, a + b, 0}, {0, -(a b), 0, a + b}}, 
 
  {{0, 0}, {0, 0}, {1, 0}, {0, 1}}, {{-b, -a, 1, 1}}]
:[font = input; Cclosed; preserveAspect; startGroup]
ReviewForm[%]
:[font = output; output; inactive; preserveAspect; endGroup]
ReviewForm[StateSpace[{{0, 0, 1, 0}, {0, 0, 0, 1}, 
 
    {-(a*b), 0, a + b, 0}, {0, -(a*b), 0, a + b}}, 
 
   {{0, 0}, {0, 0}, {1, 0}, {0, 1}}, {{-b, -a, 1, 1}}]]
;[o]
   0        0        1       0

   0        0        0       1

   -(a b)   0        a + b   0

A  0        -(a b)   0       a + b


   0   0

   0   0

   1   0

B  0   1


C  -b   -a   1   1
:[font = input; Cclosed; preserveAspect; startGroup]
MinimalRealization[%, ComplexVariables -> None]//
 Simplify //ReviewForm
:[font = output; output; inactive; preserveAspect; endGroup]
ReviewForm[StateSpace[{{a, 0}, {0, b}}, 
 
   {{-(1/((1 + b^(-2))^(1/2)*b)), 0}, 
 
    {0, -(1/((1 + a^(-2))^(1/2)*a))}}, 
 
   {{-((1 + b^2)/((1 + b^(-2))^(1/2)*b)), 
 
     -((1 + a^2)/((1 + a^(-2))^(1/2)*a))}}]]
;[o]
   a   0

A  0   b


            1
   -(---------------)
               -2
     Sqrt[1 + b  ] b    0

                                 1
                        -(---------------)
                                    -2
B  0                      Sqrt[1 + a  ] a


              2                    2
         1 + b                1 + a
   -(---------------)   -(---------------)
               -2                   -2
C    Sqrt[1 + b  ] b      Sqrt[1 + a  ] a
:[font = input; Cclosed; preserveAspect; startGroup]
TransferFunction[s, %]//Simplify
:[font = output; output; inactive; preserveAspect; endGroup; endGroup]
TransferFunction[s, {{(-a + s)^(-1), (-b + s)^(-1)}}]
;[o]
                        1       1
TransferFunction[s, {{------, ------}}]
                      -a + s  -b + s
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup]
Reviewing Transfer Function and State-Space Objects
:[font = input; Cclosed; preserveAspect; startGroup]
StateSpace[{{a1, a2}, {a3, a4}},
 {{b1}, {b2}}, {{c1, c2}} ]
:[font = output; output; inactive; preserveAspect; endGroup]
StateSpace[{{a1, a2}, {a3, a4}}, {{b1}, {b2}}, {{c1, c2}}]
;[o]
StateSpace[{{a1, a2}, {a3, a4}}, {{b1}, {b2}}, {{c1, c2}}]
:[font = input; Cclosed; preserveAspect; startGroup]
ReviewForm[%]
:[font = output; output; inactive; preserveAspect; endGroup]
ReviewForm[StateSpace[{{a1, a2}, {a3, a4}}, {{b1}, {b2}}, 
 
   {{c1, c2}}]]
;[o]
   a1   a2

A  a3   a4


   b1

B  b2


C  c1   c2
:[font = input; Cclosed; preserveAspect; startGroup]
%
:[font = output; output; inactive; preserveAspect; endGroup; endGroup]
StateSpace[{{a1, a2}, {a3, a4}}, {{b1}, {b2}}, {{c1, c2}}]
;[o]
StateSpace[{{a1, a2}, {a3, a4}}, {{b1}, {b2}}, {{c1, c2}}]
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup]
Continuous-Time versus Discrete-Time Systems
:[font = input; Cclosed; preserveAspect; startGroup]
ContinuousTimeQ[StateSpace[a, b, c]]
:[font = output; output; inactive; preserveAspect; endGroup]
True
;[o]
True
:[font = input; Cclosed; preserveAspect; startGroup]
ContinuousTimeQ[
 StateSpace[a, b, c, Sampled -> True]
]
:[font = output; output; inactive; preserveAspect; endGroup]
False
;[o]
False
:[font = input; Cclosed; preserveAspect; startGroup]
ContinuousTimeQ[
 StateSpace[a, b, c, Sampled -> Period[T]]
]
:[font = output; output; inactive; preserveAspect; endGroup]
False
;[o]
False
:[font = input; Cclosed; preserveAspect; startGroup]
$Sampled = Period[1]
:[font = output; output; inactive; preserveAspect; endGroup]
Period[1]
;[o]
Period[1]
:[font = input; Cclosed; preserveAspect; startGroup]
ContinuousTimeQ[StateSpace[a, b, c]]
:[font = output; output; inactive; preserveAspect; endGroup]
False
;[o]
False
:[font = input; Cclosed; preserveAspect; startGroup]
$Sampled = False
:[font = output; output; inactive; preserveAspect; endGroup; endGroup]
False
;[o]
False
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup]
Discrete-Time Models of Continuous-Time Systems
:[font = input; Cclosed; preserveAspect; startGroup]
tf = TransferFunction[s, a/(s+a)]
:[font = output; output; inactive; preserveAspect; endGroup]
TransferFunction[s, {{a/(a + s)}}]
;[o]
                        a
TransferFunction[s, {{-----}}]
                      a + s
:[font = input; Cclosed; preserveAspect; startGroup]
hz = ToDiscreteTime[%, Sampled->Period[T]]
:[font = output; output; inactive; preserveAspect; endGroup]
TransferFunction[s, {{(-1 + E^(a*T))/(-1 + E^(a*T)*s)}}, 
 
  Sampled -> Period[T]]
;[o]
                             a T
                       -1 + E
TransferFunction[s, {{-----------}}, Sampled -> Period[T]]
                            a T
                      -1 + E    s
:[font = input; Cclosed; preserveAspect; startGroup]
% /. s -> z
:[font = output; output; inactive; preserveAspect; endGroup]
TransferFunction[z, {{(-1 + E^(a*T))/(-1 + E^(a*T)*z)}}, 
 
  Sampled -> Period[T]]
;[o]
                             a T
                       -1 + E
TransferFunction[z, {{-----------}}, Sampled -> Period[T]]
                            a T
                      -1 + E    z
:[font = input; Cclosed; preserveAspect; startGroup]
(cont =
 StateSpace[{{0, 1}, {0, -1}}, {{0}, {1}},
 {{1, 0}}]
)//ReviewForm
:[font = output; output; inactive; preserveAspect; endGroup]
ReviewForm[StateSpace[{{0, 1}, {0, -1}}, {{0}, {1}}, 
 
   {{1, 0}}]]
;[o]
   0   1

A  0   -1


   0

B  1


C  1   0
:[font = input; Cclosed; preserveAspect; startGroup]
disc = ToDiscreteTime[%, Sampled->Period[tau]]
:[font = output; output; inactive; preserveAspect; endGroup]
StateSpace[{{1, 1 - E^(-tau)}, {0, E^(-tau)}}, 
 
  {{-1 + E^(-tau) + tau}, {1 - E^(-tau)}}, {{1, 0}}, 
 
  Sampled -> Period[tau]]
;[o]
                     -tau        -tau
StateSpace[{{1, 1 - E    }, {0, E    }}, 
 
          -tau               -tau
  {{-1 + E     + tau}, {1 - E    }}, {{1, 0}}, 
 
  Sampled -> Period[tau]]
:[font = input; Cclosed; preserveAspect; startGroup]
ReviewForm[%]
:[font = output; output; inactive; preserveAspect; endGroup]
ReviewForm[StateSpace[{{1, 1 - E^(-tau)}, {0, E^(-tau)}}, 
 
   {{-1 + E^(-tau) + tau}, {1 - E^(-tau)}}, {{1, 0}}, 
 
   Sampled -> Period[tau]]]
;[o]
            -tau
   1   1 - E

        -tau
A  0   E


         -tau
   -1 + E     + tau

        -tau
B  1 - E


C  1   0
:[font = input; Cclosed; preserveAspect; startGroup]
OutputResponse[cont, Sin[t], t]
:[font = output; output; inactive; preserveAspect; endGroup]
{-(1 - 2*E^t)/(2*E^t) + (-Cos[t] - Sin[t])/2}
;[o]
          t
 -(1 - 2 E )   -Cos[t] - Sin[t]
{----------- + ----------------}
       t              2
    2 E
:[font = input; Cclosed; preserveAspect; startGroup]
Plot[%, {t, 0, 10}]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 282; pictureHeight = 174]
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
%% Graphics
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.0952381 0.0147151 0.346785 [
[(2)] .21429 .01472 0 2 Msboxa
[(4)] .40476 .01472 0 2 Msboxa
[(6)] .59524 .01472 0 2 Msboxa
[(8)] .78571 .01472 0 2 Msboxa
[(10)] .97619 .01472 0 2 Msboxa
[(0.25)] .01131 .10141 1 0 Msboxa
[(0.5)] .01131 .18811 1 0 Msboxa
[(0.75)] .01131 .2748 1 0 Msboxa
[(1)] .01131 .3615 1 0 Msboxa
[(1.25)] .01131 .4482 1 0 Msboxa
[(1.5)] .01131 .53489 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 .61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
[ ] 0 setdash
0 g
p
p
.002 w
.21429 .01472 m
.21429 .02097 L
s
P
[(2)] .21429 .01472 0 2 Mshowa
p
.002 w
.40476 .01472 m
.40476 .02097 L
s
P
[(4)] .40476 .01472 0 2 Mshowa
p
.002 w
.59524 .01472 m
.59524 .02097 L
s
P
[(6)] .59524 .01472 0 2 Mshowa
p
.002 w
.78571 .01472 m
.78571 .02097 L
s
P
[(8)] .78571 .01472 0 2 Mshowa
p
.002 w
.97619 .01472 m
.97619 .02097 L
s
P
[(10)] .97619 .01472 0 2 Mshowa
p
.001 w
.0619 .01472 m
.0619 .01847 L
s
P
p
.001 w
.1 .01472 m
.1 .01847 L
s
P
p
.001 w
.1381 .01472 m
.1381 .01847 L
s
P
p
.001 w
.17619 .01472 m
.17619 .01847 L
s
P
p
.001 w
.25238 .01472 m
.25238 .01847 L
s
P
p
.001 w
.29048 .01472 m
.29048 .01847 L
s
P
p
.001 w
.32857 .01472 m
.32857 .01847 L
s
P
p
.001 w
.36667 .01472 m
.36667 .01847 L
s
P
p
.001 w
.44286 .01472 m
.44286 .01847 L
s
P
p
.001 w
.48095 .01472 m
.48095 .01847 L
s
P
p
.001 w
.51905 .01472 m
.51905 .01847 L
s
P
p
.001 w
.55714 .01472 m
.55714 .01847 L
s
P
p
.001 w
.63333 .01472 m
.63333 .01847 L
s
P
p
.001 w
.67143 .01472 m
.67143 .01847 L
s
P
p
.001 w
.70952 .01472 m
.70952 .01847 L
s
P
p
.001 w
.74762 .01472 m
.74762 .01847 L
s
P
p
.001 w
.82381 .01472 m
.82381 .01847 L
s
P
p
.001 w
.8619 .01472 m
.8619 .01847 L
s
P
p
.001 w
.9 .01472 m
.9 .01847 L
s
P
p
.001 w
.9381 .01472 m
.9381 .01847 L
s
P
p
.002 w
0 .01472 m
1 .01472 L
s
P
p
.002 w
.02381 .10141 m
.03006 .10141 L
s
P
[(0.25)] .01131 .10141 1 0 Mshowa
p
.002 w
.02381 .18811 m
.03006 .18811 L
s
P
[(0.5)] .01131 .18811 1 0 Mshowa
p
.002 w
.02381 .2748 m
.03006 .2748 L
s
P
[(0.75)] .01131 .2748 1 0 Mshowa
p
.002 w
.02381 .3615 m
.03006 .3615 L
s
P
[(1)] .01131 .3615 1 0 Mshowa
p
.002 w
.02381 .4482 m
.03006 .4482 L
s
P
[(1.25)] .01131 .4482 1 0 Mshowa
p
.002 w
.02381 .53489 m
.03006 .53489 L
s
P
[(1.5)] .01131 .53489 1 0 Mshowa
p
.001 w
.02381 .03205 m
.02756 .03205 L
s
P
p
.001 w
.02381 .04939 m
.02756 .04939 L
s
P
p
.001 w
.02381 .06673 m
.02756 .06673 L
s
P
p
.001 w
.02381 .08407 m
.02756 .08407 L
s
P
p
.001 w
.02381 .11875 m
.02756 .11875 L
s
P
p
.001 w
.02381 .13609 m
.02756 .13609 L
s
P
p
.001 w
.02381 .15343 m
.02756 .15343 L
s
P
p
.001 w
.02381 .17077 m
.02756 .17077 L
s
P
p
.001 w
.02381 .20545 m
.02756 .20545 L
s
P
p
.001 w
.02381 .22279 m
.02756 .22279 L
s
P
p
.001 w
.02381 .24013 m
.02756 .24013 L
s
P
p
.001 w
.02381 .25746 m
.02756 .25746 L
s
P
p
.001 w
.02381 .29214 m
.02756 .29214 L
s
P
p
.001 w
.02381 .30948 m
.02756 .30948 L
s
P
p
.001 w
.02381 .32682 m
.02756 .32682 L
s
P
p
.001 w
.02381 .34416 m
.02756 .34416 L
s
P
p
.001 w
.02381 .37884 m
.02756 .37884 L
s
P
p
.001 w
.02381 .39618 m
.02756 .39618 L
s
P
p
.001 w
.02381 .41352 m
.02756 .41352 L
s
P
p
.001 w
.02381 .43086 m
.02756 .43086 L
s
P
p
.001 w
.02381 .46554 m
.02756 .46554 L
s
P
p
.001 w
.02381 .48288 m
.02756 .48288 L
s
P
p
.001 w
.02381 .50021 m
.02756 .50021 L
s
P
p
.001 w
.02381 .51755 m
.02756 .51755 L
s
P
p
.001 w
.02381 .55223 m
.02756 .55223 L
s
P
p
.001 w
.02381 .56957 m
.02756 .56957 L
s
P
p
.001 w
.02381 .58691 m
.02756 .58691 L
s
P
p
.001 w
.02381 .60425 m
.02756 .60425 L
s
P
p
.002 w
.02381 0 m
.02381 .61803 L
s
P
P
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
p
p
.004 w
.02381 .01472 m
.02505 .01472 L
.02629 .01472 L
.02753 .01472 L
.02877 .01472 L
.03001 .01473 L
.03125 .01474 L
.03249 .01476 L
.03373 .01478 L
.03497 .01481 L
.03621 .01484 L
.03869 .01493 L
.04117 .01505 L
.04365 .01521 L
.04613 .01542 L
.04861 .01567 L
.05357 .01634 L
.05853 .01726 L
.06349 .01846 L
.06845 .01997 L
.07341 .02182 L
.08333 .02662 L
.09325 .03304 L
.10317 .04121 L
.12302 .06311 L
.14286 .0926 L
.18254 .17275 L
.22222 .27383 L
.2619 .38241 L
.30159 .48247 L
.32143 .52437 L
.34127 .55857 L
.36111 .58371 L
.37103 .59256 L
.37599 .59601 L
.38095 .59881 L
.38343 .59995 L
.38591 .60093 L
.38839 .60175 L
.39087 .60239 L
.39211 .60265 L
.39335 .60287 L
.39459 .60304 L
.39583 .60317 L
.39707 .60326 L
.39831 .60331 L
.39955 .60332 L
.40079 .60328 L
.40203 .60321 L
.40327 .60308 L
Mistroke
.40575 .60272 L
.40699 .60247 L
.40823 .60218 L
.41071 .60148 L
.41567 .59958 L
.42063 .59702 L
.43056 .58994 L
.44048 .58033 L
.46032 .55399 L
.48016 .51918 L
.5 .47742 L
.53968 .3806 L
.57937 .28025 L
.59921 .2342 L
.61905 .19362 L
.63889 .16027 L
.64881 .14678 L
.65873 .13561 L
.66865 .12688 L
.67361 .12346 L
.67857 .12069 L
.68105 .11955 L
.68353 .11857 L
.68601 .11775 L
.68849 .1171 L
.68973 .11684 L
.69097 .11662 L
.69221 .11644 L
.69345 .1163 L
.69469 .11621 L
.69593 .11615 L
.69717 .11614 L
.69841 .11617 L
.69965 .11624 L
.70089 .11635 L
.70337 .1167 L
.70461 .11693 L
.70585 .11721 L
.70833 .11789 L
.71329 .11974 L
.71825 .12224 L
.72817 .12919 L
.7381 .13866 L
.75794 .1647 L
.77778 .19925 L
.81746 .28758 L
.85714 .38854 L
.89683 .48487 L
.91667 .52604 L
.93651 .56008 L
Mistroke
.94643 .57396 L
.95635 .58554 L
.96627 .59469 L
.97619 .60131 L
Mfstroke
P
P
% End of Graphics
MathPictureEnd

:[font = output; output; inactive; preserveAspect; endGroup]
Graphics["<<>>"]
;[o]
-Graphics-
:[font = input; Cclosed; preserveAspect; startGroup]
SimulationPlot[disc/.tau->.5, Sin[t], {t, 0, 10},
 PlotJoined -> False,
 PlotStyle -> PointSize[.015],
 PlotLabel -> "Output Response",
 Epilog -> First[%]
]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 282; pictureHeight = 174]
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
%% Graphics
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.0952381 0.0147151 0.355341 [
[(2)] .21429 .01472 0 2 Msboxa
[(4)] .40476 .01472 0 2 Msboxa
[(6)] .59524 .01472 0 2 Msboxa
[(8)] .78571 .01472 0 2 Msboxa
[(10)] .97619 .01472 0 2 Msboxa
[(Output Response)] .5 .61803 0 -2 Msboxa
[(0.25)] .01131 .10355 1 0 Msboxa
[(0.5)] .01131 .19239 1 0 Msboxa
[(0.75)] .01131 .28122 1 0 Msboxa
[(1)] .01131 .37006 1 0 Msboxa
[(1.25)] .01131 .45889 1 0 Msboxa
[(1.5)] .01131 .54773 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 .61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
[ ] 0 setdash
0 g
p
p
.002 w
.21429 .01472 m
.21429 .02097 L
s
P
[(2)] .21429 .01472 0 2 Mshowa
p
.002 w
.40476 .01472 m
.40476 .02097 L
s
P
[(4)] .40476 .01472 0 2 Mshowa
p
.002 w
.59524 .01472 m
.59524 .02097 L
s
P
[(6)] .59524 .01472 0 2 Mshowa
p
.002 w
.78571 .01472 m
.78571 .02097 L
s
P
[(8)] .78571 .01472 0 2 Mshowa
p
.002 w
.97619 .01472 m
.97619 .02097 L
s
P
[(10)] .97619 .01472 0 2 Mshowa
p
.001 w
.0619 .01472 m
.0619 .01847 L
s
P
p
.001 w
.1 .01472 m
.1 .01847 L
s
P
p
.001 w
.1381 .01472 m
.1381 .01847 L
s
P
p
.001 w
.17619 .01472 m
.17619 .01847 L
s
P
p
.001 w
.25238 .01472 m
.25238 .01847 L
s
P
p
.001 w
.29048 .01472 m
.29048 .01847 L
s
P
p
.001 w
.32857 .01472 m
.32857 .01847 L
s
P
p
.001 w
.36667 .01472 m
.36667 .01847 L
s
P
p
.001 w
.44286 .01472 m
.44286 .01847 L
s
P
p
.001 w
.48095 .01472 m
.48095 .01847 L
s
P
p
.001 w
.51905 .01472 m
.51905 .01847 L
s
P
p
.001 w
.55714 .01472 m
.55714 .01847 L
s
P
p
.001 w
.63333 .01472 m
.63333 .01847 L
s
P
p
.001 w
.67143 .01472 m
.67143 .01847 L
s
P
p
.001 w
.70952 .01472 m
.70952 .01847 L
s
P
p
.001 w
.74762 .01472 m
.74762 .01847 L
s
P
p
.001 w
.82381 .01472 m
.82381 .01847 L
s
P
p
.001 w
.8619 .01472 m
.8619 .01847 L
s
P
p
.001 w
.9 .01472 m
.9 .01847 L
s
P
p
.001 w
.9381 .01472 m
.9381 .01847 L
s
P
p
.002 w
0 .01472 m
1 .01472 L
s
P
[(Output Response)] .5 .61803 0 -2 Mshowa
p
.002 w
.02381 .10355 m
.03006 .10355 L
s
P
[(0.25)] .01131 .10355 1 0 Mshowa
p
.002 w
.02381 .19239 m
.03006 .19239 L
s
P
[(0.5)] .01131 .19239 1 0 Mshowa
p
.002 w
.02381 .28122 m
.03006 .28122 L
s
P
[(0.75)] .01131 .28122 1 0 Mshowa
p
.002 w
.02381 .37006 m
.03006 .37006 L
s
P
[(1)] .01131 .37006 1 0 Mshowa
p
.002 w
.02381 .45889 m
.03006 .45889 L
s
P
[(1.25)] .01131 .45889 1 0 Mshowa
p
.002 w
.02381 .54773 m
.03006 .54773 L
s
P
[(1.5)] .01131 .54773 1 0 Mshowa
p
.001 w
.02381 .03248 m
.02756 .03248 L
s
P
p
.001 w
.02381 .05025 m
.02756 .05025 L
s
P
p
.001 w
.02381 .06802 m
.02756 .06802 L
s
P
p
.001 w
.02381 .08578 m
.02756 .08578 L
s
P
p
.001 w
.02381 .12132 m
.02756 .12132 L
s
P
p
.001 w
.02381 .13908 m
.02756 .13908 L
s
P
p
.001 w
.02381 .15685 m
.02756 .15685 L
s
P
p
.001 w
.02381 .17462 m
.02756 .17462 L
s
P
p
.001 w
.02381 .21015 m
.02756 .21015 L
s
P
p
.001 w
.02381 .22792 m
.02756 .22792 L
s
P
p
.001 w
.02381 .24569 m
.02756 .24569 L
s
P
p
.001 w
.02381 .26345 m
.02756 .26345 L
s
P
p
.001 w
.02381 .29899 m
.02756 .29899 L
s
P
p
.001 w
.02381 .31676 m
.02756 .31676 L
s
P
p
.001 w
.02381 .33452 m
.02756 .33452 L
s
P
p
.001 w
.02381 .35229 m
.02756 .35229 L
s
P
p
.001 w
.02381 .38782 m
.02756 .38782 L
s
P
p
.001 w
.02381 .40559 m
.02756 .40559 L
s
P
p
.001 w
.02381 .42336 m
.02756 .42336 L
s
P
p
.001 w
.02381 .44112 m
.02756 .44112 L
s
P
p
.001 w
.02381 .47666 m
.02756 .47666 L
s
P
p
.001 w
.02381 .49443 m
.02756 .49443 L
s
P
p
.001 w
.02381 .51219 m
.02756 .51219 L
s
P
p
.001 w
.02381 .52996 m
.02756 .52996 L
s
P
p
.001 w
.02381 .56549 m
.02756 .56549 L
s
P
p
.001 w
.02381 .58326 m
.02756 .58326 L
s
P
p
.001 w
.02381 .60103 m
.02756 .60103 L
s
P
p
.002 w
.02381 0 m
.02381 .61803 L
s
P
P
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
p
p
.015 w
.02381 .01472 Mdot
.07143 .01472 Mdot
.11905 .03286 Mdot
.16667 .09109 Mdot
.21429 .19114 Mdot
.2619 .31822 Mdot
.30952 .4471 Mdot
.35714 .54979 Mdot
.40476 .60332 Mdot
.45238 .59589 Mdot
.5 .53013 Mdot
.54762 .42261 Mdot
.59524 .29995 Mdot
.64286 .19236 Mdot
.69048 .12629 Mdot
.7381 .11798 Mdot
.78571 .16951 Mdot
.83333 .26828 Mdot
.88095 .39013 Mdot
.92857 .50523 Mdot
.97619 .5854 Mdot
P
P
p
.004 w
.02381 .01472 m
.02505 .01472 L
.02629 .01472 L
.02753 .01472 L
.02877 .01472 L
.03001 .01473 L
.03125 .01474 L
.03249 .01476 L
.03373 .01478 L
.03497 .01481 L
.03621 .01484 L
.03869 .01493 L
.04117 .01506 L
.04365 .01522 L
.04613 .01543 L
.04861 .01569 L
.05357 .01638 L
.05853 .01732 L
.06349 .01855 L
.06845 .0201 L
.07341 .02199 L
.08333 .02692 L
.09325 .0335 L
.10317 .04187 L
.12302 .0643 L
.14286 .09452 L
.18254 .17665 L
.22222 .28022 L
.2619 .39148 L
.30159 .49401 L
.32143 .53695 L
.34127 .57199 L
.36111 .59775 L
.37103 .60682 L
.37599 .61036 L
.38095 .61322 L
.38343 .61439 L
.38591 .6154 L
.38839 .61623 L
.39087 .61689 L
.39211 .61716 L
.39335 .61738 L
.39459 .61756 L
.39583 .61769 L
.39707 .61779 L
.39831 .61783 L
.39955 .61784 L
.40079 .6178 L
.40203 .61772 L
.40327 .6176 L
Mistroke
.40575 .61723 L
.40699 .61697 L
.40823 .61668 L
.41071 .61596 L
.41567 .61401 L
.42063 .61138 L
.43056 .60413 L
.44048 .59429 L
.46032 .5673 L
.48016 .53162 L
.5 .48883 L
.53968 .38963 L
.57937 .2868 L
.59921 .23961 L
.61905 .19804 L
.63889 .16387 L
.64881 .15004 L
.65873 .13859 L
.66865 .12964 L
.67361 .12614 L
.67857 .1233 L
.68105 .12213 L
.68353 .12113 L
.68601 .1203 L
.68849 .11963 L
.68973 .11936 L
.69097 .11914 L
.69221 .11895 L
.69345 .11881 L
.69469 .11871 L
.69593 .11866 L
.69717 .11864 L
.69841 .11867 L
.69965 .11874 L
.70089 .11886 L
.70337 .11921 L
.70461 .11945 L
.70585 .11974 L
.70833 .12043 L
.71329 .12233 L
.71825 .1249 L
.72817 .13202 L
.7381 .14172 L
.75794 .1684 L
.77778 .2038 L
.81746 .29431 L
.85714 .39777 L
.89683 .49647 L
.91667 .53865 L
.93651 .57354 L
Mistroke
.94643 .58776 L
.95635 .59963 L
.96627 .609 L
.97619 .61578 L
Mfstroke
P
% End of Graphics
MathPictureEnd

:[font = output; output; inactive; preserveAspect; endGroup]
Graphics["<<>>"]
;[o]
-Graphics-
:[font = subsubsection; inactive; Cclosed; preserveAspect; startGroup]
The Conversion Methods
:[font = input; Cclosed; preserveAspect; startGroup]
ToDiscreteTime[tf, Sampled->Period[T],
 Method->ForwardRectangularRule]
:[font = output; output; inactive; preserveAspect; endGroup]
TransferFunction[s, {{(a*T)/(-1 + s + a*T)}}, 
 
  Sampled -> Period[T]]
;[o]
                          a T
TransferFunction[s, {{------------}}, Sampled -> Period[T]]
                      -1 + s + a T
:[font = input; Cclosed; preserveAspect; startGroup]
ToDiscreteTime[tf, Sampled->Period[T],
 Method->BackwardRectangularRule]
:[font = output; output; inactive; preserveAspect; endGroup]
TransferFunction[s, {{(a*s*T)/(-1 + s + a*s*T)}}, 
 
  Sampled -> Period[T]]
;[o]
                          a s T
TransferFunction[s, {{--------------}}, 
                      -1 + s + a s T
 
  Sampled -> Period[T]]
:[font = input; Cclosed; preserveAspect; startGroup]
ToDiscreteTime[tf, Sampled->Period[T],
 Method->BilinearTransform
] //Simplify
:[font = output; output; inactive; preserveAspect; endGroup]
TransferFunction[s, {{(a*(1 + s)*T)/
 
     (-2 + 2*s + a*T + a*s*T)}}, Sampled -> Period[T]]
;[o]
                           a (1 + s) T
TransferFunction[s, {{----------------------}}, 
                      -2 + 2 s + a T + a s T
 
  Sampled -> Period[T]]
:[font = input; Cclosed; preserveAspect; startGroup]
ToDiscreteTime[tf, Sampled->Period[T],
 Method->ZeroPoleMapping]
:[font = output; output; inactive; preserveAspect; endGroup]
TransferFunction[s, {{(1 - E^(-(a*T)))/(-E^(-(a*T)) + s)}}, 
 
  Sampled -> Period[T]]
;[o]
                           -(a T)
                      1 - E
TransferFunction[s, {{------------}}, Sampled -> Period[T]]
                        -(a T)
                      -E       + s
:[font = input; Cclosed; preserveAspect; startGroup]
ToDiscreteTime[
 TransferFunction[s, 1/s^2],
 Sampled->Period[T],
 Method->FirstOrderHold
]//Simplify
:[font = output; output; inactive; preserveAspect; endGroup]
TransferFunction[s, {{((1 + 4*s + s^2)*T^2)/
 
     (6*(-1 + s)^2)}}, Sampled -> Period[T]]
;[o]
                                  2   2
                      (1 + 4 s + s ) T
TransferFunction[s, {{-----------------}}, 
                                   2
                         6 (-1 + s)
 
  Sampled -> Period[T]]
:[font = input; Cclosed; preserveAspect; startGroup]
lag = TransferFunction[s, (a s + 1)/(b s + 1)]
:[font = output; output; inactive; preserveAspect; endGroup]
TransferFunction[s, {{(1 + a*s)/(1 + b*s)}}]
;[o]
                      1 + a s
TransferFunction[s, {{-------}}]
                      1 + b s
:[font = input; Cclosed; preserveAspect; startGroup]
lagplot = BodePlot[lag/.{a->1, b->5}];
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 221; pictureHeight = 287; endGroup]
%!
%%Creator: Mathematica
%%AspectRatio: 1.29787 
MathPictureStart
%% Graphics
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.952381 0.0309017 0.952381 [
[ 0 0 0 0 ]
[ 1 1.29787 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
[ ] 0 setdash
0 g
p
P
0 0 m
1 0 L
1 1.29787 L
0 1.29787 L
closepath
clip
newpath
p
p
% Start of sub-graphic
p
0.0238095 0.0309017 0.97619 0.619505 MathSubStart
%% Graphics
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.65873 0.31746 0.637418 0.0148941 [
[(0.01)] .02381 0 0 2 0 Minner Mrotsboxa
[(0.05)] .2457 0 0 2 0 Minner Mrotsboxa
[(0.1)] .34127 0 0 2 0 Minner Mrotsboxa
[(0.5)] .56317 0 0 2 0 Minner Mrotsboxa
[(1)] .65873 0 0 2 0 Minner Mrotsboxa
[(5)] .88063 0 0 2 0 Minner Mrotsboxa
[(10.)] .97619 0 0 2 0 Minner Mrotsboxa
[(Frequency \(Rad/Second\))] .5 0 0 2 0 0 -1 Mouter Mrotsboxa
[(-40)] -0.0125 .04165 1 0 0 Minner Mrotsboxa
[(-30)] -0.0125 .19059 1 0 0 Minner Mrotsboxa
[(-20)] -0.0125 .33954 1 0 0 Minner Mrotsboxa
[(-10)] -0.0125 .48848 1 0 0 Minner Mrotsboxa
[(Phase \(deg\))] -0.0125 .30902 1 0 90 -1 0 Mouter Mrotsboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 .61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
[ ] 0 setdash
p
p
0 0 .5 r
.001 w
.02381 0 m
.02381 .61803 L
s
P
p
0 0 .5 r
.001 w
.2457 0 m
.2457 .61803 L
s
P
p
0 0 .5 r
.001 w
.34127 0 m
.34127 .61803 L
s
P
p
0 0 .5 r
.001 w
.56317 0 m
.56317 .61803 L
s
P
p
0 0 .5 r
.001 w
.65873 0 m
.65873 .61803 L
s
P
p
0 0 .5 r
.001 w
.88063 0 m
.88063 .61803 L
s
P
p
0 0 .5 r
.001 w
.97619 0 m
.97619 .61803 L
s
P
p
0 0 .5 r
.001 w
.11937 0 m
.11937 .61803 L
s
P
p
0 0 .5 r
.001 w
.17528 0 m
.17528 .61803 L
s
P
p
0 0 .5 r
.001 w
.21494 0 m
.21494 .61803 L
s
P
p
0 0 .5 r
.001 w
.27084 0 m
.27084 .61803 L
s
P
p
0 0 .5 r
.001 w
.29209 0 m
.29209 .61803 L
s
P
p
0 0 .5 r
.001 w
.3105 0 m
.3105 .61803 L
s
P
p
0 0 .5 r
.001 w
.32674 0 m
.32674 .61803 L
s
P
p
0 0 .5 r
.001 w
.43683 0 m
.43683 .61803 L
s
P
p
0 0 .5 r
.001 w
.49274 0 m
.49274 .61803 L
s
P
p
0 0 .5 r
.001 w
.5324 0 m
.5324 .61803 L
s
P
p
0 0 .5 r
.001 w
.5883 0 m
.5883 .61803 L
s
P
p
0 0 .5 r
.001 w
.60955 0 m
.60955 .61803 L
s
P
p
0 0 .5 r
.001 w
.62797 0 m
.62797 .61803 L
s
P
p
0 0 .5 r
.001 w
.6442 0 m
.6442 .61803 L
s
P
p
0 0 .5 r
.001 w
.7543 0 m
.7543 .61803 L
s
P
p
0 0 .5 r
.001 w
.8102 0 m
.8102 .61803 L
s
P
p
0 0 .5 r
.001 w
.84986 0 m
.84986 .61803 L
s
P
p
0 0 .5 r
.001 w
.90576 0 m
.90576 .61803 L
s
P
p
0 0 .5 r
.001 w
.92702 0 m
.92702 .61803 L
s
P
p
0 0 .5 r
.001 w
.94543 0 m
.94543 .61803 L
s
P
p
0 0 .5 r
.001 w
.96166 0 m
.96166 .61803 L
s
P
p
0 0 .5 r
.001 w
0 .04165 m
1 .04165 L
s
P
p
0 0 .5 r
.001 w
0 .19059 m
1 .19059 L
s
P
p
0 0 .5 r
.001 w
0 .33954 m
1 .33954 L
s
P
p
0 0 .5 r
.001 w
0 .48848 m
1 .48848 L
s
P
p
.002 w
.02381 0 m
.02381 .00625 L
s
P
[(0.01)] .02381 0 0 2 0 Minner Mrotshowa
p
.002 w
.2457 0 m
.2457 .00625 L
s
P
[(0.05)] .2457 0 0 2 0 Minner Mrotshowa
p
.002 w
.34127 0 m
.34127 .00625 L
s
P
[(0.1)] .34127 0 0 2 0 Minner Mrotshowa
p
.002 w
.56317 0 m
.56317 .00625 L
s
P
[(0.5)] .56317 0 0 2 0 Minner Mrotshowa
p
.002 w
.65873 0 m
.65873 .00625 L
s
P
[(1)] .65873 0 0 2 0 Minner Mrotshowa
p
.002 w
.88063 0 m
.88063 .00625 L
s
P
[(5)] .88063 0 0 2 0 Minner Mrotshowa
p
.002 w
.97619 0 m
.97619 .00625 L
s
P
[(10.)] .97619 0 0 2 0 Minner Mrotshowa
p
.001 w
.11937 0 m
.11937 .00375 L
s
P
p
.001 w
.17528 0 m
.17528 .00375 L
s
P
p
.001 w
.21494 0 m
.21494 .00375 L
s
P
p
.001 w
.27084 0 m
.27084 .00375 L
s
P
p
.001 w
.29209 0 m
.29209 .00375 L
s
P
p
.001 w
.3105 0 m
.3105 .00375 L
s
P
p
.001 w
.32674 0 m
.32674 .00375 L
s
P
p
.001 w
.43683 0 m
.43683 .00375 L
s
P
p
.001 w
.49274 0 m
.49274 .00375 L
s
P
p
.001 w
.5324 0 m
.5324 .00375 L
s
P
p
.001 w
.5883 0 m
.5883 .00375 L
s
P
p
.001 w
.60955 0 m
.60955 .00375 L
s
P
p
.001 w
.62797 0 m
.62797 .00375 L
s
P
p
.001 w
.6442 0 m
.6442 .00375 L
s
P
p
.001 w
.7543 0 m
.7543 .00375 L
s
P
p
.001 w
.8102 0 m
.8102 .00375 L
s
P
p
.001 w
.84986 0 m
.84986 .00375 L
s
P
p
.001 w
.90576 0 m
.90576 .00375 L
s
P
p
.001 w
.92702 0 m
.92702 .00375 L
s
P
p
.001 w
.94543 0 m
.94543 .00375 L
s
P
p
.001 w
.96166 0 m
.96166 .00375 L
s
P
[(Frequency \(Rad/Second\))] .5 0 0 2 0 0 -1 Mouter Mrotshowa
p
.002 w
0 0 m
1 0 L
s
P
p
.002 w
0 .04165 m
.00625 .04165 L
s
P
[(-40)] -0.0125 .04165 1 0 0 Minner Mrotshowa
p
.002 w
0 .19059 m
.00625 .19059 L
s
P
[(-30)] -0.0125 .19059 1 0 0 Minner Mrotshowa
p
.002 w
0 .33954 m
.00625 .33954 L
s
P
[(-20)] -0.0125 .33954 1 0 0 Minner Mrotshowa
p
.002 w
0 .48848 m
.00625 .48848 L
s
P
[(-10)] -0.0125 .48848 1 0 0 Minner Mrotshowa
p
.001 w
0 .07144 m
.00375 .07144 L
s
P
p
.001 w
0 .10123 m
.00375 .10123 L
s
P
p
.001 w
0 .13102 m
.00375 .13102 L
s
P
p
.001 w
0 .16081 m
.00375 .16081 L
s
P
p
.001 w
0 .22038 m
.00375 .22038 L
s
P
p
.001 w
0 .25017 m
.00375 .25017 L
s
P
p
.001 w
0 .27996 m
.00375 .27996 L
s
P
p
.001 w
0 .30975 m
.00375 .30975 L
s
P
p
.001 w
0 .36932 m
.00375 .36932 L
s
P
p
.001 w
0 .39911 m
.00375 .39911 L
s
P
p
.001 w
0 .4289 m
.00375 .4289 L
s
P
p
.001 w
0 .45869 m
.00375 .45869 L
s
P
p
.001 w
0 .01187 m
.00375 .01187 L
s
P
p
.001 w
0 .51827 m
.00375 .51827 L
s
P
p
.001 w
0 .54805 m
.00375 .54805 L
s
P
p
.001 w
0 .57784 m
.00375 .57784 L
s
P
p
.001 w
0 .60763 m
.00375 .60763 L
s
P
[(Phase \(deg\))] -0.0125 .30902 1 0 90 -1 0 Mouter Mrotshowa
p
.002 w
0 0 m
0 .61803 L
s
P
P
p
p
.002 w
.02381 .61178 m
.02381 .61803 L
s
P
p
.002 w
.2457 .61178 m
.2457 .61803 L
s
P
p
.002 w
.34127 .61178 m
.34127 .61803 L
s
P
p
.002 w
.56317 .61178 m
.56317 .61803 L
s
P
p
.002 w
.65873 .61178 m
.65873 .61803 L
s
P
p
.002 w
.88063 .61178 m
.88063 .61803 L
s
P
p
.002 w
.97619 .61178 m
.97619 .61803 L
s
P
p
.001 w
.11937 .61428 m
.11937 .61803 L
s
P
p
.001 w
.17528 .61428 m
.17528 .61803 L
s
P
p
.001 w
.21494 .61428 m
.21494 .61803 L
s
P
p
.001 w
.27084 .61428 m
.27084 .61803 L
s
P
p
.001 w
.29209 .61428 m
.29209 .61803 L
s
P
p
.001 w
.3105 .61428 m
.3105 .61803 L
s
P
p
.001 w
.32674 .61428 m
.32674 .61803 L
s
P
p
.001 w
.43683 .61428 m
.43683 .61803 L
s
P
p
.001 w
.49274 .61428 m
.49274 .61803 L
s
P
p
.001 w
.5324 .61428 m
.5324 .61803 L
s
P
p
.001 w
.5883 .61428 m
.5883 .61803 L
s
P
p
.001 w
.60955 .61428 m
.60955 .61803 L
s
P
p
.001 w
.62797 .61428 m
.62797 .61803 L
s
P
p
.001 w
.6442 .61428 m
.6442 .61803 L
s
P
p
.001 w
.7543 .61428 m
.7543 .61803 L
s
P
p
.001 w
.8102 .61428 m
.8102 .61803 L
s
P
p
.001 w
.84986 .61428 m
.84986 .61803 L
s
P
p
.001 w
.90576 .61428 m
.90576 .61803 L
s
P
p
.001 w
.92702 .61428 m
.92702 .61803 L
s
P
p
.001 w
.94543 .61428 m
.94543 .61803 L
s
P
p
.001 w
.96166 .61428 m
.96166 .61803 L
s
P
p
.002 w
0 .61803 m
1 .61803 L
s
P
p
.002 w
.99375 .04165 m
1 .04165 L
s
P
p
.002 w
.99375 .19059 m
1 .19059 L
s
P
p
.002 w
.99375 .33954 m
1 .33954 L
s
P
p
.002 w
.99375 .48848 m
1 .48848 L
s
P
p
.001 w
.99625 .07144 m
1 .07144 L
s
P
p
.001 w
.99625 .10123 m
1 .10123 L
s
P
p
.001 w
.99625 .13102 m
1 .13102 L
s
P
p
.001 w
.99625 .16081 m
1 .16081 L
s
P
p
.001 w
.99625 .22038 m
1 .22038 L
s
P
p
.001 w
.99625 .25017 m
1 .25017 L
s
P
p
.001 w
.99625 .27996 m
1 .27996 L
s
P
p
.001 w
.99625 .30975 m
1 .30975 L
s
P
p
.001 w
.99625 .36932 m
1 .36932 L
s
P
p
.001 w
.99625 .39911 m
1 .39911 L
s
P
p
.001 w
.99625 .4289 m
1 .4289 L
s
P
p
.001 w
.99625 .45869 m
1 .45869 L
s
P
p
.001 w
.99625 .01187 m
1 .01187 L
s
P
p
.001 w
.99625 .51827 m
1 .51827 L
s
P
p
.001 w
.99625 .54805 m
1 .54805 L
s
P
p
.001 w
.99625 .57784 m
1 .57784 L
s
P
p
.001 w
.99625 .60763 m
1 .60763 L
s
P
p
.002 w
1 0 m
1 .61803 L
s
P
P
p
P
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.004 w
.02381 .60332 m
.05665 .59417 L
.08949 .5826 L
.12233 .56797 L
.15517 .54952 L
.18801 .52634 L
.22085 .4974 L
.25369 .4616 L
.28654 .41796 L
.31938 .36596 L
.35222 .30605 L
.38506 .24029 L
.4179 .1729 L
.45074 .11002 L
.48358 .05876 L
.51642 .02555 L
.54926 .01472 L
.5821 .02767 L
.61494 .06272 L
.64778 .11531 L
.68062 .17888 L
.71346 .24636 L
.74631 .31173 L
.77915 .37098 L
.81199 .42223 L
.84483 .46513 L
.87767 .50027 L
.91051 .52865 L
.94335 .55136 L
.97619 .56943 L
s
MathSubEnd
P
% End of sub-graphic
P
p
% Start of sub-graphic
p
0.0238095 0.678366 0.97619 1.26697 MathSubStart
%% Graphics
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.65873 0.31746 0.603319 0.0422304 [
[(0.01)] .02381 0 0 2 0 Minner Mrotsboxa
[(0.05)] .2457 0 0 2 0 Minner Mrotsboxa
[(0.1)] .34127 0 0 2 0 Minner Mrotsboxa
[(0.5)] .56317 0 0 2 0 Minner Mrotsboxa
[(1)] .65873 0 0 2 0 Minner Mrotsboxa
[(5)] .88063 0 0 2 0 Minner Mrotsboxa
[(10.)] .97619 0 0 2 0 Minner Mrotsboxa
[(Frequency \(Rad/Second\))] .5 0 0 2 0 0 -1 Mouter Mrotsboxa
[(-14)] -0.0125 .01209 1 0 0 Minner Mrotsboxa
[(-12)] -0.0125 .09655 1 0 0 Minner Mrotsboxa
[(-10)] -0.0125 .18102 1 0 0 Minner Mrotsboxa
[(-8)] -0.0125 .26548 1 0 0 Minner Mrotsboxa
[(-6)] -0.0125 .34994 1 0 0 Minner Mrotsboxa
[(-4)] -0.0125 .4344 1 0 0 Minner Mrotsboxa
[(-2)] -0.0125 .51886 1 0 0 Minner Mrotsboxa
[(0)] -0.0125 .60332 1 0 0 Minner Mrotsboxa
[(Magnitude \(dB\))] -0.0125 .30902 1 0 90 -1 0 Mouter Mrotsboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 .61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
[ ] 0 setdash
p
p
0 0 .5 r
.001 w
.02381 0 m
.02381 .61803 L
s
P
p
0 0 .5 r
.001 w
.2457 0 m
.2457 .61803 L
s
P
p
0 0 .5 r
.001 w
.34127 0 m
.34127 .61803 L
s
P
p
0 0 .5 r
.001 w
.56317 0 m
.56317 .61803 L
s
P
p
0 0 .5 r
.001 w
.65873 0 m
.65873 .61803 L
s
P
p
0 0 .5 r
.001 w
.88063 0 m
.88063 .61803 L
s
P
p
0 0 .5 r
.001 w
.97619 0 m
.97619 .61803 L
s
P
p
0 0 .5 r
.001 w
.11937 0 m
.11937 .61803 L
s
P
p
0 0 .5 r
.001 w
.17528 0 m
.17528 .61803 L
s
P
p
0 0 .5 r
.001 w
.21494 0 m
.21494 .61803 L
s
P
p
0 0 .5 r
.001 w
.27084 0 m
.27084 .61803 L
s
P
p
0 0 .5 r
.001 w
.29209 0 m
.29209 .61803 L
s
P
p
0 0 .5 r
.001 w
.3105 0 m
.3105 .61803 L
s
P
p
0 0 .5 r
.001 w
.32674 0 m
.32674 .61803 L
s
P
p
0 0 .5 r
.001 w
.43683 0 m
.43683 .61803 L
s
P
p
0 0 .5 r
.001 w
.49274 0 m
.49274 .61803 L
s
P
p
0 0 .5 r
.001 w
.5324 0 m
.5324 .61803 L
s
P
p
0 0 .5 r
.001 w
.5883 0 m
.5883 .61803 L
s
P
p
0 0 .5 r
.001 w
.60955 0 m
.60955 .61803 L
s
P
p
0 0 .5 r
.001 w
.62797 0 m
.62797 .61803 L
s
P
p
0 0 .5 r
.001 w
.6442 0 m
.6442 .61803 L
s
P
p
0 0 .5 r
.001 w
.7543 0 m
.7543 .61803 L
s
P
p
0 0 .5 r
.001 w
.8102 0 m
.8102 .61803 L
s
P
p
0 0 .5 r
.001 w
.84986 0 m
.84986 .61803 L
s
P
p
0 0 .5 r
.001 w
.90576 0 m
.90576 .61803 L
s
P
p
0 0 .5 r
.001 w
.92702 0 m
.92702 .61803 L
s
P
p
0 0 .5 r
.001 w
.94543 0 m
.94543 .61803 L
s
P
p
0 0 .5 r
.001 w
.96166 0 m
.96166 .61803 L
s
P
p
0 0 .5 r
.001 w
0 .09655 m
1 .09655 L
s
P
p
0 0 .5 r
.001 w
0 .18102 m
1 .18102 L
s
P
p
0 0 .5 r
.001 w
0 .26548 m
1 .26548 L
s
P
p
0 0 .5 r
.001 w
0 .34994 m
1 .34994 L
s
P
p
0 0 .5 r
.001 w
0 .4344 m
1 .4344 L
s
P
p
0 0 .5 r
.001 w
0 .51886 m
1 .51886 L
s
P
p
.002 w
.02381 0 m
.02381 .00625 L
s
P
[(0.01)] .02381 0 0 2 0 Minner Mrotshowa
p
.002 w
.2457 0 m
.2457 .00625 L
s
P
[(0.05)] .2457 0 0 2 0 Minner Mrotshowa
p
.002 w
.34127 0 m
.34127 .00625 L
s
P
[(0.1)] .34127 0 0 2 0 Minner Mrotshowa
p
.002 w
.56317 0 m
.56317 .00625 L
s
P
[(0.5)] .56317 0 0 2 0 Minner Mrotshowa
p
.002 w
.65873 0 m
.65873 .00625 L
s
P
[(1)] .65873 0 0 2 0 Minner Mrotshowa
p
.002 w
.88063 0 m
.88063 .00625 L
s
P
[(5)] .88063 0 0 2 0 Minner Mrotshowa
p
.002 w
.97619 0 m
.97619 .00625 L
s
P
[(10.)] .97619 0 0 2 0 Minner Mrotshowa
p
.001 w
.11937 0 m
.11937 .00375 L
s
P
p
.001 w
.17528 0 m
.17528 .00375 L
s
P
p
.001 w
.21494 0 m
.21494 .00375 L
s
P
p
.001 w
.27084 0 m
.27084 .00375 L
s
P
p
.001 w
.29209 0 m
.29209 .00375 L
s
P
p
.001 w
.3105 0 m
.3105 .00375 L
s
P
p
.001 w
.32674 0 m
.32674 .00375 L
s
P
p
.001 w
.43683 0 m
.43683 .00375 L
s
P
p
.001 w
.49274 0 m
.49274 .00375 L
s
P
p
.001 w
.5324 0 m
.5324 .00375 L
s
P
p
.001 w
.5883 0 m
.5883 .00375 L
s
P
p
.001 w
.60955 0 m
.60955 .00375 L
s
P
p
.001 w
.62797 0 m
.62797 .00375 L
s
P
p
.001 w
.6442 0 m
.6442 .00375 L
s
P
p
.001 w
.7543 0 m
.7543 .00375 L
s
P
p
.001 w
.8102 0 m
.8102 .00375 L
s
P
p
.001 w
.84986 0 m
.84986 .00375 L
s
P
p
.001 w
.90576 0 m
.90576 .00375 L
s
P
p
.001 w
.92702 0 m
.92702 .00375 L
s
P
p
.001 w
.94543 0 m
.94543 .00375 L
s
P
p
.001 w
.96166 0 m
.96166 .00375 L
s
P
[(Frequency \(Rad/Second\))] .5 0 0 2 0 0 -1 Mouter Mrotshowa
p
.002 w
0 0 m
1 0 L
s
P
p
.002 w
0 .01209 m
.00625 .01209 L
s
P
[(-14)] -0.0125 .01209 1 0 0 Minner Mrotshowa
p
.002 w
0 .09655 m
.00625 .09655 L
s
P
[(-12)] -0.0125 .09655 1 0 0 Minner Mrotshowa
p
.002 w
0 .18102 m
.00625 .18102 L
s
P
[(-10)] -0.0125 .18102 1 0 0 Minner Mrotshowa
p
.002 w
0 .26548 m
.00625 .26548 L
s
P
[(-8)] -0.0125 .26548 1 0 0 Minner Mrotshowa
p
.002 w
0 .34994 m
.00625 .34994 L
s
P
[(-6)] -0.0125 .34994 1 0 0 Minner Mrotshowa
p
.002 w
0 .4344 m
.00625 .4344 L
s
P
[(-4)] -0.0125 .4344 1 0 0 Minner Mrotshowa
p
.002 w
0 .51886 m
.00625 .51886 L
s
P
[(-2)] -0.0125 .51886 1 0 0 Minner Mrotshowa
p
.002 w
0 .60332 m
.00625 .60332 L
s
P
[(0)] -0.0125 .60332 1 0 0 Minner Mrotshowa
p
.001 w
0 .02899 m
.00375 .02899 L
s
P
p
.001 w
0 .04588 m
.00375 .04588 L
s
P
p
.001 w
0 .06277 m
.00375 .06277 L
s
P
p
.001 w
0 .07966 m
.00375 .07966 L
s
P
p
.001 w
0 .11345 m
.00375 .11345 L
s
P
p
.001 w
0 .13034 m
.00375 .13034 L
s
P
p
.001 w
0 .14723 m
.00375 .14723 L
s
P
p
.001 w
0 .16412 m
.00375 .16412 L
s
P
p
.001 w
0 .19791 m
.00375 .19791 L
s
P
p
.001 w
0 .2148 m
.00375 .2148 L
s
P
p
.001 w
0 .23169 m
.00375 .23169 L
s
P
p
.001 w
0 .24858 m
.00375 .24858 L
s
P
p
.001 w
0 .28237 m
.00375 .28237 L
s
P
p
.001 w
0 .29926 m
.00375 .29926 L
s
P
p
.001 w
0 .31615 m
.00375 .31615 L
s
P
p
.001 w
0 .33304 m
.00375 .33304 L
s
P
p
.001 w
0 .36683 m
.00375 .36683 L
s
P
p
.001 w
0 .38372 m
.00375 .38372 L
s
P
p
.001 w
0 .40061 m
.00375 .40061 L
s
P
p
.001 w
0 .41751 m
.00375 .41751 L
s
P
p
.001 w
0 .45129 m
.00375 .45129 L
s
P
p
.001 w
0 .46818 m
.00375 .46818 L
s
P
p
.001 w
0 .48507 m
.00375 .48507 L
s
P
p
.001 w
0 .50197 m
.00375 .50197 L
s
P
p
.001 w
0 .53575 m
.00375 .53575 L
s
P
p
.001 w
0 .55264 m
.00375 .55264 L
s
P
p
.001 w
0 .56953 m
.00375 .56953 L
s
P
p
.001 w
0 .58643 m
.00375 .58643 L
s
P
[(Magnitude \(dB\))] -0.0125 .30902 1 0 90 -1 0 Mouter Mrotshowa
p
.002 w
0 0 m
0 .61803 L
s
P
P
p
p
.002 w
.02381 .61178 m
.02381 .61803 L
s
P
p
.002 w
.2457 .61178 m
.2457 .61803 L
s
P
p
.002 w
.34127 .61178 m
.34127 .61803 L
s
P
p
.002 w
.56317 .61178 m
.56317 .61803 L
s
P
p
.002 w
.65873 .61178 m
.65873 .61803 L
s
P
p
.002 w
.88063 .61178 m
.88063 .61803 L
s
P
p
.002 w
.97619 .61178 m
.97619 .61803 L
s
P
p
.001 w
.11937 .61428 m
.11937 .61803 L
s
P
p
.001 w
.17528 .61428 m
.17528 .61803 L
s
P
p
.001 w
.21494 .61428 m
.21494 .61803 L
s
P
p
.001 w
.27084 .61428 m
.27084 .61803 L
s
P
p
.001 w
.29209 .61428 m
.29209 .61803 L
s
P
p
.001 w
.3105 .61428 m
.3105 .61803 L
s
P
p
.001 w
.32674 .61428 m
.32674 .61803 L
s
P
p
.001 w
.43683 .61428 m
.43683 .61803 L
s
P
p
.001 w
.49274 .61428 m
.49274 .61803 L
s
P
p
.001 w
.5324 .61428 m
.5324 .61803 L
s
P
p
.001 w
.5883 .61428 m
.5883 .61803 L
s
P
p
.001 w
.60955 .61428 m
.60955 .61803 L
s
P
p
.001 w
.62797 .61428 m
.62797 .61803 L
s
P
p
.001 w
.6442 .61428 m
.6442 .61803 L
s
P
p
.001 w
.7543 .61428 m
.7543 .61803 L
s
P
p
.001 w
.8102 .61428 m
.8102 .61803 L
s
P
p
.001 w
.84986 .61428 m
.84986 .61803 L
s
P
p
.001 w
.90576 .61428 m
.90576 .61803 L
s
P
p
.001 w
.92702 .61428 m
.92702 .61803 L
s
P
p
.001 w
.94543 .61428 m
.94543 .61803 L
s
P
p
.001 w
.96166 .61428 m
.96166 .61803 L
s
P
p
.002 w
0 .61803 m
1 .61803 L
s
P
p
.002 w
.99375 .01209 m
1 .01209 L
s
P
p
.002 w
.99375 .09655 m
1 .09655 L
s
P
p
.002 w
.99375 .18102 m
1 .18102 L
s
P
p
.002 w
.99375 .26548 m
1 .26548 L
s
P
p
.002 w
.99375 .34994 m
1 .34994 L
s
P
p
.002 w
.99375 .4344 m
1 .4344 L
s
P
p
.002 w
.99375 .51886 m
1 .51886 L
s
P
p
.002 w
.99375 .60332 m
1 .60332 L
s
P
p
.001 w
.99625 .02899 m
1 .02899 L
s
P
p
.001 w
.99625 .04588 m
1 .04588 L
s
P
p
.001 w
.99625 .06277 m
1 .06277 L
s
P
p
.001 w
.99625 .07966 m
1 .07966 L
s
P
p
.001 w
.99625 .11345 m
1 .11345 L
s
P
p
.001 w
.99625 .13034 m
1 .13034 L
s
P
p
.001 w
.99625 .14723 m
1 .14723 L
s
P
p
.001 w
.99625 .16412 m
1 .16412 L
s
P
p
.001 w
.99625 .19791 m
1 .19791 L
s
P
p
.001 w
.99625 .2148 m
1 .2148 L
s
P
p
.001 w
.99625 .23169 m
1 .23169 L
s
P
p
.001 w
.99625 .24858 m
1 .24858 L
s
P
p
.001 w
.99625 .28237 m
1 .28237 L
s
P
p
.001 w
.99625 .29926 m
1 .29926 L
s
P
p
.001 w
.99625 .31615 m
1 .31615 L
s
P
p
.001 w
.99625 .33304 m
1 .33304 L
s
P
p
.001 w
.99625 .36683 m
1 .36683 L
s
P
p
.001 w
.99625 .38372 m
1 .38372 L
s
P
p
.001 w
.99625 .40061 m
1 .40061 L
s
P
p
.001 w
.99625 .41751 m
1 .41751 L
s
P
p
.001 w
.99625 .45129 m
1 .45129 L
s
P
p
.001 w
.99625 .46818 m
1 .46818 L
s
P
p
.001 w
.99625 .48507 m
1 .48507 L
s
P
p
.001 w
.99625 .50197 m
1 .50197 L
s
P
p
.001 w
.99625 .53575 m
1 .53575 L
s
P
p
.001 w
.99625 .55264 m
1 .55264 L
s
P
p
.001 w
.99625 .56953 m
1 .56953 L
s
P
p
.001 w
.99625 .58643 m
1 .58643 L
s
P
p
.002 w
1 0 m
1 .61803 L
s
P
P
p
P
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.004 w
.02381 .60288 m
.05665 .60261 L
.08949 .60218 L
.12233 .60149 L
.15517 .60039 L
.18801 .59862 L
.22085 .59581 L
.25369 .59139 L
.28654 .58451 L
.31938 .57399 L
.35222 .55832 L
.38506 .53586 L
.4179 .50515 L
.45074 .46553 L
.48358 .41758 L
.51642 .36324 L
.54926 .30552 L
.5821 .24796 L
.61494 .19409 L
.64778 .14683 L
.68062 .108 L
.71346 .07808 L
.74631 .05629 L
.77915 .04116 L
.81199 .03102 L
.84483 .02441 L
.87767 .02016 L
.91051 .01747 L
.94335 .01578 L
.97619 .01472 L
s
MathSubEnd
P
% End of sub-graphic
P
P
% End of Graphics
MathPictureEnd

:[font = input; Cclosed; preserveAspect; startGroup]
dlag = ToDiscreteTime[lag, Sampled->Period[T],
 Method->BilinearTransform
] //Simplify
:[font = output; output; inactive; preserveAspect; endGroup]
TransferFunction[s, {{(-2*a + 2*a*s + T + s*T)/
 
     (-2*b + 2*b*s + T + s*T)}}, Sampled -> Period[T]]
;[o]
                      -2 a + 2 a s + T + s T
TransferFunction[s, {{----------------------}}, 
                      -2 b + 2 b s + T + s T
 
  Sampled -> Period[T]]
:[font = input; Cclosed; preserveAspect; startGroup]
DisplayTogetherGraphicsArray[
 lagplot,
 BodePlot[dlag /. {a->1, b->5, T->1},
 PlotStyle -> {
 RGBColor[1, 0, 0],
 Dashing[{.02}]
 }
 ]
]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 221; pictureHeight = 287]
%!
%%Creator: Mathematica
%%AspectRatio: 1.29787 
MathPictureStart
%% Graphics
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.952381 0.0309017 0.952381 [
[ 0 0 0 0 ]
[ 1 1.29787 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
[ ] 0 setdash
0 g
p
P
0 0 m
1 0 L
1 1.29787 L
0 1.29787 L
closepath
clip
newpath
p
p
% Start of sub-graphic
p
0.0238095 0.0309017 0.97619 0.619505 MathSubStart
%% Graphics
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.65873 0.31746 0.637418 0.0148941 [
[(0.01)] .02381 0 0 2 0 Minner Mrotsboxa
[(0.05)] .2457 0 0 2 0 Minner Mrotsboxa
[(0.1)] .34127 0 0 2 0 Minner Mrotsboxa
[(0.5)] .56317 0 0 2 0 Minner Mrotsboxa
[(1)] .65873 0 0 2 0 Minner Mrotsboxa
[(5)] .88063 0 0 2 0 Minner Mrotsboxa
[(10.)] .97619 0 0 2 0 Minner Mrotsboxa
[(Frequency \(Rad/Second\))] .5 0 0 2 0 0 -1 Mouter Mrotsboxa
[(-40)] -0.0125 .04165 1 0 0 Minner Mrotsboxa
[(-30)] -0.0125 .19059 1 0 0 Minner Mrotsboxa
[(-20)] -0.0125 .33954 1 0 0 Minner Mrotsboxa
[(-10)] -0.0125 .48848 1 0 0 Minner Mrotsboxa
[(Phase \(deg\))] -0.0125 .30902 1 0 90 -1 0 Mouter Mrotsboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 .61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
[ ] 0 setdash
p
p
0 0 .5 r
.001 w
.02381 0 m
.02381 .61803 L
s
P
p
0 0 .5 r
.001 w
.2457 0 m
.2457 .61803 L
s
P
p
0 0 .5 r
.001 w
.34127 0 m
.34127 .61803 L
s
P
p
0 0 .5 r
.001 w
.56317 0 m
.56317 .61803 L
s
P
p
0 0 .5 r
.001 w
.65873 0 m
.65873 .61803 L
s
P
p
0 0 .5 r
.001 w
.88063 0 m
.88063 .61803 L
s
P
p
0 0 .5 r
.001 w
.97619 0 m
.97619 .61803 L
s
P
p
0 0 .5 r
.001 w
.11937 0 m
.11937 .61803 L
s
P
p
0 0 .5 r
.001 w
.17528 0 m
.17528 .61803 L
s
P
p
0 0 .5 r
.001 w
.21494 0 m
.21494 .61803 L
s
P
p
0 0 .5 r
.001 w
.27084 0 m
.27084 .61803 L
s
P
p
0 0 .5 r
.001 w
.29209 0 m
.29209 .61803 L
s
P
p
0 0 .5 r
.001 w
.3105 0 m
.3105 .61803 L
s
P
p
0 0 .5 r
.001 w
.32674 0 m
.32674 .61803 L
s
P
p
0 0 .5 r
.001 w
.43683 0 m
.43683 .61803 L
s
P
p
0 0 .5 r
.001 w
.49274 0 m
.49274 .61803 L
s
P
p
0 0 .5 r
.001 w
.5324 0 m
.5324 .61803 L
s
P
p
0 0 .5 r
.001 w
.5883 0 m
.5883 .61803 L
s
P
p
0 0 .5 r
.001 w
.60955 0 m
.60955 .61803 L
s
P
p
0 0 .5 r
.001 w
.62797 0 m
.62797 .61803 L
s
P
p
0 0 .5 r
.001 w
.6442 0 m
.6442 .61803 L
s
P
p
0 0 .5 r
.001 w
.7543 0 m
.7543 .61803 L
s
P
p
0 0 .5 r
.001 w
.8102 0 m
.8102 .61803 L
s
P
p
0 0 .5 r
.001 w
.84986 0 m
.84986 .61803 L
s
P
p
0 0 .5 r
.001 w
.90576 0 m
.90576 .61803 L
s
P
p
0 0 .5 r
.001 w
.92702 0 m
.92702 .61803 L
s
P
p
0 0 .5 r
.001 w
.94543 0 m
.94543 .61803 L
s
P
p
0 0 .5 r
.001 w
.96166 0 m
.96166 .61803 L
s
P
p
0 0 .5 r
.001 w
0 .04165 m
1 .04165 L
s
P
p
0 0 .5 r
.001 w
0 .19059 m
1 .19059 L
s
P
p
0 0 .5 r
.001 w
0 .33954 m
1 .33954 L
s
P
p
0 0 .5 r
.001 w
0 .48848 m
1 .48848 L
s
P
p
.002 w
.02381 0 m
.02381 .00625 L
s
P
[(0.01)] .02381 0 0 2 0 Minner Mrotshowa
p
.002 w
.2457 0 m
.2457 .00625 L
s
P
[(0.05)] .2457 0 0 2 0 Minner Mrotshowa
p
.002 w
.34127 0 m
.34127 .00625 L
s
P
[(0.1)] .34127 0 0 2 0 Minner Mrotshowa
p
.002 w
.56317 0 m
.56317 .00625 L
s
P
[(0.5)] .56317 0 0 2 0 Minner Mrotshowa
p
.002 w
.65873 0 m
.65873 .00625 L
s
P
[(1)] .65873 0 0 2 0 Minner Mrotshowa
p
.002 w
.88063 0 m
.88063 .00625 L
s
P
[(5)] .88063 0 0 2 0 Minner Mrotshowa
p
.002 w
.97619 0 m
.97619 .00625 L
s
P
[(10.)] .97619 0 0 2 0 Minner Mrotshowa
p
.001 w
.11937 0 m
.11937 .00375 L
s
P
p
.001 w
.17528 0 m
.17528 .00375 L
s
P
p
.001 w
.21494 0 m
.21494 .00375 L
s
P
p
.001 w
.27084 0 m
.27084 .00375 L
s
P
p
.001 w
.29209 0 m
.29209 .00375 L
s
P
p
.001 w
.3105 0 m
.3105 .00375 L
s
P
p
.001 w
.32674 0 m
.32674 .00375 L
s
P
p
.001 w
.43683 0 m
.43683 .00375 L
s
P
p
.001 w
.49274 0 m
.49274 .00375 L
s
P
p
.001 w
.5324 0 m
.5324 .00375 L
s
P
p
.001 w
.5883 0 m
.5883 .00375 L
s
P
p
.001 w
.60955 0 m
.60955 .00375 L
s
P
p
.001 w
.62797 0 m
.62797 .00375 L
s
P
p
.001 w
.6442 0 m
.6442 .00375 L
s
P
p
.001 w
.7543 0 m
.7543 .00375 L
s
P
p
.001 w
.8102 0 m
.8102 .00375 L
s
P
p
.001 w
.84986 0 m
.84986 .00375 L
s
P
p
.001 w
.90576 0 m
.90576 .00375 L
s
P
p
.001 w
.92702 0 m
.92702 .00375 L
s
P
p
.001 w
.94543 0 m
.94543 .00375 L
s
P
p
.001 w
.96166 0 m
.96166 .00375 L
s
P
[(Frequency \(Rad/Second\))] .5 0 0 2 0 0 -1 Mouter Mrotshowa
p
.002 w
0 0 m
1 0 L
s
P
p
.002 w
0 .04165 m
.00625 .04165 L
s
P
[(-40)] -0.0125 .04165 1 0 0 Minner Mrotshowa
p
.002 w
0 .19059 m
.00625 .19059 L
s
P
[(-30)] -0.0125 .19059 1 0 0 Minner Mrotshowa
p
.002 w
0 .33954 m
.00625 .33954 L
s
P
[(-20)] -0.0125 .33954 1 0 0 Minner Mrotshowa
p
.002 w
0 .48848 m
.00625 .48848 L
s
P
[(-10)] -0.0125 .48848 1 0 0 Minner Mrotshowa
p
.001 w
0 .07144 m
.00375 .07144 L
s
P
p
.001 w
0 .10123 m
.00375 .10123 L
s
P
p
.001 w
0 .13102 m
.00375 .13102 L
s
P
p
.001 w
0 .16081 m
.00375 .16081 L
s
P
p
.001 w
0 .22038 m
.00375 .22038 L
s
P
p
.001 w
0 .25017 m
.00375 .25017 L
s
P
p
.001 w
0 .27996 m
.00375 .27996 L
s
P
p
.001 w
0 .30975 m
.00375 .30975 L
s
P
p
.001 w
0 .36932 m
.00375 .36932 L
s
P
p
.001 w
0 .39911 m
.00375 .39911 L
s
P
p
.001 w
0 .4289 m
.00375 .4289 L
s
P
p
.001 w
0 .45869 m
.00375 .45869 L
s
P
p
.001 w
0 .01187 m
.00375 .01187 L
s
P
p
.001 w
0 .51827 m
.00375 .51827 L
s
P
p
.001 w
0 .54805 m
.00375 .54805 L
s
P
p
.001 w
0 .57784 m
.00375 .57784 L
s
P
p
.001 w
0 .60763 m
.00375 .60763 L
s
P
[(Phase \(deg\))] -0.0125 .30902 1 0 90 -1 0 Mouter Mrotshowa
p
.002 w
0 0 m
0 .61803 L
s
P
P
p
p
.002 w
.02381 .61178 m
.02381 .61803 L
s
P
p
.002 w
.2457 .61178 m
.2457 .61803 L
s
P
p
.002 w
.34127 .61178 m
.34127 .61803 L
s
P
p
.002 w
.56317 .61178 m
.56317 .61803 L
s
P
p
.002 w
.65873 .61178 m
.65873 .61803 L
s
P
p
.002 w
.88063 .61178 m
.88063 .61803 L
s
P
p
.002 w
.97619 .61178 m
.97619 .61803 L
s
P
p
.001 w
.11937 .61428 m
.11937 .61803 L
s
P
p
.001 w
.17528 .61428 m
.17528 .61803 L
s
P
p
.001 w
.21494 .61428 m
.21494 .61803 L
s
P
p
.001 w
.27084 .61428 m
.27084 .61803 L
s
P
p
.001 w
.29209 .61428 m
.29209 .61803 L
s
P
p
.001 w
.3105 .61428 m
.3105 .61803 L
s
P
p
.001 w
.32674 .61428 m
.32674 .61803 L
s
P
p
.001 w
.43683 .61428 m
.43683 .61803 L
s
P
p
.001 w
.49274 .61428 m
.49274 .61803 L
s
P
p
.001 w
.5324 .61428 m
.5324 .61803 L
s
P
p
.001 w
.5883 .61428 m
.5883 .61803 L
s
P
p
.001 w
.60955 .61428 m
.60955 .61803 L
s
P
p
.001 w
.62797 .61428 m
.62797 .61803 L
s
P
p
.001 w
.6442 .61428 m
.6442 .61803 L
s
P
p
.001 w
.7543 .61428 m
.7543 .61803 L
s
P
p
.001 w
.8102 .61428 m
.8102 .61803 L
s
P
p
.001 w
.84986 .61428 m
.84986 .61803 L
s
P
p
.001 w
.90576 .61428 m
.90576 .61803 L
s
P
p
.001 w
.92702 .61428 m
.92702 .61803 L
s
P
p
.001 w
.94543 .61428 m
.94543 .61803 L
s
P
p
.001 w
.96166 .61428 m
.96166 .61803 L
s
P
p
.002 w
0 .61803 m
1 .61803 L
s
P
p
.002 w
.99375 .04165 m
1 .04165 L
s
P
p
.002 w
.99375 .19059 m
1 .19059 L
s
P
p
.002 w
.99375 .33954 m
1 .33954 L
s
P
p
.002 w
.99375 .48848 m
1 .48848 L
s
P
p
.001 w
.99625 .07144 m
1 .07144 L
s
P
p
.001 w
.99625 .10123 m
1 .10123 L
s
P
p
.001 w
.99625 .13102 m
1 .13102 L
s
P
p
.001 w
.99625 .16081 m
1 .16081 L
s
P
p
.001 w
.99625 .22038 m
1 .22038 L
s
P
p
.001 w
.99625 .25017 m
1 .25017 L
s
P
p
.001 w
.99625 .27996 m
1 .27996 L
s
P
p
.001 w
.99625 .30975 m
1 .30975 L
s
P
p
.001 w
.99625 .36932 m
1 .36932 L
s
P
p
.001 w
.99625 .39911 m
1 .39911 L
s
P
p
.001 w
.99625 .4289 m
1 .4289 L
s
P
p
.001 w
.99625 .45869 m
1 .45869 L
s
P
p
.001 w
.99625 .01187 m
1 .01187 L
s
P
p
.001 w
.99625 .51827 m
1 .51827 L
s
P
p
.001 w
.99625 .54805 m
1 .54805 L
s
P
p
.001 w
.99625 .57784 m
1 .57784 L
s
P
p
.001 w
.99625 .60763 m
1 .60763 L
s
P
p
.002 w
1 0 m
1 .61803 L
s
P
P
p
P
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
p
.004 w
.02381 .60332 m
.05665 .59417 L
.08949 .5826 L
.12233 .56797 L
.15517 .54952 L
.18801 .52634 L
.22085 .4974 L
.25369 .4616 L
.28654 .41796 L
.31938 .36596 L
.35222 .30605 L
.38506 .24029 L
.4179 .1729 L
.45074 .11002 L
.48358 .05876 L
.51642 .02555 L
.54926 .01472 L
.5821 .02767 L
.61494 .06272 L
.64778 .11531 L
.68062 .17888 L
.71346 .24636 L
.74631 .31173 L
.77915 .37098 L
.81199 .42223 L
.84483 .46513 L
.87767 .50027 L
.91051 .52865 L
.94335 .55136 L
.97619 .56943 L
s
p
1 0 0 r
[ .02 ] 0 setdash
.02381 .60332 m
.05115 .59586 L
.07848 .58679 L
.10582 .57575 L
.13315 .56235 L
.16049 .54611 L
.18783 .52648 L
.21516 .50286 L
.2425 .47461 L
.26983 .44112 L
.29717 .40195 L
.32451 .35693 L
.35184 .30651 L
.37918 .25193 L
.40651 .19548 L
.43385 .1405 L
.46119 .09103 L
.48852 .05128 L
.51586 .02495 L
.54319 .01476 L
.57053 .02218 L
.59787 .04735 L
.6252 .08909 L
.65254 .14508 L
.67988 .21217 L
.70721 .28703 L
.73455 .36696 L
.76188 .45066 L
.78922 .53918 L
s
.81116 .61803 m
.78922 .53918 L
s
s
P
P
MathSubEnd
P
% End of sub-graphic
P
p
% Start of sub-graphic
p
0.0238095 0.678366 0.97619 1.26697 MathSubStart
%% Graphics
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.65873 0.31746 0.603319 0.0422304 [
[(0.01)] .02381 0 0 2 0 Minner Mrotsboxa
[(0.05)] .2457 0 0 2 0 Minner Mrotsboxa
[(0.1)] .34127 0 0 2 0 Minner Mrotsboxa
[(0.5)] .56317 0 0 2 0 Minner Mrotsboxa
[(1)] .65873 0 0 2 0 Minner Mrotsboxa
[(5)] .88063 0 0 2 0 Minner Mrotsboxa
[(10.)] .97619 0 0 2 0 Minner Mrotsboxa
[(Frequency \(Rad/Second\))] .5 0 0 2 0 0 -1 Mouter Mrotsboxa
[(-14)] -0.0125 .01209 1 0 0 Minner Mrotsboxa
[(-12)] -0.0125 .09655 1 0 0 Minner Mrotsboxa
[(-10)] -0.0125 .18102 1 0 0 Minner Mrotsboxa
[(-8)] -0.0125 .26548 1 0 0 Minner Mrotsboxa
[(-6)] -0.0125 .34994 1 0 0 Minner Mrotsboxa
[(-4)] -0.0125 .4344 1 0 0 Minner Mrotsboxa
[(-2)] -0.0125 .51886 1 0 0 Minner Mrotsboxa
[(0)] -0.0125 .60332 1 0 0 Minner Mrotsboxa
[(Magnitude \(dB\))] -0.0125 .30902 1 0 90 -1 0 Mouter Mrotsboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 .61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
[ ] 0 setdash
p
p
0 0 .5 r
.001 w
.02381 0 m
.02381 .61803 L
s
P
p
0 0 .5 r
.001 w
.2457 0 m
.2457 .61803 L
s
P
p
0 0 .5 r
.001 w
.34127 0 m
.34127 .61803 L
s
P
p
0 0 .5 r
.001 w
.56317 0 m
.56317 .61803 L
s
P
p
0 0 .5 r
.001 w
.65873 0 m
.65873 .61803 L
s
P
p
0 0 .5 r
.001 w
.88063 0 m
.88063 .61803 L
s
P
p
0 0 .5 r
.001 w
.97619 0 m
.97619 .61803 L
s
P
p
0 0 .5 r
.001 w
.11937 0 m
.11937 .61803 L
s
P
p
0 0 .5 r
.001 w
.17528 0 m
.17528 .61803 L
s
P
p
0 0 .5 r
.001 w
.21494 0 m
.21494 .61803 L
s
P
p
0 0 .5 r
.001 w
.27084 0 m
.27084 .61803 L
s
P
p
0 0 .5 r
.001 w
.29209 0 m
.29209 .61803 L
s
P
p
0 0 .5 r
.001 w
.3105 0 m
.3105 .61803 L
s
P
p
0 0 .5 r
.001 w
.32674 0 m
.32674 .61803 L
s
P
p
0 0 .5 r
.001 w
.43683 0 m
.43683 .61803 L
s
P
p
0 0 .5 r
.001 w
.49274 0 m
.49274 .61803 L
s
P
p
0 0 .5 r
.001 w
.5324 0 m
.5324 .61803 L
s
P
p
0 0 .5 r
.001 w
.5883 0 m
.5883 .61803 L
s
P
p
0 0 .5 r
.001 w
.60955 0 m
.60955 .61803 L
s
P
p
0 0 .5 r
.001 w
.62797 0 m
.62797 .61803 L
s
P
p
0 0 .5 r
.001 w
.6442 0 m
.6442 .61803 L
s
P
p
0 0 .5 r
.001 w
.7543 0 m
.7543 .61803 L
s
P
p
0 0 .5 r
.001 w
.8102 0 m
.8102 .61803 L
s
P
p
0 0 .5 r
.001 w
.84986 0 m
.84986 .61803 L
s
P
p
0 0 .5 r
.001 w
.90576 0 m
.90576 .61803 L
s
P
p
0 0 .5 r
.001 w
.92702 0 m
.92702 .61803 L
s
P
p
0 0 .5 r
.001 w
.94543 0 m
.94543 .61803 L
s
P
p
0 0 .5 r
.001 w
.96166 0 m
.96166 .61803 L
s
P
p
0 0 .5 r
.001 w
0 .09655 m
1 .09655 L
s
P
p
0 0 .5 r
.001 w
0 .18102 m
1 .18102 L
s
P
p
0 0 .5 r
.001 w
0 .26548 m
1 .26548 L
s
P
p
0 0 .5 r
.001 w
0 .34994 m
1 .34994 L
s
P
p
0 0 .5 r
.001 w
0 .4344 m
1 .4344 L
s
P
p
0 0 .5 r
.001 w
0 .51886 m
1 .51886 L
s
P
p
.002 w
.02381 0 m
.02381 .00625 L
s
P
[(0.01)] .02381 0 0 2 0 Minner Mrotshowa
p
.002 w
.2457 0 m
.2457 .00625 L
s
P
[(0.05)] .2457 0 0 2 0 Minner Mrotshowa
p
.002 w
.34127 0 m
.34127 .00625 L
s
P
[(0.1)] .34127 0 0 2 0 Minner Mrotshowa
p
.002 w
.56317 0 m
.56317 .00625 L
s
P
[(0.5)] .56317 0 0 2 0 Minner Mrotshowa
p
.002 w
.65873 0 m
.65873 .00625 L
s
P
[(1)] .65873 0 0 2 0 Minner Mrotshowa
p
.002 w
.88063 0 m
.88063 .00625 L
s
P
[(5)] .88063 0 0 2 0 Minner Mrotshowa
p
.002 w
.97619 0 m
.97619 .00625 L
s
P
[(10.)] .97619 0 0 2 0 Minner Mrotshowa
p
.001 w
.11937 0 m
.11937 .00375 L
s
P
p
.001 w
.17528 0 m
.17528 .00375 L
s
P
p
.001 w
.21494 0 m
.21494 .00375 L
s
P
p
.001 w
.27084 0 m
.27084 .00375 L
s
P
p
.001 w
.29209 0 m
.29209 .00375 L
s
P
p
.001 w
.3105 0 m
.3105 .00375 L
s
P
p
.001 w
.32674 0 m
.32674 .00375 L
s
P
p
.001 w
.43683 0 m
.43683 .00375 L
s
P
p
.001 w
.49274 0 m
.49274 .00375 L
s
P
p
.001 w
.5324 0 m
.5324 .00375 L
s
P
p
.001 w
.5883 0 m
.5883 .00375 L
s
P
p
.001 w
.60955 0 m
.60955 .00375 L
s
P
p
.001 w
.62797 0 m
.62797 .00375 L
s
P
p
.001 w
.6442 0 m
.6442 .00375 L
s
P
p
.001 w
.7543 0 m
.7543 .00375 L
s
P
p
.001 w
.8102 0 m
.8102 .00375 L
s
P
p
.001 w
.84986 0 m
.84986 .00375 L
s
P
p
.001 w
.90576 0 m
.90576 .00375 L
s
P
p
.001 w
.92702 0 m
.92702 .00375 L
s
P
p
.001 w
.94543 0 m
.94543 .00375 L
s
P
p
.001 w
.96166 0 m
.96166 .00375 L
s
P
[(Frequency \(Rad/Second\))] .5 0 0 2 0 0 -1 Mouter Mrotshowa
p
.002 w
0 0 m
1 0 L
s
P
p
.002 w
0 .01209 m
.00625 .01209 L
s
P
[(-14)] -0.0125 .01209 1 0 0 Minner Mrotshowa
p
.002 w
0 .09655 m
.00625 .09655 L
s
P
[(-12)] -0.0125 .09655 1 0 0 Minner Mrotshowa
p
.002 w
0 .18102 m
.00625 .18102 L
s
P
[(-10)] -0.0125 .18102 1 0 0 Minner Mrotshowa
p
.002 w
0 .26548 m
.00625 .26548 L
s
P
[(-8)] -0.0125 .26548 1 0 0 Minner Mrotshowa
p
.002 w
0 .34994 m
.00625 .34994 L
s
P
[(-6)] -0.0125 .34994 1 0 0 Minner Mrotshowa
p
.002 w
0 .4344 m
.00625 .4344 L
s
P
[(-4)] -0.0125 .4344 1 0 0 Minner Mrotshowa
p
.002 w
0 .51886 m
.00625 .51886 L
s
P
[(-2)] -0.0125 .51886 1 0 0 Minner Mrotshowa
p
.002 w
0 .60332 m
.00625 .60332 L
s
P
[(0)] -0.0125 .60332 1 0 0 Minner Mrotshowa
p
.001 w
0 .02899 m
.00375 .02899 L
s
P
p
.001 w
0 .04588 m
.00375 .04588 L
s
P
p
.001 w
0 .06277 m
.00375 .06277 L
s
P
p
.001 w
0 .07966 m
.00375 .07966 L
s
P
p
.001 w
0 .11345 m
.00375 .11345 L
s
P
p
.001 w
0 .13034 m
.00375 .13034 L
s
P
p
.001 w
0 .14723 m
.00375 .14723 L
s
P
p
.001 w
0 .16412 m
.00375 .16412 L
s
P
p
.001 w
0 .19791 m
.00375 .19791 L
s
P
p
.001 w
0 .2148 m
.00375 .2148 L
s
P
p
.001 w
0 .23169 m
.00375 .23169 L
s
P
p
.001 w
0 .24858 m
.00375 .24858 L
s
P
p
.001 w
0 .28237 m
.00375 .28237 L
s
P
p
.001 w
0 .29926 m
.00375 .29926 L
s
P
p
.001 w
0 .31615 m
.00375 .31615 L
s
P
p
.001 w
0 .33304 m
.00375 .33304 L
s
P
p
.001 w
0 .36683 m
.00375 .36683 L
s
P
p
.001 w
0 .38372 m
.00375 .38372 L
s
P
p
.001 w
0 .40061 m
.00375 .40061 L
s
P
p
.001 w
0 .41751 m
.00375 .41751 L
s
P
p
.001 w
0 .45129 m
.00375 .45129 L
s
P
p
.001 w
0 .46818 m
.00375 .46818 L
s
P
p
.001 w
0 .48507 m
.00375 .48507 L
s
P
p
.001 w
0 .50197 m
.00375 .50197 L
s
P
p
.001 w
0 .53575 m
.00375 .53575 L
s
P
p
.001 w
0 .55264 m
.00375 .55264 L
s
P
p
.001 w
0 .56953 m
.00375 .56953 L
s
P
p
.001 w
0 .58643 m
.00375 .58643 L
s
P
[(Magnitude \(dB\))] -0.0125 .30902 1 0 90 -1 0 Mouter Mrotshowa
p
.002 w
0 0 m
0 .61803 L
s
P
P
p
p
.002 w
.02381 .61178 m
.02381 .61803 L
s
P
p
.002 w
.2457 .61178 m
.2457 .61803 L
s
P
p
.002 w
.34127 .61178 m
.34127 .61803 L
s
P
p
.002 w
.56317 .61178 m
.56317 .61803 L
s
P
p
.002 w
.65873 .61178 m
.65873 .61803 L
s
P
p
.002 w
.88063 .61178 m
.88063 .61803 L
s
P
p
.002 w
.97619 .61178 m
.97619 .61803 L
s
P
p
.001 w
.11937 .61428 m
.11937 .61803 L
s
P
p
.001 w
.17528 .61428 m
.17528 .61803 L
s
P
p
.001 w
.21494 .61428 m
.21494 .61803 L
s
P
p
.001 w
.27084 .61428 m
.27084 .61803 L
s
P
p
.001 w
.29209 .61428 m
.29209 .61803 L
s
P
p
.001 w
.3105 .61428 m
.3105 .61803 L
s
P
p
.001 w
.32674 .61428 m
.32674 .61803 L
s
P
p
.001 w
.43683 .61428 m
.43683 .61803 L
s
P
p
.001 w
.49274 .61428 m
.49274 .61803 L
s
P
p
.001 w
.5324 .61428 m
.5324 .61803 L
s
P
p
.001 w
.5883 .61428 m
.5883 .61803 L
s
P
p
.001 w
.60955 .61428 m
.60955 .61803 L
s
P
p
.001 w
.62797 .61428 m
.62797 .61803 L
s
P
p
.001 w
.6442 .61428 m
.6442 .61803 L
s
P
p
.001 w
.7543 .61428 m
.7543 .61803 L
s
P
p
.001 w
.8102 .61428 m
.8102 .61803 L
s
P
p
.001 w
.84986 .61428 m
.84986 .61803 L
s
P
p
.001 w
.90576 .61428 m
.90576 .61803 L
s
P
p
.001 w
.92702 .61428 m
.92702 .61803 L
s
P
p
.001 w
.94543 .61428 m
.94543 .61803 L
s
P
p
.001 w
.96166 .61428 m
.96166 .61803 L
s
P
p
.002 w
0 .61803 m
1 .61803 L
s
P
p
.002 w
.99375 .01209 m
1 .01209 L
s
P
p
.002 w
.99375 .09655 m
1 .09655 L
s
P
p
.002 w
.99375 .18102 m
1 .18102 L
s
P
p
.002 w
.99375 .26548 m
1 .26548 L
s
P
p
.002 w
.99375 .34994 m
1 .34994 L
s
P
p
.002 w
.99375 .4344 m
1 .4344 L
s
P
p
.002 w
.99375 .51886 m
1 .51886 L
s
P
p
.002 w
.99375 .60332 m
1 .60332 L
s
P
p
.001 w
.99625 .02899 m
1 .02899 L
s
P
p
.001 w
.99625 .04588 m
1 .04588 L
s
P
p
.001 w
.99625 .06277 m
1 .06277 L
s
P
p
.001 w
.99625 .07966 m
1 .07966 L
s
P
p
.001 w
.99625 .11345 m
1 .11345 L
s
P
p
.001 w
.99625 .13034 m
1 .13034 L
s
P
p
.001 w
.99625 .14723 m
1 .14723 L
s
P
p
.001 w
.99625 .16412 m
1 .16412 L
s
P
p
.001 w
.99625 .19791 m
1 .19791 L
s
P
p
.001 w
.99625 .2148 m
1 .2148 L
s
P
p
.001 w
.99625 .23169 m
1 .23169 L
s
P
p
.001 w
.99625 .24858 m
1 .24858 L
s
P
p
.001 w
.99625 .28237 m
1 .28237 L
s
P
p
.001 w
.99625 .29926 m
1 .29926 L
s
P
p
.001 w
.99625 .31615 m
1 .31615 L
s
P
p
.001 w
.99625 .33304 m
1 .33304 L
s
P
p
.001 w
.99625 .36683 m
1 .36683 L
s
P
p
.001 w
.99625 .38372 m
1 .38372 L
s
P
p
.001 w
.99625 .40061 m
1 .40061 L
s
P
p
.001 w
.99625 .41751 m
1 .41751 L
s
P
p
.001 w
.99625 .45129 m
1 .45129 L
s
P
p
.001 w
.99625 .46818 m
1 .46818 L
s
P
p
.001 w
.99625 .48507 m
1 .48507 L
s
P
p
.001 w
.99625 .50197 m
1 .50197 L
s
P
p
.001 w
.99625 .53575 m
1 .53575 L
s
P
p
.001 w
.99625 .55264 m
1 .55264 L
s
P
p
.001 w
.99625 .56953 m
1 .56953 L
s
P
p
.001 w
.99625 .58643 m
1 .58643 L
s
P
p
.002 w
1 0 m
1 .61803 L
s
P
P
p
P
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
p
.004 w
.02381 .60288 m
.05665 .60261 L
.08949 .60218 L
.12233 .60149 L
.15517 .60039 L
.18801 .59862 L
.22085 .59581 L
.25369 .59139 L
.28654 .58451 L
.31938 .57399 L
.35222 .55832 L
.38506 .53586 L
.4179 .50515 L
.45074 .46553 L
.48358 .41758 L
.51642 .36324 L
.54926 .30552 L
.5821 .24796 L
.61494 .19409 L
.64778 .14683 L
.68062 .108 L
.71346 .07808 L
.74631 .05629 L
.77915 .04116 L
.81199 .03102 L
.84483 .02441 L
.87767 .02016 L
.91051 .01747 L
.94335 .01578 L
.97619 .01472 L
s
p
1 0 0 r
[ .02 ] 0 setdash
.02381 .60288 m
.05115 .60267 L
.07848 .60235 L
.10582 .60188 L
.13315 .60118 L
.16049 .60015 L
.18783 .59863 L
.21516 .5964 L
.2425 .59312 L
.26983 .58837 L
.29717 .58155 L
.32451 .57188 L
.35184 .55846 L
.37918 .5403 L
.40651 .5165 L
.43385 .48648 L
.46119 .45018 L
.48852 .40818 L
.51586 .36169 L
.54319 .31242 L
.57053 .26233 L
.59787 .21348 L
.6252 .1678 L
.65254 .12697 L
.67988 .09212 L
.70721 .06383 L
.73455 .04207 L
.76188 .02646 L
.78922 .01663 L
.81656 .01296 L
s
P
P
MathSubEnd
P
% End of sub-graphic
P
P
% End of Graphics
MathPictureEnd

:[font = output; output; inactive; preserveAspect; endGroup]
GraphicsArray["<<>>"]
;[o]
-GraphicsArray-
:[font = input; Cclosed; preserveAspect; startGroup]
ToDiscreteTime[lag,
 Sampled -> Period[T],
 Method -> BilinearTransform,
 CriticalFrequency -> wc
] //Simplify
:[font = output; output; inactive; preserveAspect; endGroup]
TransferFunction[s, {{(-(a*wc) + a*s*wc + Tan[(T*wc)/2] + 
 
       s*Tan[(T*wc)/2])/
 
     (-(b*wc) + b*s*wc + Tan[(T*wc)/2] + s*Tan[(T*wc)/2])}}\
 
   , Sampled -> Period[T]]
;[o]
TransferFunction[s, {{
 
                            T wc          T wc
     -(a wc) + a s wc + Tan[----] + s Tan[----]
                             2             2
     ------------------------------------------}}, 
                            T wc          T wc
     -(b wc) + b s wc + Tan[----] + s Tan[----]
                             2             2
 
  Sampled -> Period[T]]
:[font = input; Cclosed; preserveAspect; startGroup]
DisplayTogetherGraphicsArray[
 lagplot,
 BodePlot[%/.{a->1, b->5, T->1, wc->2},
 PlotStyle -> {
 RGBColor[1, 0, 0],
 Dashing[{.02}]
 }
 ]
]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 221; pictureHeight = 287]
%!
%%Creator: Mathematica
%%AspectRatio: 1.29787 
MathPictureStart
%% Graphics
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.952381 0.0309017 0.952381 [
[ 0 0 0 0 ]
[ 1 1.29787 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
[ ] 0 setdash
0 g
p
P
0 0 m
1 0 L
1 1.29787 L
0 1.29787 L
closepath
clip
newpath
p
p
% Start of sub-graphic
p
0.0238095 0.0309017 0.97619 0.619505 MathSubStart
%% Graphics
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.65873 0.31746 0.637418 0.0148941 [
[(0.01)] .02381 0 0 2 0 Minner Mrotsboxa
[(0.05)] .2457 0 0 2 0 Minner Mrotsboxa
[(0.1)] .34127 0 0 2 0 Minner Mrotsboxa
[(0.5)] .56317 0 0 2 0 Minner Mrotsboxa
[(1)] .65873 0 0 2 0 Minner Mrotsboxa
[(5)] .88063 0 0 2 0 Minner Mrotsboxa
[(10.)] .97619 0 0 2 0 Minner Mrotsboxa
[(Frequency \(Rad/Second\))] .5 0 0 2 0 0 -1 Mouter Mrotsboxa
[(-40)] -0.0125 .04165 1 0 0 Minner Mrotsboxa
[(-30)] -0.0125 .19059 1 0 0 Minner Mrotsboxa
[(-20)] -0.0125 .33954 1 0 0 Minner Mrotsboxa
[(-10)] -0.0125 .48848 1 0 0 Minner Mrotsboxa
[(Phase \(deg\))] -0.0125 .30902 1 0 90 -1 0 Mouter Mrotsboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 .61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
[ ] 0 setdash
p
p
0 0 .5 r
.001 w
.02381 0 m
.02381 .61803 L
s
P
p
0 0 .5 r
.001 w
.2457 0 m
.2457 .61803 L
s
P
p
0 0 .5 r
.001 w
.34127 0 m
.34127 .61803 L
s
P
p
0 0 .5 r
.001 w
.56317 0 m
.56317 .61803 L
s
P
p
0 0 .5 r
.001 w
.65873 0 m
.65873 .61803 L
s
P
p
0 0 .5 r
.001 w
.88063 0 m
.88063 .61803 L
s
P
p
0 0 .5 r
.001 w
.97619 0 m
.97619 .61803 L
s
P
p
0 0 .5 r
.001 w
.11937 0 m
.11937 .61803 L
s
P
p
0 0 .5 r
.001 w
.17528 0 m
.17528 .61803 L
s
P
p
0 0 .5 r
.001 w
.21494 0 m
.21494 .61803 L
s
P
p
0 0 .5 r
.001 w
.27084 0 m
.27084 .61803 L
s
P
p
0 0 .5 r
.001 w
.29209 0 m
.29209 .61803 L
s
P
p
0 0 .5 r
.001 w
.3105 0 m
.3105 .61803 L
s
P
p
0 0 .5 r
.001 w
.32674 0 m
.32674 .61803 L
s
P
p
0 0 .5 r
.001 w
.43683 0 m
.43683 .61803 L
s
P
p
0 0 .5 r
.001 w
.49274 0 m
.49274 .61803 L
s
P
p
0 0 .5 r
.001 w
.5324 0 m
.5324 .61803 L
s
P
p
0 0 .5 r
.001 w
.5883 0 m
.5883 .61803 L
s
P
p
0 0 .5 r
.001 w
.60955 0 m
.60955 .61803 L
s
P
p
0 0 .5 r
.001 w
.62797 0 m
.62797 .61803 L
s
P
p
0 0 .5 r
.001 w
.6442 0 m
.6442 .61803 L
s
P
p
0 0 .5 r
.001 w
.7543 0 m
.7543 .61803 L
s
P
p
0 0 .5 r
.001 w
.8102 0 m
.8102 .61803 L
s
P
p
0 0 .5 r
.001 w
.84986 0 m
.84986 .61803 L
s
P
p
0 0 .5 r
.001 w
.90576 0 m
.90576 .61803 L
s
P
p
0 0 .5 r
.001 w
.92702 0 m
.92702 .61803 L
s
P
p
0 0 .5 r
.001 w
.94543 0 m
.94543 .61803 L
s
P
p
0 0 .5 r
.001 w
.96166 0 m
.96166 .61803 L
s
P
p
0 0 .5 r
.001 w
0 .04165 m
1 .04165 L
s
P
p
0 0 .5 r
.001 w
0 .19059 m
1 .19059 L
s
P
p
0 0 .5 r
.001 w
0 .33954 m
1 .33954 L
s
P
p
0 0 .5 r
.001 w
0 .48848 m
1 .48848 L
s
P
p
.002 w
.02381 0 m
.02381 .00625 L
s
P
[(0.01)] .02381 0 0 2 0 Minner Mrotshowa
p
.002 w
.2457 0 m
.2457 .00625 L
s
P
[(0.05)] .2457 0 0 2 0 Minner Mrotshowa
p
.002 w
.34127 0 m
.34127 .00625 L
s
P
[(0.1)] .34127 0 0 2 0 Minner Mrotshowa
p
.002 w
.56317 0 m
.56317 .00625 L
s
P
[(0.5)] .56317 0 0 2 0 Minner Mrotshowa
p
.002 w
.65873 0 m
.65873 .00625 L
s
P
[(1)] .65873 0 0 2 0 Minner Mrotshowa
p
.002 w
.88063 0 m
.88063 .00625 L
s
P
[(5)] .88063 0 0 2 0 Minner Mrotshowa
p
.002 w
.97619 0 m
.97619 .00625 L
s
P
[(10.)] .97619 0 0 2 0 Minner Mrotshowa
p
.001 w
.11937 0 m
.11937 .00375 L
s
P
p
.001 w
.17528 0 m
.17528 .00375 L
s
P
p
.001 w
.21494 0 m
.21494 .00375 L
s
P
p
.001 w
.27084 0 m
.27084 .00375 L
s
P
p
.001 w
.29209 0 m
.29209 .00375 L
s
P
p
.001 w
.3105 0 m
.3105 .00375 L
s
P
p
.001 w
.32674 0 m
.32674 .00375 L
s
P
p
.001 w
.43683 0 m
.43683 .00375 L
s
P
p
.001 w
.49274 0 m
.49274 .00375 L
s
P
p
.001 w
.5324 0 m
.5324 .00375 L
s
P
p
.001 w
.5883 0 m
.5883 .00375 L
s
P
p
.001 w
.60955 0 m
.60955 .00375 L
s
P
p
.001 w
.62797 0 m
.62797 .00375 L
s
P
p
.001 w
.6442 0 m
.6442 .00375 L
s
P
p
.001 w
.7543 0 m
.7543 .00375 L
s
P
p
.001 w
.8102 0 m
.8102 .00375 L
s
P
p
.001 w
.84986 0 m
.84986 .00375 L
s
P
p
.001 w
.90576 0 m
.90576 .00375 L
s
P
p
.001 w
.92702 0 m
.92702 .00375 L
s
P
p
.001 w
.94543 0 m
.94543 .00375 L
s
P
p
.001 w
.96166 0 m
.96166 .00375 L
s
P
[(Frequency \(Rad/Second\))] .5 0 0 2 0 0 -1 Mouter Mrotshowa
p
.002 w
0 0 m
1 0 L
s
P
p
.002 w
0 .04165 m
.00625 .04165 L
s
P
[(-40)] -0.0125 .04165 1 0 0 Minner Mrotshowa
p
.002 w
0 .19059 m
.00625 .19059 L
s
P
[(-30)] -0.0125 .19059 1 0 0 Minner Mrotshowa
p
.002 w
0 .33954 m
.00625 .33954 L
s
P
[(-20)] -0.0125 .33954 1 0 0 Minner Mrotshowa
p
.002 w
0 .48848 m
.00625 .48848 L
s
P
[(-10)] -0.0125 .48848 1 0 0 Minner Mrotshowa
p
.001 w
0 .07144 m
.00375 .07144 L
s
P
p
.001 w
0 .10123 m
.00375 .10123 L
s
P
p
.001 w
0 .13102 m
.00375 .13102 L
s
P
p
.001 w
0 .16081 m
.00375 .16081 L
s
P
p
.001 w
0 .22038 m
.00375 .22038 L
s
P
p
.001 w
0 .25017 m
.00375 .25017 L
s
P
p
.001 w
0 .27996 m
.00375 .27996 L
s
P
p
.001 w
0 .30975 m
.00375 .30975 L
s
P
p
.001 w
0 .36932 m
.00375 .36932 L
s
P
p
.001 w
0 .39911 m
.00375 .39911 L
s
P
p
.001 w
0 .4289 m
.00375 .4289 L
s
P
p
.001 w
0 .45869 m
.00375 .45869 L
s
P
p
.001 w
0 .01187 m
.00375 .01187 L
s
P
p
.001 w
0 .51827 m
.00375 .51827 L
s
P
p
.001 w
0 .54805 m
.00375 .54805 L
s
P
p
.001 w
0 .57784 m
.00375 .57784 L
s
P
p
.001 w
0 .60763 m
.00375 .60763 L
s
P
[(Phase \(deg\))] -0.0125 .30902 1 0 90 -1 0 Mouter Mrotshowa
p
.002 w
0 0 m
0 .61803 L
s
P
P
p
p
.002 w
.02381 .61178 m
.02381 .61803 L
s
P
p
.002 w
.2457 .61178 m
.2457 .61803 L
s
P
p
.002 w
.34127 .61178 m
.34127 .61803 L
s
P
p
.002 w
.56317 .61178 m
.56317 .61803 L
s
P
p
.002 w
.65873 .61178 m
.65873 .61803 L
s
P
p
.002 w
.88063 .61178 m
.88063 .61803 L
s
P
p
.002 w
.97619 .61178 m
.97619 .61803 L
s
P
p
.001 w
.11937 .61428 m
.11937 .61803 L
s
P
p
.001 w
.17528 .61428 m
.17528 .61803 L
s
P
p
.001 w
.21494 .61428 m
.21494 .61803 L
s
P
p
.001 w
.27084 .61428 m
.27084 .61803 L
s
P
p
.001 w
.29209 .61428 m
.29209 .61803 L
s
P
p
.001 w
.3105 .61428 m
.3105 .61803 L
s
P
p
.001 w
.32674 .61428 m
.32674 .61803 L
s
P
p
.001 w
.43683 .61428 m
.43683 .61803 L
s
P
p
.001 w
.49274 .61428 m
.49274 .61803 L
s
P
p
.001 w
.5324 .61428 m
.5324 .61803 L
s
P
p
.001 w
.5883 .61428 m
.5883 .61803 L
s
P
p
.001 w
.60955 .61428 m
.60955 .61803 L
s
P
p
.001 w
.62797 .61428 m
.62797 .61803 L
s
P
p
.001 w
.6442 .61428 m
.6442 .61803 L
s
P
p
.001 w
.7543 .61428 m
.7543 .61803 L
s
P
p
.001 w
.8102 .61428 m
.8102 .61803 L
s
P
p
.001 w
.84986 .61428 m
.84986 .61803 L
s
P
p
.001 w
.90576 .61428 m
.90576 .61803 L
s
P
p
.001 w
.92702 .61428 m
.92702 .61803 L
s
P
p
.001 w
.94543 .61428 m
.94543 .61803 L
s
P
p
.001 w
.96166 .61428 m
.96166 .61803 L
s
P
p
.002 w
0 .61803 m
1 .61803 L
s
P
p
.002 w
.99375 .04165 m
1 .04165 L
s
P
p
.002 w
.99375 .19059 m
1 .19059 L
s
P
p
.002 w
.99375 .33954 m
1 .33954 L
s
P
p
.002 w
.99375 .48848 m
1 .48848 L
s
P
p
.001 w
.99625 .07144 m
1 .07144 L
s
P
p
.001 w
.99625 .10123 m
1 .10123 L
s
P
p
.001 w
.99625 .13102 m
1 .13102 L
s
P
p
.001 w
.99625 .16081 m
1 .16081 L
s
P
p
.001 w
.99625 .22038 m
1 .22038 L
s
P
p
.001 w
.99625 .25017 m
1 .25017 L
s
P
p
.001 w
.99625 .27996 m
1 .27996 L
s
P
p
.001 w
.99625 .30975 m
1 .30975 L
s
P
p
.001 w
.99625 .36932 m
1 .36932 L
s
P
p
.001 w
.99625 .39911 m
1 .39911 L
s
P
p
.001 w
.99625 .4289 m
1 .4289 L
s
P
p
.001 w
.99625 .45869 m
1 .45869 L
s
P
p
.001 w
.99625 .01187 m
1 .01187 L
s
P
p
.001 w
.99625 .51827 m
1 .51827 L
s
P
p
.001 w
.99625 .54805 m
1 .54805 L
s
P
p
.001 w
.99625 .57784 m
1 .57784 L
s
P
p
.001 w
.99625 .60763 m
1 .60763 L
s
P
p
.002 w
1 0 m
1 .61803 L
s
P
P
p
P
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
p
.004 w
.02381 .60332 m
.05665 .59417 L
.08949 .5826 L
.12233 .56797 L
.15517 .54952 L
.18801 .52634 L
.22085 .4974 L
.25369 .4616 L
.28654 .41796 L
.31938 .36596 L
.35222 .30605 L
.38506 .24029 L
.4179 .1729 L
.45074 .11002 L
.48358 .05876 L
.51642 .02555 L
.54926 .01472 L
.5821 .02767 L
.61494 .06272 L
.64778 .11531 L
.68062 .17888 L
.71346 .24636 L
.74631 .31173 L
.77915 .37098 L
.81199 .42223 L
.84483 .46513 L
.87767 .50027 L
.91051 .52865 L
.94335 .55136 L
.97619 .56943 L
s
p
1 0 0 r
[ .02 ] 0 setdash
.02381 .61551 m
.05115 .61071 L
.07848 .60486 L
.10582 .59774 L
.13315 .58907 L
.16049 .57853 L
.18783 .56572 L
.21516 .55019 L
.2425 .5314 L
.26983 .50876 L
.29717 .48164 L
.32451 .4494 L
.35184 .41154 L
.37918 .3678 L
.40651 .31844 L
.43385 .26447 L
.46119 .20793 L
.48852 .15192 L
.51586 .10044 L
.54319 .05783 L
.57053 .02825 L
.59787 .01511 L
.6252 .0209 L
.65254 .04714 L
.67988 .09444 L
.70721 .16261 L
.73455 .25092 L
.76188 .35865 L
.78922 .48626 L
s
.81305 .61803 m
.78922 .48626 L
s
s
P
P
MathSubEnd
P
% End of sub-graphic
P
p
% Start of sub-graphic
p
0.0238095 0.678366 0.97619 1.26697 MathSubStart
%% Graphics
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.65873 0.31746 0.603319 0.0422304 [
[(0.01)] .02381 0 0 2 0 Minner Mrotsboxa
[(0.05)] .2457 0 0 2 0 Minner Mrotsboxa
[(0.1)] .34127 0 0 2 0 Minner Mrotsboxa
[(0.5)] .56317 0 0 2 0 Minner Mrotsboxa
[(1)] .65873 0 0 2 0 Minner Mrotsboxa
[(5)] .88063 0 0 2 0 Minner Mrotsboxa
[(10.)] .97619 0 0 2 0 Minner Mrotsboxa
[(Frequency \(Rad/Second\))] .5 0 0 2 0 0 -1 Mouter Mrotsboxa
[(-14)] -0.0125 .01209 1 0 0 Minner Mrotsboxa
[(-12)] -0.0125 .09655 1 0 0 Minner Mrotsboxa
[(-10)] -0.0125 .18102 1 0 0 Minner Mrotsboxa
[(-8)] -0.0125 .26548 1 0 0 Minner Mrotsboxa
[(-6)] -0.0125 .34994 1 0 0 Minner Mrotsboxa
[(-4)] -0.0125 .4344 1 0 0 Minner Mrotsboxa
[(-2)] -0.0125 .51886 1 0 0 Minner Mrotsboxa
[(0)] -0.0125 .60332 1 0 0 Minner Mrotsboxa
[(Magnitude \(dB\))] -0.0125 .30902 1 0 90 -1 0 Mouter Mrotsboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 .61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
[ ] 0 setdash
p
p
0 0 .5 r
.001 w
.02381 0 m
.02381 .61803 L
s
P
p
0 0 .5 r
.001 w
.2457 0 m
.2457 .61803 L
s
P
p
0 0 .5 r
.001 w
.34127 0 m
.34127 .61803 L
s
P
p
0 0 .5 r
.001 w
.56317 0 m
.56317 .61803 L
s
P
p
0 0 .5 r
.001 w
.65873 0 m
.65873 .61803 L
s
P
p
0 0 .5 r
.001 w
.88063 0 m
.88063 .61803 L
s
P
p
0 0 .5 r
.001 w
.97619 0 m
.97619 .61803 L
s
P
p
0 0 .5 r
.001 w
.11937 0 m
.11937 .61803 L
s
P
p
0 0 .5 r
.001 w
.17528 0 m
.17528 .61803 L
s
P
p
0 0 .5 r
.001 w
.21494 0 m
.21494 .61803 L
s
P
p
0 0 .5 r
.001 w
.27084 0 m
.27084 .61803 L
s
P
p
0 0 .5 r
.001 w
.29209 0 m
.29209 .61803 L
s
P
p
0 0 .5 r
.001 w
.3105 0 m
.3105 .61803 L
s
P
p
0 0 .5 r
.001 w
.32674 0 m
.32674 .61803 L
s
P
p
0 0 .5 r
.001 w
.43683 0 m
.43683 .61803 L
s
P
p
0 0 .5 r
.001 w
.49274 0 m
.49274 .61803 L
s
P
p
0 0 .5 r
.001 w
.5324 0 m
.5324 .61803 L
s
P
p
0 0 .5 r
.001 w
.5883 0 m
.5883 .61803 L
s
P
p
0 0 .5 r
.001 w
.60955 0 m
.60955 .61803 L
s
P
p
0 0 .5 r
.001 w
.62797 0 m
.62797 .61803 L
s
P
p
0 0 .5 r
.001 w
.6442 0 m
.6442 .61803 L
s
P
p
0 0 .5 r
.001 w
.7543 0 m
.7543 .61803 L
s
P
p
0 0 .5 r
.001 w
.8102 0 m
.8102 .61803 L
s
P
p
0 0 .5 r
.001 w
.84986 0 m
.84986 .61803 L
s
P
p
0 0 .5 r
.001 w
.90576 0 m
.90576 .61803 L
s
P
p
0 0 .5 r
.001 w
.92702 0 m
.92702 .61803 L
s
P
p
0 0 .5 r
.001 w
.94543 0 m
.94543 .61803 L
s
P
p
0 0 .5 r
.001 w
.96166 0 m
.96166 .61803 L
s
P
p
0 0 .5 r
.001 w
0 .09655 m
1 .09655 L
s
P
p
0 0 .5 r
.001 w
0 .18102 m
1 .18102 L
s
P
p
0 0 .5 r
.001 w
0 .26548 m
1 .26548 L
s
P
p
0 0 .5 r
.001 w
0 .34994 m
1 .34994 L
s
P
p
0 0 .5 r
.001 w
0 .4344 m
1 .4344 L
s
P
p
0 0 .5 r
.001 w
0 .51886 m
1 .51886 L
s
P
p
.002 w
.02381 0 m
.02381 .00625 L
s
P
[(0.01)] .02381 0 0 2 0 Minner Mrotshowa
p
.002 w
.2457 0 m
.2457 .00625 L
s
P
[(0.05)] .2457 0 0 2 0 Minner Mrotshowa
p
.002 w
.34127 0 m
.34127 .00625 L
s
P
[(0.1)] .34127 0 0 2 0 Minner Mrotshowa
p
.002 w
.56317 0 m
.56317 .00625 L
s
P
[(0.5)] .56317 0 0 2 0 Minner Mrotshowa
p
.002 w
.65873 0 m
.65873 .00625 L
s
P
[(1)] .65873 0 0 2 0 Minner Mrotshowa
p
.002 w
.88063 0 m
.88063 .00625 L
s
P
[(5)] .88063 0 0 2 0 Minner Mrotshowa
p
.002 w
.97619 0 m
.97619 .00625 L
s
P
[(10.)] .97619 0 0 2 0 Minner Mrotshowa
p
.001 w
.11937 0 m
.11937 .00375 L
s
P
p
.001 w
.17528 0 m
.17528 .00375 L
s
P
p
.001 w
.21494 0 m
.21494 .00375 L
s
P
p
.001 w
.27084 0 m
.27084 .00375 L
s
P
p
.001 w
.29209 0 m
.29209 .00375 L
s
P
p
.001 w
.3105 0 m
.3105 .00375 L
s
P
p
.001 w
.32674 0 m
.32674 .00375 L
s
P
p
.001 w
.43683 0 m
.43683 .00375 L
s
P
p
.001 w
.49274 0 m
.49274 .00375 L
s
P
p
.001 w
.5324 0 m
.5324 .00375 L
s
P
p
.001 w
.5883 0 m
.5883 .00375 L
s
P
p
.001 w
.60955 0 m
.60955 .00375 L
s
P
p
.001 w
.62797 0 m
.62797 .00375 L
s
P
p
.001 w
.6442 0 m
.6442 .00375 L
s
P
p
.001 w
.7543 0 m
.7543 .00375 L
s
P
p
.001 w
.8102 0 m
.8102 .00375 L
s
P
p
.001 w
.84986 0 m
.84986 .00375 L
s
P
p
.001 w
.90576 0 m
.90576 .00375 L
s
P
p
.001 w
.92702 0 m
.92702 .00375 L
s
P
p
.001 w
.94543 0 m
.94543 .00375 L
s
P
p
.001 w
.96166 0 m
.96166 .00375 L
s
P
[(Frequency \(Rad/Second\))] .5 0 0 2 0 0 -1 Mouter Mrotshowa
p
.002 w
0 0 m
1 0 L
s
P
p
.002 w
0 .01209 m
.00625 .01209 L
s
P
[(-14)] -0.0125 .01209 1 0 0 Minner Mrotshowa
p
.002 w
0 .09655 m
.00625 .09655 L
s
P
[(-12)] -0.0125 .09655 1 0 0 Minner Mrotshowa
p
.002 w
0 .18102 m
.00625 .18102 L
s
P
[(-10)] -0.0125 .18102 1 0 0 Minner Mrotshowa
p
.002 w
0 .26548 m
.00625 .26548 L
s
P
[(-8)] -0.0125 .26548 1 0 0 Minner Mrotshowa
p
.002 w
0 .34994 m
.00625 .34994 L
s
P
[(-6)] -0.0125 .34994 1 0 0 Minner Mrotshowa
p
.002 w
0 .4344 m
.00625 .4344 L
s
P
[(-4)] -0.0125 .4344 1 0 0 Minner Mrotshowa
p
.002 w
0 .51886 m
.00625 .51886 L
s
P
[(-2)] -0.0125 .51886 1 0 0 Minner Mrotshowa
p
.002 w
0 .60332 m
.00625 .60332 L
s
P
[(0)] -0.0125 .60332 1 0 0 Minner Mrotshowa
p
.001 w
0 .02899 m
.00375 .02899 L
s
P
p
.001 w
0 .04588 m
.00375 .04588 L
s
P
p
.001 w
0 .06277 m
.00375 .06277 L
s
P
p
.001 w
0 .07966 m
.00375 .07966 L
s
P
p
.001 w
0 .11345 m
.00375 .11345 L
s
P
p
.001 w
0 .13034 m
.00375 .13034 L
s
P
p
.001 w
0 .14723 m
.00375 .14723 L
s
P
p
.001 w
0 .16412 m
.00375 .16412 L
s
P
p
.001 w
0 .19791 m
.00375 .19791 L
s
P
p
.001 w
0 .2148 m
.00375 .2148 L
s
P
p
.001 w
0 .23169 m
.00375 .23169 L
s
P
p
.001 w
0 .24858 m
.00375 .24858 L
s
P
p
.001 w
0 .28237 m
.00375 .28237 L
s
P
p
.001 w
0 .29926 m
.00375 .29926 L
s
P
p
.001 w
0 .31615 m
.00375 .31615 L
s
P
p
.001 w
0 .33304 m
.00375 .33304 L
s
P
p
.001 w
0 .36683 m
.00375 .36683 L
s
P
p
.001 w
0 .38372 m
.00375 .38372 L
s
P
p
.001 w
0 .40061 m
.00375 .40061 L
s
P
p
.001 w
0 .41751 m
.00375 .41751 L
s
P
p
.001 w
0 .45129 m
.00375 .45129 L
s
P
p
.001 w
0 .46818 m
.00375 .46818 L
s
P
p
.001 w
0 .48507 m
.00375 .48507 L
s
P
p
.001 w
0 .50197 m
.00375 .50197 L
s
P
p
.001 w
0 .53575 m
.00375 .53575 L
s
P
p
.001 w
0 .55264 m
.00375 .55264 L
s
P
p
.001 w
0 .56953 m
.00375 .56953 L
s
P
p
.001 w
0 .58643 m
.00375 .58643 L
s
P
[(Magnitude \(dB\))] -0.0125 .30902 1 0 90 -1 0 Mouter Mrotshowa
p
.002 w
0 0 m
0 .61803 L
s
P
P
p
p
.002 w
.02381 .61178 m
.02381 .61803 L
s
P
p
.002 w
.2457 .61178 m
.2457 .61803 L
s
P
p
.002 w
.34127 .61178 m
.34127 .61803 L
s
P
p
.002 w
.56317 .61178 m
.56317 .61803 L
s
P
p
.002 w
.65873 .61178 m
.65873 .61803 L
s
P
p
.002 w
.88063 .61178 m
.88063 .61803 L
s
P
p
.002 w
.97619 .61178 m
.97619 .61803 L
s
P
p
.001 w
.11937 .61428 m
.11937 .61803 L
s
P
p
.001 w
.17528 .61428 m
.17528 .61803 L
s
P
p
.001 w
.21494 .61428 m
.21494 .61803 L
s
P
p
.001 w
.27084 .61428 m
.27084 .61803 L
s
P
p
.001 w
.29209 .61428 m
.29209 .61803 L
s
P
p
.001 w
.3105 .61428 m
.3105 .61803 L
s
P
p
.001 w
.32674 .61428 m
.32674 .61803 L
s
P
p
.001 w
.43683 .61428 m
.43683 .61803 L
s
P
p
.001 w
.49274 .61428 m
.49274 .61803 L
s
P
p
.001 w
.5324 .61428 m
.5324 .61803 L
s
P
p
.001 w
.5883 .61428 m
.5883 .61803 L
s
P
p
.001 w
.60955 .61428 m
.60955 .61803 L
s
P
p
.001 w
.62797 .61428 m
.62797 .61803 L
s
P
p
.001 w
.6442 .61428 m
.6442 .61803 L
s
P
p
.001 w
.7543 .61428 m
.7543 .61803 L
s
P
p
.001 w
.8102 .61428 m
.8102 .61803 L
s
P
p
.001 w
.84986 .61428 m
.84986 .61803 L
s
P
p
.001 w
.90576 .61428 m
.90576 .61803 L
s
P
p
.001 w
.92702 .61428 m
.92702 .61803 L
s
P
p
.001 w
.94543 .61428 m
.94543 .61803 L
s
P
p
.001 w
.96166 .61428 m
.96166 .61803 L
s
P
p
.002 w
0 .61803 m
1 .61803 L
s
P
p
.002 w
.99375 .01209 m
1 .01209 L
s
P
p
.002 w
.99375 .09655 m
1 .09655 L
s
P
p
.002 w
.99375 .18102 m
1 .18102 L
s
P
p
.002 w
.99375 .26548 m
1 .26548 L
s
P
p
.002 w
.99375 .34994 m
1 .34994 L
s
P
p
.002 w
.99375 .4344 m
1 .4344 L
s
P
p
.002 w
.99375 .51886 m
1 .51886 L
s
P
p
.002 w
.99375 .60332 m
1 .60332 L
s
P
p
.001 w
.99625 .02899 m
1 .02899 L
s
P
p
.001 w
.99625 .04588 m
1 .04588 L
s
P
p
.001 w
.99625 .06277 m
1 .06277 L
s
P
p
.001 w
.99625 .07966 m
1 .07966 L
s
P
p
.001 w
.99625 .11345 m
1 .11345 L
s
P
p
.001 w
.99625 .13034 m
1 .13034 L
s
P
p
.001 w
.99625 .14723 m
1 .14723 L
s
P
p
.001 w
.99625 .16412 m
1 .16412 L
s
P
p
.001 w
.99625 .19791 m
1 .19791 L
s
P
p
.001 w
.99625 .2148 m
1 .2148 L
s
P
p
.001 w
.99625 .23169 m
1 .23169 L
s
P
p
.001 w
.99625 .24858 m
1 .24858 L
s
P
p
.001 w
.99625 .28237 m
1 .28237 L
s
P
p
.001 w
.99625 .29926 m
1 .29926 L
s
P
p
.001 w
.99625 .31615 m
1 .31615 L
s
P
p
.001 w
.99625 .33304 m
1 .33304 L
s
P
p
.001 w
.99625 .36683 m
1 .36683 L
s
P
p
.001 w
.99625 .38372 m
1 .38372 L
s
P
p
.001 w
.99625 .40061 m
1 .40061 L
s
P
p
.001 w
.99625 .41751 m
1 .41751 L
s
P
p
.001 w
.99625 .45129 m
1 .45129 L
s
P
p
.001 w
.99625 .46818 m
1 .46818 L
s
P
p
.001 w
.99625 .48507 m
1 .48507 L
s
P
p
.001 w
.99625 .50197 m
1 .50197 L
s
P
p
.001 w
.99625 .53575 m
1 .53575 L
s
P
p
.001 w
.99625 .55264 m
1 .55264 L
s
P
p
.001 w
.99625 .56953 m
1 .56953 L
s
P
p
.001 w
.99625 .58643 m
1 .58643 L
s
P
p
.002 w
1 0 m
1 .61803 L
s
P
P
p
P
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
p
.004 w
.02381 .60288 m
.05665 .60261 L
.08949 .60218 L
.12233 .60149 L
.15517 .60039 L
.18801 .59862 L
.22085 .59581 L
.25369 .59139 L
.28654 .58451 L
.31938 .57399 L
.35222 .55832 L
.38506 .53586 L
.4179 .50515 L
.45074 .46553 L
.48358 .41758 L
.51642 .36324 L
.54926 .30552 L
.5821 .24796 L
.61494 .19409 L
.64778 .14683 L
.68062 .108 L
.71346 .07808 L
.74631 .05629 L
.77915 .04116 L
.81199 .03102 L
.84483 .02441 L
.87767 .02016 L
.91051 .01747 L
.94335 .01578 L
.97619 .01472 L
s
p
1 0 0 r
[ .02 ] 0 setdash
.02381 .60314 m
.05115 .60305 L
.07848 .60292 L
.10582 .60272 L
.13315 .60243 L
.16049 .60201 L
.18783 .60137 L
.21516 .60043 L
.2425 .59904 L
.26983 .597 L
.29717 .594 L
.32451 .58964 L
.35184 .58335 L
.37918 .5744 L
.40651 .5619 L
.43385 .54485 L
.46119 .52227 L
.48852 .49343 L
.51586 .45805 L
.54319 .41646 L
.57053 .36963 L
.59787 .319 L
.6252 .26639 L
.65254 .21376 L
.67988 .16319 L
.70721 .11673 L
.73455 .07636 L
.76188 .04399 L
.78922 .02173 L
.81656 .01296 L
s
P
P
MathSubEnd
P
% End of sub-graphic
P
P
% End of Graphics
MathPictureEnd

:[font = output; output; inactive; preserveAspect; endGroup]
GraphicsArray["<<>>"]
;[o]
-GraphicsArray-
:[font = input; Cclosed; preserveAspect; startGroup]
lag1 = StateSpace[lag]//Simplify
:[font = output; output; inactive; preserveAspect; endGroup]
StateSpace[{{-b^(-1)}}, {{1}}, {{(-a + b)/b^2}}, {{a/b}}]
;[o]
               1              -a + b      a
StateSpace[{{-(-)}}, {{1}}, {{------}}, {{-}}]
               b                 2        b
                                b
:[font = input; Cclosed; preserveAspect; startGroup]
ToDiscreteTime[lag1,
 Sampled -> Period[T],
 Method -> BilinearTransform
] //Simplify //ReviewForm
:[font = output; output; inactive; preserveAspect; endGroup; endGroup; endGroup]
ReviewForm[StateSpace[{{(2*b - T)/(2*b + T)}}, 
 
   {{(1 + T/(2*b))^(-1)}}, 
 
   {{((-a + b)*T)/(b^2 + (b*T)/2)}}, 
 
   {{(2*a + T)/(2*b + T)}}, Sampled -> Period[T]]]
;[o]
   2 b - T
   -------
A  2 b + T


      1
   -------
        T
   1 + ---
B      2 b


   (-a + b) T
   ----------
     2   b T
    b  + ---
C         2


   2 a + T
   -------
D  2 b + T
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup]
Discrete-Time Models of Systems with Delay
:[font = input; Cclosed; preserveAspect; startGroup]
ss = StateSpace[{{1}}, {{1}}, {{1}}, Delay -> lambda]
:[font = output; output; inactive; preserveAspect; endGroup]
StateSpace[{{1}}, {{1}}, {{1}}, Delay -> lambda]
;[o]
StateSpace[{{1}}, {{1}}, {{1}}, Delay -> lambda]
:[font = input; Cclosed; preserveAspect; startGroup]
ToDiscreteTime[ss/.lambda->tau, Sampled -> Period[tau]]
:[font = output; output; inactive; preserveAspect; endGroup]
StateSpace[{{E^tau, -1 + E^tau}, {0, 0}}, {{0}, {1}}, 
 
  {{1, 0}}, Sampled -> Period[tau]]
;[o]
              tau        tau
StateSpace[{{E   , -1 + E   }, {0, 0}}, {{0}, {1}}, 
 
  {{1, 0}}, Sampled -> Period[tau]]
:[font = input; Cclosed; preserveAspect; startGroup]
ToDiscreteTime[ss/.lambda -> 2tau,
 Sampled -> Period[tau]]
:[font = output; output; inactive; preserveAspect; endGroup]
StateSpace[{{E^tau, -1 + E^tau, 0}, {0, 0, 1}, {0, 0, 0}}, 
 
  {{0}, {0}, {1}}, {{1, 0, 0}}, Sampled -> Period[tau]]
;[o]
              tau        tau
StateSpace[{{E   , -1 + E   , 0}, {0, 0, 1}, {0, 0, 0}}, 
 
  {{0}, {0}, {1}}, {{1, 0, 0}}, Sampled -> Period[tau]]
:[font = input; Cclosed; preserveAspect; startGroup]
ToDiscreteTime[ss/.lambda->-1/2 tau, Sampled->Period[tau]]
:[font = output; output; inactive; preserveAspect; endGroup; endGroup]
StateSpace[{{E^tau}}, {{E^(tau/2)*(-1 + E^(tau/2)) + 
 
     E^tau*(-1 + E^(tau/2))}}, {{1}}, {{-1 + E^(tau/2)}}, 
 
  Sampled -> Period[tau]]
;[o]
              tau       tau/2        tau/2
StateSpace[{{E   }}, {{E      (-1 + E     ) + 
 
      tau        tau/2                    tau/2
     E    (-1 + E     )}}, {{1}}, {{-1 + E     }}, 
 
  Sampled -> Period[tau]]
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup]
Continuous-Time Models of Discrete-Time Systems
:[font = input; Cclosed; preserveAspect; startGroup]
ToDiscreteTime[
 StateSpace[{{0, 1}, {0, -1}}, {{0}, {1}},
 {{1, 0}}], Sampled -> Period[T]
]
:[font = output; output; inactive; preserveAspect; endGroup]
StateSpace[{{1, 1 - E^(-T)}, {0, E^(-T)}}, 
 
  {{-1 + E^(-T) + T}, {1 - E^(-T)}}, {{1, 0}}, 
 
  Sampled -> Period[T]]
;[o]
                     -T        -T
StateSpace[{{1, 1 - E  }, {0, E  }}, 
 
          -T             -T
  {{-1 + E   + T}, {1 - E  }}, {{1, 0}}, 
 
  Sampled -> Period[T]]
:[font = input; Cclosed; preserveAspect; startGroup]
ToContinuousTime[%]
:[font = output; output; inactive; preserveAspect; endGroup]
StateSpace[{{0, -(Log[E^(-T)]/T)}, {0, Log[E^(-T)]/T}}, 
 
  {{(T + Log[E^(-T)])/T}, {-(Log[E^(-T)]/T)}}, {{1, 0}}]
;[o]
                       -T              -T
                  Log[E  ]        Log[E  ]
StateSpace[{{0, -(--------)}, {0, --------}}, 
                     T               T
 
             -T            -T
    T + Log[E  ]      Log[E  ]
  {{------------}, {-(--------)}}, {{1, 0}}]
         T               T
:[font = input; Cclosed; preserveAspect; startGroup]
ComplexExpand /@ %
:[font = output; output; inactive; preserveAspect; endGroup]
StateSpace[{{0, 1}, {0, -1}}, {{0}, {1}}, {{1, 0}}]
;[o]
StateSpace[{{0, 1}, {0, -1}}, {{0}, {1}}, {{1, 0}}]
:[font = input; Cclosed; preserveAspect; startGroup]
lag1
:[font = output; output; inactive; preserveAspect; endGroup]
StateSpace[{{-b^(-1)}}, {{1}}, {{(-a + b)/b^2}}, {{a/b}}]
;[o]
               1              -a + b      a
StateSpace[{{-(-)}}, {{1}}, {{------}}, {{-}}]
               b                 2        b
                                b
:[font = input; Cclosed; preserveAspect; startGroup]
ToDiscreteTime[%,
 Sampled -> Period[T],
 Method -> BilinearTransform,
 CriticalFrequency -> wc
] //Simplify
:[font = output; output; inactive; preserveAspect; endGroup]
StateSpace[{{(1 - Tan[(T*wc)/2]/(b*wc))/
 
     (1 + Tan[(T*wc)/2]/(b*wc))}}, 
 
  {{(1 + Tan[(T*wc)/2]/(b*wc))^(-1)}}, 
 
  {{(2*(-a + b)*Tan[(T*wc)/2])/
 
     (b^2*wc + b*Tan[(T*wc)/2])}}, 
 
  {{a/b + ((-a + b)*Tan[(T*wc)/2])/
 
      (b^2*wc + b*Tan[(T*wc)/2])}}, Sampled -> Period[T]]
;[o]
                     T wc
                 Tan[----]
                      2
             1 - ---------
                   b wc               1
StateSpace[{{-------------}}, {{-------------}}, 
                     T wc               T wc
                 Tan[----]          Tan[----]
                      2                  2
             1 + ---------      1 + ---------
                   b wc               b wc
 
                   T wc                        T wc
    2 (-a + b) Tan[----]          (-a + b) Tan[----]
                    2         a                 2
  {{--------------------}}, {{- + -------------------}}, 
     2            T wc        b    2            T wc
    b  wc + b Tan[----]           b  wc + b Tan[----]
                   2                             2
 
  Sampled -> Period[T]]
:[font = input; Cclosed; preserveAspect; startGroup]
ToContinuousTime[%,
 Method -> BilinearTransform,
 CriticalFrequency -> wc
] //Simplify
:[font = output; output; inactive; preserveAspect; endGroup]
StateSpace[{{-b^(-1)}}, {{1}}, {{(-a + b)/b^2}}, {{a/b}}]
;[o]
               1              -a + b      a
StateSpace[{{-(-)}}, {{1}}, {{------}}, {{-}}]
               b                 2        b
                                b
:[font = input; Cclosed; preserveAspect; startGroup]
ToDiscreteTime[lag1,
 Sampled -> Period[T],
 Method -> FirstOrderHold
]//Simplify
:[font = output; output; inactive; preserveAspect; endGroup]
StateSpace[{{E^(-(T/b))}}, 
 
  {{(b^2*(-1 + E^(T/b))^2)/(E^((2*T)/b)*T)}}, 
 
  {{(-a + b)/b^2}}, {{1 + a/T - b/T - a/(E^(T/b)*T) + 
 
     b/(E^(T/b)*T)}}, Sampled -> Period[T]]
;[o]
                           2        T/b 2
              -(T/b)      b  (-1 + E   )       -a + b
StateSpace[{{E      }}, {{---------------}}, {{------}}, 
                             (2 T)/b              2
                            E        T           b
 
        a   b     a        b
  {{1 + - - - - ------ + ------}}, Sampled -> Period[T]]
        T   T    T/b      T/b
                E    T   E    T
:[font = input; Cclosed; preserveAspect; startGroup]
ToContinuousTime[%, Method->FirstOrderHold]//Simplify
:[font = output; output; inactive; preserveAspect; endGroup; endGroup; endGroup; endGroup]
StateSpace[{{-b^(-1)}}, {{1}}, {{(-a + b)/b^2}}, {{a/b}}]
;[o]
               1              -a + b      a
StateSpace[{{-(-)}}, {{1}}, {{------}}, {{-}}]
               b                 2        b
                                b
^*)
