(*^
::[	Information =

	"This is a Mathematica Notebook file.  It contains ASCII text, and can be
	transferred by email, ftp, or other text-file transfer utility.  It should
	be read or edited using a copy of Mathematica or MathReader.  If you 
	received this as email, use your mail application or copy/paste to save 
	everything from the line containing (*^ down to the line containing ^*)
	into a plain text file.  On some systems you may have to give the file a 
	name ending with ".ma" to allow Mathematica to recognize it as a Notebook.
	The line below identifies what version of Mathematica created this file,
	but it can be opened using any other version as well.";

	FrontEndVersion = "Macintosh Mathematica Notebook Front End Version 2.2";

	MacintoshStandardFontEncoding; 
	
	fontset = title, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, e8,  24, "Times"; 
	fontset = subtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, e6,  18, "Times"; 
	fontset = subsubtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, italic, e6,  14, "Times"; 
	fontset = section, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, grayBox, M22, bold, a20,  18, "Times"; 
	fontset = subsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, blackBox, M19, bold, a15,  14, "Times"; 
	fontset = subsubsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, whiteBox, M18, bold, a12,  12, "Times"; 
	fontset = text, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = smalltext, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  10, "Times"; 
	fontset = input, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeInput, M42, N23, bold, L-5,  12, "Courier"; 
	fontset = output, output, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, "Courier"; 
	fontset = message, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, R65535, L-5,  12, "Courier"; 
	fontset = print, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, "Courier"; 
	fontset = info, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, B65535, L-5,  12, "Courier"; 
	fontset = postscript, PostScript, formatAsPostScript, output, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeGraphics, M7, l34, w282, h287,  12, "Courier"; 
	fontset = name, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, italic,  10, "Geneva"; 
	fontset = header, inactive, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = leftheader, inactive, L2,  12, "Times"; 
	fontset = footer, inactive, noKeepOnOnePage, preserveAspect, center, M7,  12, "Times"; 
	fontset = leftfooter, inactive, L2,  12, "Times"; 
	fontset = help, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  10, "Times"; 
	fontset = clipboard, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = completions, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = special1, initialization, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Courier"; 
	fontset = special2, inactive, nohscroll, noKeepOnOnePage, preserveAspect, cellOutline, blackBox, M7, r58981, g58981, b58981,  15, "Times"; 
	fontset = special3, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = special4, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	fontset = special5, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7,  12, "Times"; 
	paletteColors = 128; automaticGrouping; currentKernel; 
]
:[font = title; inactive; preserveAspect; startGroup]
Control System Professional
:[font = section; inactive; Cclosed; preserveAspect; startGroup]
7. Controllability and Observability
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup]
Controllability and Observability Tests
:[font = input; preserveAspect]
Needs["ControlSystems`Master`"]
:[font = input; Cclosed; preserveAspect; startGroup]
ss = StateSpace[{{0, 1}, {-1, -2}},
 {{1}, {-1}}, {{1, 0}, {1, 1}}]
:[font = output; output; inactive; preserveAspect; endGroup]
StateSpace[{{0, 1}, {-1, -2}}, {{1}, {-1}}, 
 
  {{1, 0}, {1, 1}}]
;[o]
StateSpace[{{0, 1}, {-1, -2}}, {{1}, {-1}}, 
 
  {{1, 0}, {1, 1}}]
:[font = input; Cclosed; preserveAspect; startGroup]
Controllable[ss]
:[font = output; output; inactive; preserveAspect; endGroup]
False
;[o]
False
:[font = input; Cclosed; preserveAspect; startGroup]
OutputControllable[ss]
:[font = output; output; inactive; preserveAspect; endGroup]
False
;[o]
False
:[font = input; Cclosed; preserveAspect; startGroup]
Observable[ss]
:[font = output; output; inactive; preserveAspect; endGroup]
True
;[o]
True
:[font = input; Cclosed; preserveAspect; startGroup]
Controllable[undefinedsystem]
:[font = output; output; inactive; preserveAspect; endGroup; endGroup]
Controllable[undefinedsystem]
;[o]
Controllable[undefinedsystem]
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup]
Controllability and Observability Constructs
:[font = input; Cclosed; preserveAspect; startGroup]
system = StateSpace[
 {{-3, 1, 0}, {-5, 0, 1}, {-3, 0, 0}},
 {{1}, {2}, {3}},
 {{1, 0, 0}}
]
:[font = output; output; inactive; preserveAspect; endGroup]
StateSpace[{{-3, 1, 0}, {-5, 0, 1}, {-3, 0, 0}}, 
 
  {{1}, {2}, {3}}, {{1, 0, 0}}]
;[o]
StateSpace[{{-3, 1, 0}, {-5, 0, 1}, {-3, 0, 0}}, 
 
  {{1}, {2}, {3}}, {{1, 0, 0}}]
:[font = input; Cclosed; preserveAspect; startGroup]
ControllabilityMatrix[system]//MatrixForm
:[font = output; output; inactive; preserveAspect; endGroup]
MatrixForm[{{1, -1, 1}, {2, -2, 2}, {3, -3, 3}}]
;[o]
1    -1   1

2    -2   2

3    -3   3
:[font = input; Cclosed; preserveAspect; startGroup]
Rank[%]
:[font = output; output; inactive; preserveAspect; endGroup]
1
;[o]
1
:[font = input; Cclosed; preserveAspect; startGroup]
Controllable[system]
:[font = output; output; inactive; preserveAspect; endGroup]
False
;[o]
False
:[font = input; Cclosed; preserveAspect; startGroup]
ObservabilityMatrix[system]//MatrixForm
:[font = output; output; inactive; preserveAspect; endGroup]
MatrixForm[{{1, 0, 0}, {-3, 1, 0}, {4, -3, 1}}]
;[o]
1    0    0

-3   1    0

4    -3   1
:[font = input; Cclosed; preserveAspect; startGroup]
Rank[%]
:[font = output; output; inactive; preserveAspect; endGroup]
3
;[o]
3
:[font = input; Cclosed; preserveAspect; startGroup]
Observable[system]
:[font = output; output; inactive; preserveAspect; endGroup]
True
;[o]
True
:[font = input; preserveAspect]
StateSpace[
 {{0.9512, 0}, {0, 0.9048}},
 {{4.88, 4.88}, {-0.019, 0.0095}},
 {{0.01, 0}, {0, 1}},
 Sampled -> Period[5.]];
:[font = input; Cclosed; preserveAspect; startGroup]
ControllabilityGramian[%]//MatrixForm
:[font = output; output; inactive; preserveAspect; endGroup; endGroup]
MatrixForm[{{500.2050020500222, -0.3326773552064155}, 
 
   {-0.3326773552064155, 0.002488461260186565}}]
;[o]
500.205      -0.332677

-0.332677    0.00248846
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup]
Dual System
:[font = input; Cclosed; preserveAspect; startGroup]
StateSpace[{{0, 1}, {a1, a2}},
 {{1}, {-1}}, {{1, 0}, {1, 1}}]//ReviewForm
:[font = output; output; inactive; preserveAspect; endGroup]
ReviewForm[StateSpace[{{0, 1}, {a1, a2}}, {{1}, {-1}}, 
 
   {{1, 0}, {1, 1}}]]
;[o]
   0    1

A  a1   a2


   1

B  -1


   1   0

C  1   1
:[font = input; Cclosed; preserveAspect; startGroup]
DualSystem[%]//ReviewForm
:[font = output; output; inactive; preserveAspect; endGroup]
ReviewForm[StateSpace[{{0, Conjugate[a1]}, 
 
    {1, Conjugate[a2]}}, {{1, 1}, {0, 1}}, {{1, -1}}]]
;[o]
   0   Conjugate[a1]

A  1   Conjugate[a2]


   1   1

B  0   1


C  1   -1
:[font = input; Cclosed; preserveAspect; startGroup]
DualSystem[%%, ComplexVariables -> None]//ReviewForm
:[font = output; output; inactive; preserveAspect; endGroup]
ReviewForm[StateSpace[{{0, a1}, {1, a2}}, {{1, 1}, {0, 1}}, 
 
   {{1, -1}}]]
;[o]
   0   a1

A  1   a2


   1   1

B  0   1


C  1   -1
:[font = input; Cclosed; preserveAspect; startGroup]
DualSystem[%%%, ComplexVariables -> {a1}]//ReviewForm
:[font = output; output; inactive; preserveAspect; endGroup; endGroup; endGroup; endGroup]
ReviewForm[StateSpace[{{0, -I*Im[a1] + Re[a1]}, {1, a2}}, 
 
   {{1, 1}, {0, 1}}, {{1, -1}}]]
;[o]
   0   -I Im[a1] + Re[a1]

A  1   a2


   1   1

B  0   1


C  1   -1
^*)
